commit 075aa21b3ae036c2f4ae171c26e5e7028733732d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 24 17:27:05 2012 +0100

    Release Clutter 1.12.0

 NEWS         | 31 +++++++++++++++++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 33 insertions(+), 2 deletions(-)

commit 65bedbe42cfd63d569fee372e2f0c10b2d8a615f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 24 17:20:25 2012 +0100

    docs: Fix typo in closing tag

 clutter/clutter-gesture-action.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 35faaf604cbc1592f6d7320d19c283c890b17194
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Fri Sep 21 14:05:37 2012 +0200

    x11: set the stage for core events with no associated stage
    
    When the last touch has been released the stage on the
    corresponding master device (eg. the virtual core pointer) is set
    to NULL and no mouse events can be delivered until an ENTER event
    has occurred and the stage pointer restored.
    
    This is due to the fact that the master devices can send both
    touch events and mouse events, forwarding events coming from the
    attached slave devices.
    
    To restore delivery of mouse events we need to ensure that the
    stage is set on each ButtonPress, ButtonRelease and Motion event
    coming from master devices.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684509

 clutter/x11/clutter-device-manager-xi2.c | 35 +++++++++++++++++++----------------
 1 file changed, 19 insertions(+), 16 deletions(-)

commit a6abf86e945eab43e8b3dd0a66cf2638b9bb525e
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Fri Sep 21 08:05:59 2012 +0000

    input-device: print device number in debug messages
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684530

 clutter/clutter-input-device.c           |  9 +++++++--
 clutter/x11/clutter-device-manager-xi2.c | 18 ++++++++++++------
 2 files changed, 19 insertions(+), 8 deletions(-)

commit d587fa4e28e9c6ecdaf2a1a2a1bfe03d08f4ee86
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Fri Sep 21 14:44:07 2012 +0200

    tests: print coords and devices in test-events
    
    Print event coordinates on events other than motion and also track
    the device and source device ids in ./tests/interactive/test-events
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684552

 tests/interactive/test-events.c | 66 ++++++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 44 insertions(+), 22 deletions(-)

commit 042677b9201137bb78a0bd0d4130c1ccf760beae
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Sun Sep 23 12:17:28 2012 +0300

    Updated Bulgarian translation

 po/bg.po | 1349 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------
 1 file changed, 746 insertions(+), 603 deletions(-)

commit cdb91a461ded6ef67139e15f191796fd001a700c
Author: Nishio Futoshi <fut_nis@d3.dion.ne.jp>
Date:   Sun Sep 23 17:50:31 2012 +0900

    Updated Japanese translation.

 po/ja.po | 2775 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2775 insertions(+)

commit 00f5e1286ba0085c4b25c83b05f3439eca10787a
Author: Ani Peter <apeter@redhat.com>
Date:   Sun Sep 23 01:45:51 2012 +0530

    Updated Malayalam file

 po/ml.po | 2741 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2741 insertions(+)

commit eb3b737484cb9af4a1867c6ea70f7e3056edccc6
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Sun Sep 23 01:28:46 2012 +0530

    Updated kn translation

 po/kn.po | 2490 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------
 1 file changed, 1574 insertions(+), 916 deletions(-)

commit dc020c5e54751fd99f65c0fe08cb02238df5af75
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Fri Sep 21 21:37:05 2012 +0200

    [l10n]Updated Catalan (Valencian) translation

 po/ca@valencia.po | 1889 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------
 1 file changed, 1087 insertions(+), 802 deletions(-)

commit 4887f06970dd0c85a6a53a9db23d01ce643e6c9a
Author: Gil Forcada <gforcada@gnome.org>
Date:   Fri Sep 21 21:36:57 2012 +0200

    [l10n] Updated Catalan translation

 po/ca.po | 1891 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------
 1 file changed, 1088 insertions(+), 803 deletions(-)

commit c5f769cc07002f43a26d2f89f1ced25ca23e334d
Author: Krishnababu Krothapalli <kkrothap@redhat.com>
Date:   Thu Sep 20 15:56:41 2012 +0530

    Updated Telugu Translations

 po/te.po | 800 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------------------------------
 1 file changed, 459 insertions(+), 341 deletions(-)

commit bd8039ca67b30f6fbb247296144adf62d6b98c7b
Author: Chandan Kumar <chandankumar.093047@gmail.com>
Date:   Thu Sep 20 08:51:31 2012 +0530

    Updated HINDI translation

 po/hi.po | 1949 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------
 1 file changed, 1125 insertions(+), 824 deletions(-)

commit 64c7973c7429c75143d8cea04f664b65af45c9a8
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Sep 19 11:40:33 2012 +0100

    bin-layout: Fix text direction checks
    
    When using the new ActorAlign flags we must get the real alignment for
    the horizontal axis, as clutter_actor_allocate() will compute the
    effective alignment by itself; if we use the effective alignment then
    ClutterActor.allocate() will swap it, and undo our work.
    
    When using the old BinAlignment flags we should reverse the alignment
    depending on whether the text direction of the child is RTL or LTR.
    
    See bug: https://bugzilla.gnome.org/show_bug.cgi?id=684214

 clutter/clutter-bin-layout.c | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

commit 4578a87d1d9728c2ca00e0e136c8f8088439b9c8
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Sep 19 11:39:41 2012 +0100

    Add debug note for text direction
    
    It would be nice to have the text direction inside the debug log.

 clutter/clutter-main.c | 3 +++
 1 file changed, 3 insertions(+)

commit 26eb599997592da3f9befd43bd57c28c81c840a2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 17 22:59:11 2012 +0100

    Post-release version bump to 1.11.17

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ec96435f2f3ba36a98cfe60a217b1651b4d2ee63
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 17 22:48:44 2012 +0100

    Release Clutter 1.11.16 (snapshot)

 NEWS         | 46 ++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 47 insertions(+), 1 deletion(-)

commit cd67c7fd243025aac080faf50a1848f1d5842915
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 10 09:21:34 2012 +0100

    drag-action: Allow destroying the dragged actor inside ::drag-end
    
    It should be possible to destroy the actor currently being dragged from
    within the ::drag-end signal. In order to do this, we need to keep a
    reference on the action for the duration of the emit_drag_end() function
    as well as resetting the action's state inside the dispose()
    implementation, to avoid trying to access cleared data.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681814

 clutter/clutter-drag-action.c | 35 ++++++++++++++++++++++++++++++++++-
 1 file changed, 34 insertions(+), 1 deletion(-)

commit c095de87057ef32e0ca7610a3da80577dae3cca8
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Mon Sep 17 15:55:50 2012 +0400

    Updated Russian translation

 po/ru.po | 461 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------------------
 1 file changed, 207 insertions(+), 254 deletions(-)

commit 8d53bbd34f597aac29782bbe78cd664bf33cbe6d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Sep 6 13:03:05 2012 +0100

    docs: Document the states of a GestureAction
    
    Useful notes for developers writing gesture recognizers.

 clutter/clutter-gesture-action.c | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

commit 838a6d9218effd5fd31577f0f3342acc6d7cc44a
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sun Sep 16 02:07:53 2012 +0200

    Updated Danish translation

 po/da.po | 1869 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------
 1 file changed, 1077 insertions(+), 792 deletions(-)

commit 165871024cfe16ad081deef1ae2eda536eb3e073
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Thu Sep 13 12:05:21 2012 +0200

    stage: fix typo and format identifiers in debug notes
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683937

 clutter/clutter-stage.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit e6fcdb0644d5b5ea73e646aec43967c9a50b39cf
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Thu Sep 13 11:20:00 2012 +0200

    click-action: add touch event support
    
    Allow for touch events to trigger the "clicked" event on
    ClickAction without introducing API changes.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683936

 clutter/clutter-click-action.c | 21 +++++++++++++++++----
 1 file changed, 17 insertions(+), 4 deletions(-)

commit d616fd628b04824c0c1469dfc12c81b1b1bca354
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Wed Sep 12 20:08:16 2012 +0200

    tests: style fixes to test-events
    
    Oops, I pushed the commit without the style fixes. Followup commit
    for 47347d5.

 tests/interactive/test-events.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 47347d5f5cc3566f6927ab8a2a27c274159c9056
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Wed Sep 12 14:45:05 2012 +0200

    tests: handle smooth scroll events in test-events
    
    Print the precise scroll delta for smooth scroll events and
    correctly print the direction for left/right scrolls.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683870

 tests/interactive/test-events.c | 23 ++++++++++++++++++-----
 1 file changed, 18 insertions(+), 5 deletions(-)

commit 8a692103633d5af3245bd758873f26619a92dece
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Wed Sep 12 14:22:30 2012 +0200

    tests: track touch events in test-events
    
    Enable xinput support in the X11 backend form test-events to
    receive touch[begin|update|end] events.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683869

 tests/interactive/test-events.c | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

commit 19de5d254165adae02c5795384716270f98fe3fb
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Tue Sep 11 19:20:19 2012 +0200

    action: fix CLUTTER_GESTURE_ACTION_GET_CLASS()
    
    Fix the same cut'n'paste error fixed for GestureAction in 609766fa,
    this time in ClickAction, PanAction, RotateAction and SwipeAction.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683430

 clutter/clutter-click-action.h  | 2 +-
 clutter/clutter-pan-action.h    | 2 +-
 clutter/clutter-rotate-action.h | 2 +-
 clutter/clutter-swipe-action.h  | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit a6a96f0946b8735960267ef81b50c66aba26ce01
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Tue Sep 11 16:58:46 2012 +0530

    Assamese translation updated

 po/as.po | 380 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------------
 1 file changed, 206 insertions(+), 174 deletions(-)

commit ea50df6bb616542f8a159ad3ea7ce031d856f712
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Sun Sep 9 20:44:43 2012 +0200

    text: Don't accept new line characters in single line mode
    
    Modified Return key presses don't trigger ::activate so we would end
    up adding an unprintable character to a single paragraph mode pango
    layout which renders it as a box.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=623344

 clutter/clutter-text.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5e18c2f9b47a4d9eb3c51c8e8487a2474d969c97
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sun Sep 9 15:29:05 2012 +0300

    Updated Belarusian translation.

 po/be.po | 14 +++++---------
 1 file changed, 5 insertions(+), 9 deletions(-)

commit 69b83d1f7018bfd5eaa885d55e1e061f6b91e4f6
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sun Sep 9 01:17:39 2012 +0100

    Updated Portuguese translation

 po/pt.po | 492 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------------
 1 file changed, 266 insertions(+), 226 deletions(-)

commit 67fa2e68097c75069bcb2c18d8151c531615a4f4
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Sat Sep 8 20:39:51 2012 +0200

    Updated Slovenian translation

 po/sl.po | 104 ++++++++++++++++++++++++++++++++++----------------------------------------------------------------------
 1 file changed, 34 insertions(+), 70 deletions(-)

commit 6a4060c2d7e4e8ba52f81d2b4b5dffd2c6cf1523
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Sat Sep 8 12:12:38 2012 +0300

    Updated Greek translation

 po/el.po | 375 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------
 1 file changed, 207 insertions(+), 168 deletions(-)

commit c3e574a389c1a85a5d73a078f3cfcf0619ae0f26
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Wed Aug 29 00:24:30 2012 +0200

    actor: Fix the content box for CLUTTER_CONTENT_GRAVITY_RESIZE_ASPECT
    
    The code for calculating the content box when the aspect ratio is
    greater than 1 was broken. The same code that did the calculation for
    aspect ratio less than 1 should be used in all cases.
    
    Fixes: https://bugzilla.gnome.org/682161

 clutter/clutter-actor.c | 40 +++++++++-------------------------------
 1 file changed, 9 insertions(+), 31 deletions(-)

commit 75e7fcdb2c105254572a46525f236ff9076e761c
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Fri Sep 7 11:57:13 2012 -0400

    Added Brazilian Portuguese translation.

 po/pt_BR.po | 1433 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------
 1 file changed, 837 insertions(+), 596 deletions(-)

commit 568c8e19195983ccb2e509c97a3b6df9c1f1a6a6
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Sep 7 15:19:30 2012 +0200

    Updated Slovenian translation

 po/sl.po | 1484 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------
 1 file changed, 876 insertions(+), 608 deletions(-)

commit f6d7cc5ee6371c2ad9f899c8da78ad1e57cd5e1a
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Thu Sep 6 23:07:25 2012 +0200

    Updated German translation

 po/de.po | 2046 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------
 1 file changed, 1128 insertions(+), 918 deletions(-)

commit a71c38445a2943915f51a26f1c42db24749864be
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Thu Sep 6 22:41:33 2012 +0400

    Updated Russian translation

 po/ru.po | 2041 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------
 1 file changed, 1188 insertions(+), 853 deletions(-)

commit 9caf9ffbbb6fbbc2e3a03bca14253182da5ac5bc
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Thu Sep 6 11:12:53 2012 +0200

    gesture-action: unregister point on missed release events
    
    When we miss button release events (eg. when they happen outside
    of our window) we must ensure that the corresponding point is
    removed from the array of tracked points, otherwise GestureAction
    will get very confused and will cancel all subsequent gestures.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683471

 clutter/clutter-gesture-action.c | 1 +
 1 file changed, 1 insertion(+)

commit 3b298ddfa333eb4963c24f119b6578398b821ef0
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Wed Sep 5 14:50:28 2012 +0000

    pan-action: emit ::pan-stopped before ::gesture-begin
    
    When starting a new gesture before the momentum of the previous one
    has finished the ::pan-stopped was counter-intuitively emitted
    after the new ::gesture-begin.
    
    Make use of gesture_prepare() to reset the state of the action
    right before emitting ::gesture-begin.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683431

 clutter/clutter-pan-action.c | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

commit 2001cd7a2c4b3e5fb6ac48149208756900479308
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Wed Sep 5 14:47:25 2012 +0000

    gesture-action: add gesture_prepare() virtual function
    
    The gesture_prepare() virtual function is called before the
    ::gesture-begin signal is emitted, and allows a subclass to reset
    its state.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683431

 clutter/clutter-gesture-action.c | 7 +++++++
 clutter/clutter-gesture-action.h | 5 ++++-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit 609766fa2bc4975fef369607c62a1de4c278f8a3
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Wed Sep 5 15:21:14 2012 +0000

    gesture-action: fix CLUTTER_GESTURE_ACTION_GET_CLASS()
    
    Fix a cut'n'paste error where CLUTTER_GESTURE_ACTION_GET_CLASS()
    was returning the private class data instead of the class instance.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683430

 clutter/clutter-gesture-action.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f67aa36e3b7e7435a19902c95d9ff46954d18993
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Sep 6 12:11:31 2012 +0100

    color: Simplify shade() implementation
    
    We can use the CLAMP macro, instead of a bunch of ifs.

 clutter/clutter-color.c | 13 ++-----------
 1 file changed, 2 insertions(+), 11 deletions(-)

commit 44cf976c5171e58873269f89529073bfaca584bd
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Wed Sep 5 22:09:57 2012 +0200

    Updated Serbian translation

 po/sr.po       | 568 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------
 po/sr@latin.po | 568 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------
 2 files changed, 632 insertions(+), 504 deletions(-)

commit 3398f3acdfcbb727db12abac30b4f09629edef1d
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Sep 3 20:06:27 2012 -0300

    stage: Normalize key focus setting
    
    We often mean that when key_focus == NULL, it's assumed to be on the
    stage, and clutter_stage_get_key_focus() reflects this. We also do a
    lot of check around the lines of key_focus == NULL instead of also
    checking for the stage, so make sure to normalize it so that explicitly
    grabbing the stage's key focus will not change our behaviour.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683301

 clutter/clutter-stage.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 1930c187a8d6c27c348fa9a54874055afc7e5ab4
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Wed Sep 5 16:02:07 2012 +0200

    Update French translation

 po/fr.po | 1450 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------
 1 file changed, 840 insertions(+), 610 deletions(-)

commit 98f8723f4d23b976061ca13d625bcf07fcdc15b6
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Wed Sep 5 19:36:46 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 426 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------------------------------------
 po/zh_TW.po | 424 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------------------------------------
 2 files changed, 457 insertions(+), 393 deletions(-)

commit 950e60f82400bdafa0220ba336ee3ed3986befad
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Sep 5 09:38:17 2012 +0100

    x11: Add EventSequence → touch detail accessor
    
    The ClutterEventSequence structure is a fully opaque type; on X11, it is
    just an unsigned integer that gets converted into a pointer, but in the
    future it may become a fully fledged data structure.
    
    Obviously, we cannot tell people to just dereference the pointer into an
    integer in order to use it, and still retain the ability to change the
    type; for this reason, we need a proper accessor function to convert the
    EventSequence into a touch detail, to be used with the XInput API.

 clutter/clutter.symbols                    |  1 +
 clutter/x11/clutter-device-manager-xi2.c   |  6 ++++--
 clutter/x11/clutter-event-x11.c            | 18 ++++++++++++++++++
 clutter/x11/clutter-x11.h                  |  2 ++
 doc/reference/clutter/clutter-sections.txt |  1 +
 5 files changed, 26 insertions(+), 2 deletions(-)

commit 263592739c672f2d0f5bf6b6dadb6835ef655bb6
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:   Tue Sep 4 19:40:29 2012 +0700

    Updated Indonesian translation

 po/id.po | 428 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------
 1 file changed, 230 insertions(+), 198 deletions(-)

commit 89c83953f58dbeeba183e9d1aed7786a302b431f
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Tue Sep 4 11:49:50 2012 +0100

    Updated British English translation

 po/en_GB.po | 1853 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------
 1 file changed, 1069 insertions(+), 784 deletions(-)

commit 2ed703cf061e7dcbacb1669f444068e34bdb48ff
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 3 22:48:52 2012 +0100

    Post-release version bump to 1.11.15

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9019a3754f99727a9f53d158f107ae183667cbee
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 3 22:27:57 2012 +0100

    Release Clutter 1.11.14 (snapshot)

 NEWS         | 72 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 73 insertions(+), 1 deletion(-)

commit d6b8dfb694da3780c871670dd476692a13860286
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 3 22:34:22 2012 +0100

    gdk: Fix include

 clutter/gdk/clutter-event-gdk.c | 1 +
 1 file changed, 1 insertion(+)

commit 6096b41d7c156318c04b9c8c13d4bfcee1a4dfd6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 3 22:21:44 2012 +0100

    docs: Update with missing symbols

 doc/reference/clutter/clutter-sections.txt | 4 ++++
 1 file changed, 4 insertions(+)

commit 99a7406d0198627aa0864b039dcabf691b537507
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Jul 19 15:20:42 2012 +0100

    evdev: Swap the numbers for the middle and right buttons
    
    The ordering of the evdev button numbers is the opposite of the
    order in Clutter (the middle button is 3 instead of 2) so we need to
    manually map the button numbers when creating a ClutterButtonEvent.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680255

 clutter/evdev/clutter-device-manager-evdev.c | 25 +++++++++++++++++++++++--
 1 file changed, 23 insertions(+), 2 deletions(-)

commit df0ab34499b45515a91fa9822588b81460299079
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 3 21:56:39 2012 +0100

    docs: Fix GestureAction.get_velocity()
    
    The velocity is in pixels per milliseconds, not microseconds.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683113

 clutter/clutter-gesture-action.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d6a0f7eb6132f23201856bcc9bd850622c2fb4d1
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Tue Aug 21 15:26:30 2012 +0100

    input-device: don't reset a device's stage until all touch points are gone
    
    803b3bafb617c2df703aa8b834ff0df2f0c5c26c introduced a new issue for
    multi touch events.
    
    In the case where 2 touch events for 2 different touch points are
    processed in the same iteration, a call to
    _clutter_stage_remove_device() when processing the first event will
    remove the stage setting of the InputDevice. That means Clutter will
    skip the second event, because it can't find a stage to which relate
    the event, so no related actor and so no emission.
    
    To fix this we move the _clutter_stage_(add/remove)_device() calls
    into the input device. This way the input device can find out exactly
    when to call these functions (i.e. when no touch point were previously
    active or when no touch point remain active).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682362

 clutter/clutter-device-manager-private.h | 11 ++++++-----
 clutter/clutter-input-device.c           | 76 +++++++++++++++++++++++++++++++++++++++++++---------------------------------
 clutter/clutter-main.c                   | 10 ++--------
 clutter/clutter-stage.c                  |  2 +-
 clutter/x11/clutter-device-manager-xi2.c |  6 ------
 5 files changed, 52 insertions(+), 53 deletions(-)

commit d5332d1e4c4852148fc0bf71bd3886157330dae6
Author: Tomeu Vizoso <tomeu.vizoso@collabora.com>
Date:   Fri Aug 31 18:36:57 2012 +0200

    stage: Remove tracking input devices, it's not used
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683126

 clutter/clutter-main.c                        |  4 ++--
 clutter/clutter-stage-private.h               |  7 -------
 clutter/clutter-stage.c                       | 38 --------------------------------------
 clutter/gdk/clutter-event-gdk.c               |  4 ++--
 clutter/osx/clutter-event-osx.c               |  4 ++--
 clutter/win32/clutter-event-win32.c           |  4 ++--
 clutter/x11/clutter-device-manager-core-x11.c |  4 ++--
 clutter/x11/clutter-device-manager-xi2.c      |  4 ++--
 8 files changed, 12 insertions(+), 57 deletions(-)

commit fd375a7bc962517439303203cf7443caaf729e93
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Thu Aug 30 21:02:38 2012 -0300

    blur-effect: Fix the blur filter
    
    Make sure we don't sample the center twice, and don't sample things
    that aren't our immediate neighbors.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683076

 clutter/clutter-blur-effect.c | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit fb9e0466c07db48bc68ac04ebf346bad5aee1ad4
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 3 21:01:24 2012 +0100

    examples/pan-action: Animate the content reset
    
    We can use the newly added support for implicit animations for the child
    transform.

 examples/pan-action.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 48a2846ab99a9c2fff2ec80342dbc2314eca04ad
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 3 21:00:40 2012 +0100

    actor: Make :transform and :child-transform animatable
    
    Now that we can interpolate between two matrices, we can mark the
    matrix-based property as animatable.

 clutter/clutter-actor.c | 147 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------
 1 file changed, 105 insertions(+), 42 deletions(-)

commit 22ce4409b3f3994e3487617c01e96886c860dc9b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 3 20:54:43 2012 +0100

    Add interpolation for matrices
    
    Interpolating between two transformations expressed using a 3D matrix
    can be achieved by decomposing the matrices into their transformations
    and do a simple numeric interpolation between the initial and final
    states, like we do for other data types.
    
    Luckily for us, the CSS Transforms specification from the W3C provides
    the decomposition algorithm, using the "unmatrix" code taken from the
    book "Graphics Gems II, edited by Jim Arvo".
    
    Once the matrices have been decomposed, we can simply interpolate the
    transformations, and re-apply them onto the result matrix, using the
    facilities that Clutter provides for interpolating between two known
    GTypes.

 clutter/clutter-base-types.c |  99 ++++++++++++++++++++++++++++++++++++++++++++++++++++-----
 clutter/clutter-private.h    |  39 +++++++++++++++++++++++
 clutter/clutter-types.h      |   6 ++++
 clutter/clutter-util.c       | 351 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----
 4 files changed, 479 insertions(+), 16 deletions(-)

commit cda4493f99c1d8699d4ddcd79d309f337292b8df
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Sep 3 15:11:22 2012 +0100

    Include cogl/cogl-egl.h from clutter-egl-headers.h
    
    Since Cogl version 1.11.2, Cogl no longer includes the EGL headers
    from cogl.h if COGL_ENABLE_EXPERIMENTAL_2_0_API is defined. Instead
    the application needs to include cogl-egl.h so that we can avoid
    polluting the global namespace with X defines. Clutter defines the 2.0
    define in its configure.ac and it is relying on Cogl to include the
    right EGL header in clutter-egl-headers.h so we need to change which
    header it includes.

 clutter/egl/clutter-egl-headers.h | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 03f4f1c69e7c66702cbed7e158a36668ae3683b9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 3 12:59:30 2012 +0100

    actor: Remove existing implicit transition if duration is 0
    
    When changing an implicit transition mid flight we may end up with an
    easing state with a duration of zero milliseconds; this leads to the
    implicit transition machinery setting the final state directly onto the
    actor. If there is a running transition, though, we need to remove it
    from the transitions table, otherwise it will keep running.
    
    This regression happened when the update_transition() internal function
    was merged into the create_transition() one.
    
    Tested-by: Lionel Landwerlin <llandwerlin@gmail.com>

 clutter/clutter-actor.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 2ef148a2c91bc5d09028549868e86d30ab267bac
Author: Tomeu Vizoso <tomeu.vizoso@collabora.com>
Date:   Fri Aug 31 12:50:12 2012 +0200

    gesture-action: Add API for cancelling a gesture
    
    and getters for sequences and devices of current points. It can be
    used for accepting and rejecting sequences for system-wide gestures.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683090

 clutter/clutter-gesture-action.c | 86 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 clutter/clutter-gesture-action.h | 64 +++++++++++++++++++++++++++++++++++++++-------------------------
 clutter/clutter.symbols          |  4 ++++
 3 files changed, 127 insertions(+), 27 deletions(-)

commit 38b82cb22c7968e0a33be56ec3b0d376e2baa08d
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Thu Aug 30 16:48:44 2012 -0300

    brightness-contrast-effect: Don't actually run if it will have no effect
    
    Don't run the shader and redirect to an FBO if it won't actually do anything.
    This saves us on resources a ton.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683066

 clutter/clutter-brightness-contrast-effect.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit b2b22dbe6c246e45206ed6d4029f97594861e4dc
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Sep 2 22:48:52 2012 +0100

    x11/device-manager-xi2: Put XIPointerEmulated under conditionals
    
    There are a couple of debugging messages using XInput 2.2 symbols
    unconditionally, and it breaks builds on older systems.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683219

 clutter/x11/clutter-device-manager-xi2.c | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit 51f3eb06e30e196f8420d11dafa661f5a88335c8
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Sep 1 21:18:28 2012 +0200

    Updated Polish translation

 po/pl.po | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit b2a10b9a00884adcefe8ce20a420af074013fc47
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Thu Aug 30 16:04:38 2012 +0300

    Updated Belarusian translation.

 po/be.po | 731 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------
 1 file changed, 415 insertions(+), 316 deletions(-)

commit a8468ac43aa9c2d562b02653ce23747f1817fb14
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Wed Aug 29 00:06:38 2012 +0200

    Updated Galician translations

 po/gl.po | 552 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------
 1 file changed, 305 insertions(+), 247 deletions(-)

commit 9fe251d9d4c3c7bc344fdb1cd8440cae30783a44
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Tue Aug 28 21:55:07 2012 +0300

    Updated Lithuanian translation

 po/lt.po | 479 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 244 insertions(+), 235 deletions(-)

commit 02c8a7edf2a99983f41a82237198c3456582d0b3
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Aug 28 18:52:09 2012 +0200

    Updated Polish translation

 po/pl.po | 365 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------------------------------------
 1 file changed, 199 insertions(+), 166 deletions(-)

commit ac40bda0954a105e97a01e83daff458ba916aa79
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Aug 28 16:06:08 2012 +0200

    Updated Spanish translation

 po/es.po | 384 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------------------------------------
 1 file changed, 209 insertions(+), 175 deletions(-)

commit 6e917f25d439f1fe2749bb11ce5212e13deb589e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Aug 28 14:46:40 2012 +0100

    Update POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 9ca06d2895154eb2c985b85df186db3ade1a5e1e
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Sat Aug 25 16:23:23 2012 +0200

    pan-action: add PanAction, to handle panning in scrollable actors
    
    PanAction is a GestureAction-subclass that implements the panning
    concept for scrollable actors, with the ability to emit interpolated
    signals to emulate the kinetic inertia of the panning. PanAction provides:
    
    • pan signal, notifying users of the panning gesture status;
    
    • pan-stopped signal, emitted at the end of the interpolated phase
      of the panning gesture, if enabled;
    
    • pan-axis property, to allow constraining the dragging to a specific
      axis;
    
    • interpolated property, to enable or disable the inertial behaviour;
    
    • deceleration property, to customize the rate at which the momentum
      of the panning will be slowed down;
    
    • acceleration-factor property, applied to the inertial momentum when
      starting the interpolated sequence.
    
    An interactive test is also provided.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681648

 clutter/Makefile.am                        |   2 +
 clutter/clutter-enums.h                    |  19 +++++
 clutter/clutter-marshal.list               |   1 +
 clutter/clutter-pan-action.c               | 814 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-pan-action.h               | 137 ++++++++++++++++++++++++++++++++
 clutter/clutter.h                          |   1 +
 clutter/clutter.symbols                    |  13 +++
 doc/reference/clutter/clutter-docs.xml.in  |   1 +
 doc/reference/clutter/clutter-sections.txt |  29 +++++++
 doc/reference/clutter/clutter.types        |   1 +
 examples/Makefile.am                       |   1 +
 examples/pan-action.c                      | 127 ++++++++++++++++++++++++++++++
 12 files changed, 1146 insertions(+)

commit 436ebb2716b24743b3873aa7b330073c48793b86
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Sat Aug 25 16:04:24 2012 +0200

    gesture-action: add _get_motion_delta()/_get_velocity()
    
    Add some accessors to simplify common tasks for GestureAction users:
    
    • clutter_gesture_action_get_motion_delta() to get the delta
      on the X and Y axis in stage coordinates since the last motion
      event, and the scalar distance travelled;
    
    • clutter_gesture_action_get_velocity() to get an estimate of the
      speed of the last motion event along the X and Y axis and as a
      scalar value in pixels per millisecond.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681648

 clutter/clutter-gesture-action.c           | 121 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----
 clutter/clutter-gesture-action.h           |  10 ++++++++++
 clutter/clutter.symbols                    |   2 ++
 doc/reference/clutter/clutter-sections.txt |   2 ++
 4 files changed, 131 insertions(+), 4 deletions(-)

commit e8e91b62c896223d8f7bc4421862b87ef002a972
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Sat Aug 25 16:02:34 2012 +0200

    gesture-action: add allow-none annotations to getters
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681648

 clutter/clutter-gesture-action.c | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit 5b8c6eb84208041245d551076645780753267795
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Mon Aug 27 23:03:20 2012 +0530

    Implemented FUEL entries to Assamese translation

 po/as.po | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit d332255111cb763542252a0ba9af249407b63287
Author: Andre Kuehne <andre.kuehne.77@gmail.com>
Date:   Wed Jul 18 20:57:00 2012 +0200

    Fix clutter_table_layout_pack row/column count incrementation.
    
    When appending (with a negative row/column parameter), the row/column
    count should be incremented by 1, not 2. This also fixes layout errors
    when using column/row spacing: The amount of extra space required was
    calculated incorrectly due to the wrong column count.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=679990

 clutter/clutter-table-layout.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 59801ef854016cc85c6bcf8b6ed8a77081f433fb
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Fri Aug 10 20:47:46 2012 +0200

    drag-action: fix press coords transform with drag_handle
    
    When setting a drag handle, transform the original press
    coordinates using the drag handle as reference instead of the
    associated actor.
    
    This causes the initial misplacement of drag handle in
    example/drag-action when holding down the Shift key: the handle
    gets placed at the main actor origin on the first drag event,
    instead of following the mouse pointer.
    
    All subsequent motion events already use the right actor when
    transforming the coordinates, thus they are not affected.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681746

 clutter/clutter-drag-action.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 7b6ce3fd88596003444f0bbe293a6b8b42d773e5
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Mon Aug 27 15:24:34 2012 +0200

    Add missing types to the reference manual list
    
    Signed-off-by: Emmanuele Bassi <ebassi@gnome.org>

 doc/reference/clutter/clutter.types | 3 +++
 1 file changed, 3 insertions(+)

commit f4bd9a6a3b71092266515fe0f1cda86d4040ca56
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Mon Aug 27 15:21:32 2012 +0200

    Fix cookbook examples compilation
    
    Signed-off-by: Emmanuele Bassi <ebassi@gnome.org>

 doc/cookbook/examples/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8cf5c5959f4b199129147d72483038ab4732f131
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Mon Aug 27 02:20:00 2012 +0100

    rotate-action: fix wrong marshaller usage
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682754

 clutter/clutter-marshal.list    | 2 +-
 clutter/clutter-rotate-action.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit fe92acd64999368d36815f5b1bc47d9e88300c42
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Mon Aug 27 13:00:36 2012 +0100

    actor-iter: fix prev()/next() annotations
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682795

 clutter/clutter-actor.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3937a7c74c67e7ef0de149c7b536a5cd15aa3124
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Aug 27 12:24:20 2012 +0100

    actor: Setting the child-transform invalidates the children's modelview
    
    We need to ensure that the children's cached modelview matrix gets
    invalidated when setting the :child-transform property on their parent.

 clutter/clutter-actor.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 1b155504c5a4c16e597656264e876f396b85beb4
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Aug 27 10:48:04 2012 +0100

    actor: Call queue_redraw() when setting child-transform

 clutter/clutter-actor.c | 2 ++
 1 file changed, 2 insertions(+)

commit 6bf0b983af0f2a3959458a7261778c35d09b9722
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Aug 25 10:38:12 2012 +0100

    actor: Deprecate the pick signal
    
    Just like we did for the paint signal; a warning will be emitted if the
    diagnostic mode of GLib is enabled through the G_ENABLE_DIAGNOSTIC env
    var.

 clutter/clutter-actor.c | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit a66da2b1031ebc7a98acaf82af160a2c14a91b15
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Sun Aug 26 23:05:49 2012 +0300

    Updated Greek translation

 po/el.po | 848 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------------------------------------
 1 file changed, 461 insertions(+), 387 deletions(-)

commit 3fb8648b8431eaa6e31116a3aa554748f1cf49f1
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Sun Aug 26 21:37:26 2012 +0530

    Assamese translation updated

 po/as.po | 523 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------
 1 file changed, 275 insertions(+), 248 deletions(-)

commit 0413e1a68d6ee72d72ffe0e0f65a0fb57f0fe8ac
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Aug 23 17:39:32 2012 +0200

    Updated Spanish translation

 po/es.po | 81 ++++++++++++++++++++++++++++++++++++++++++---------------------------------------
 1 file changed, 42 insertions(+), 39 deletions(-)

commit f363097632fa93fddc9f269056fb8d505bf158c0
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Aug 22 22:13:57 2012 +0200

    Updated Polish translation

 po/pl.po | 1845 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------------------------------
 1 file changed, 1053 insertions(+), 792 deletions(-)

commit db5b664846dc6a86510493dc59271c47448a7083
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Aug 21 19:01:04 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 546 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------------
 po/zh_TW.po | 546 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------------
 2 files changed, 586 insertions(+), 506 deletions(-)

commit a7f28adce785b324d316a7912a5526d977ab79f5
Author: Andika Triwidada <andika@gmail.com>
Date:   Tue Aug 21 14:43:02 2012 +0700

    Updated Indonesian translation

 po/id.po | 554 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------
 1 file changed, 296 insertions(+), 258 deletions(-)

commit 8f9b9713f2e451376730f08771a2250fa2a2845f
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Aug 21 15:26:48 2012 +0800

    Visual C++: Don't disable warning C4819
    
    The C4819 warnings appear due to a bug on Visual C++ when running on
    non-English locales, specifically CJK versions/locales of Windows.
    
    Re-enable this, like what is done in GLib, and add a note in the
    Visual C++ README.txt's to tell people about this, so that Cogl will be
    built correctly.

 build/win32/vs10/README.txt     | 7 +++++++
 build/win32/vs10/clutter.props  | 2 +-
 build/win32/vs9/README.txt      | 7 +++++++
 build/win32/vs9/clutter.vsprops | 1 -
 4 files changed, 15 insertions(+), 2 deletions(-)

commit dffe168f00ef7bf3277ec8b81c7e28bb04fcc66b
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Mon Aug 20 22:53:36 2012 +0300

    Updated Lithuanian translation

 po/lt.po | 1909 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------
 1 file changed, 1084 insertions(+), 825 deletions(-)

commit de1b2996ca176a57a3651a26d9e9d0cc2d12b11a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Aug 20 21:49:00 2012 +0200

    Updated POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 7b89b5de8c27a3d1800ce319e62cefc3276c9920
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Aug 20 20:31:07 2012 +0100

    Post-release version bump to 1.11.13

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 062491cf11bed7f818b75d2c205c4d9bb093f993
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Aug 20 19:41:36 2012 +0100

    Release Clutter 1.11.12 (snapshot)

 NEWS         | 77 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 78 insertions(+), 1 deletion(-)

commit 6716cd10e3d92103e626364378d1b3cddf6b0cd6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Aug 20 19:41:21 2012 +0100

    docs: Add ZoomAction symbols to the sections file

 doc/reference/clutter/clutter-sections.txt | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

commit 06ea2cf7b1d0a22985e3753e855b731cc52724a8
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Aug 20 18:56:20 2012 +0100

    drag-action: Ensure that we can destroy the drag handle
    
    If the DragAction has a drag handle that gets destroyed inside the
    ::drag-end signal handler, the destruction sequence will trigger a
    callback we have in place to check if the handle is being destroyed
    mid-drag, e.g. from a ::drag-motion event.
    
    The callback on the drag handle destruction will check if we are still
    in the middle of a drag and emit the ::drag-end signal to allow cleaning
    up; the callback erroneously uses the drag handle as the argument for
    the emit_drag_end() function — instead of the actor to which the drag
    action has been attached. Also, by the time we emit the ::drag-end, we
    are not dragging the actor any more, so we shouldn't be emitted the
    ::drag-end signal twice.
    
    The fix is, thus, made of two parts:
    
      - reset the in_drag boolean before emitting the ::drag-end signal
        so that destroying the drag handle will not result in a double
        signal emission;
    
      - use the correct actor when calling emit_drag_end().
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681814

 clutter/clutter-drag-action.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 449dca803423992b48d35c4c1a8ec272c3c401bf
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Aug 20 18:29:31 2012 +0100

    docs: Add ZoomAction to the API reference

 doc/reference/clutter/clutter-docs.xml.in | 1 +
 doc/reference/clutter/clutter.types       | 1 +
 2 files changed, 2 insertions(+)

commit 84325057af82bb104180da01c8cb1789b71b4a9b
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Tue Aug 14 03:35:43 2012 +0100

    Add zoom action
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678427

 clutter/Makefile.am           |   6 ++-
 clutter/clutter-enums.h       |  19 +++++++-
 clutter/clutter-marshal.list  |   1 +
 clutter/clutter-zoom-action.c | 510 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-zoom-action.h | 114 +++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter.h             |   1 +
 clutter/clutter.symbols       |   7 +++
 7 files changed, 655 insertions(+), 3 deletions(-)

commit c4a0f911b08ad5bce25433b1db8dd83bf6b25c28
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Aug 20 17:58:30 2012 +0100

    examples/box: Allow toggling animations
    
    We need to set the easing duration to a positive value to let the
    BoxLayout animate the allocation.

 examples/box-layout.c | 26 ++++++++++++++++++++++++--
 1 file changed, 24 insertions(+), 2 deletions(-)

commit d037890fc4a4d488a521af666ddcb3945fe64aff
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Tue Jul 31 12:29:49 2012 -0400

    ClutterBoxLayout: Blessing with proper h4w geometry management
    
    The box layout was broken for height-for-width requests in the opposing orientation of the box.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=679483

 clutter/clutter-box-layout.c | 362 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------
 1 file changed, 247 insertions(+), 115 deletions(-)

commit 8536314dbff5212e7afac29343ef67c46dfb30b2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Aug 20 14:47:53 2012 +0100

    bin-layout: Ensure that fixed position get a 0.0 alignment
    
    If the actor has a fixed position set, but it's not using the BinLayout
    alignment enumeration to set its alignment, then we force the alignment
    factor to 0.0; this is consistent with what happens with an explicit
    alignment of CLUTTER_BIN_ALIGNMENT_FIXED.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682265

 clutter/clutter-bin-layout.c | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 044c04ea8bba9f4ca545fb0c76bf981f6bac7932
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Aug 20 14:28:17 2012 +0100

    docs: Add ClutterAnimation migration docs

 doc/reference/clutter/Makefile.am                    |  10 ++++++----
 doc/reference/clutter/clutter-docs.xml.in            |   1 +
 doc/reference/clutter/migrating-ClutterAnimation.xml | 139 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 146 insertions(+), 4 deletions(-)

commit 6771e3ea157d5eb32d851e13de501a001f48088f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Aug 20 14:13:09 2012 +0200

    Updated Spanish translation

 po/es.po | 554 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------
 1 file changed, 297 insertions(+), 257 deletions(-)

commit cccb3709dd8558fb33ffbedba270ce9baddffbd1
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sun Aug 19 22:31:02 2012 +0100

    Updated Portuguese translation

 po/pt.po | 1825 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------
 1 file changed, 1035 insertions(+), 790 deletions(-)

commit f996c6e061d9953d103f18b74eb4149dc1c85763
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Aug 19 17:57:32 2012 +0100

    docs: Add missing symbols to the sections file

 doc/reference/clutter/clutter-sections.txt | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit ffe32426b8f664bef9b11c21e155c4b0aaf0cfe1
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Aug 16 17:10:50 2012 +0100

    actor: Add the :child-transform property
    
    An additional transformation that is applied to the children of an actor
    before their own transformations, but not to the actor itself.

 clutter/clutter-actor-private.h |   3 +++
 clutter/clutter-actor.c         | 136 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 clutter/clutter-actor.h         |   6 ++++++
 clutter/clutter.symbols         |   4 +++-
 4 files changed, 146 insertions(+), 3 deletions(-)

commit f7dd2d374661003e0855b5d33d270381895b1cbf
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Aug 16 16:13:38 2012 +0100

    matrix: Fix the init_with_matrix() implementation
    
    As usual, I swapped the memcpy() arguments around.

 clutter/clutter-base-types.c |  8 +++-----
 clutter/clutter-types.h      | 12 ++++++------
 2 files changed, 9 insertions(+), 11 deletions(-)

commit e9bcb4cf6ead0f7066de2e2eb14a4a5ad5f04a05
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 17 19:52:56 2012 +0100

    text: Clean up button press handling
    
    Event handling should only apply to editable ClutterText actors, but we
    also have the :selectable property to care about.
    
    The button/touch press should position the cursor inside an editable
    ClutterText; the :selectable property should be used to allow selecting
    the text, either through pointer or touch dragging, via the keyboard, or
    by multiple pointer clicks. If neither of these two conditions are met,
    the ClutterText should just propagate the event handling further.

 clutter/clutter-text.c | 27 ++++++++++++++++++---------
 1 file changed, 18 insertions(+), 9 deletions(-)

commit aeb7c6926b1ca05601b4adc3cfadd9d21ebbe183
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 17 19:20:21 2012 +0100

    Fix segfault when enabling debugging notes

 clutter/clutter-input-device.c | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit b8a00aa881b6882b6128cbea187a2f1ae68b3215
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Fri Aug 17 23:13:25 2012 +0200

    Updated Galician translations

 po/gl.po | 465 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------
 1 file changed, 234 insertions(+), 231 deletions(-)

commit f5a620ed3bd9d7d86bb51c8ec7c7102c016e89e2
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Jul 25 13:34:03 2012 -0300

    clutter-text: Make sure to paint the background of a text actor
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682070

 clutter/clutter-text.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 4a2f35fb8823cc1e692359a69946085aec1a71df
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Fri Aug 17 09:34:36 2012 +0200

    Updated Serbian translation

 po/sr.po       | 448 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------------
 po/sr@latin.po | 448 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------------
 2 files changed, 474 insertions(+), 422 deletions(-)

commit 4a95e1d4a3805eabf96293b326798f022c1a25e6
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Thu Aug 16 23:24:08 2012 +0200

    Updated Galician translations

 po/gl.po | 58 +++++++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 41 insertions(+), 17 deletions(-)

commit 3a718133464de1139eaf2db548d9af33849f65dc
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Thu Aug 16 22:19:21 2012 +0530

    Assamese translation updated

 po/as.po | 96 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------
 1 file changed, 57 insertions(+), 39 deletions(-)

commit f99d48a0c6f618720aba73c3bc7e18f6066cb1e9
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Sat Aug 4 00:13:04 2012 +0200

    ClutterDragAction: allow constraining the movement of the dragged actor
    
    Allow setting a ClutterRect on the drag action and force the
    dragged actor's position to be always within that rectangle (relative
    to the actor's parent).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681168

 clutter/clutter-drag-action.c              | 119 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 clutter/clutter-drag-action.h              |   8 ++++++++
 clutter/clutter.symbols                    |   2 ++
 doc/reference/clutter/clutter-sections.txt |   2 ++
 4 files changed, 130 insertions(+), 1 deletion(-)

commit b62797d23a43871fb97f548c571ffc95bd0c1d68
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Aug 16 16:08:02 2012 +0200

    Updated Spanish translation

 po/es.po | 409 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 208 insertions(+), 201 deletions(-)

commit b6e8f9d61ef4e11ab04293498bf2c8d8e14adfe4
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Aug 16 11:37:20 2012 +0100

    Remove (constructor) annotation
    
    ClutterMatrix is an alias to CoglMatrix, and g-ir-scanner complains if
    a function marked as a constructor does not return the correct type.

 clutter/clutter-base-types.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 803b3bafb617c2df703aa8b834ff0df2f0c5c26c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Aug 15 17:15:06 2012 +0100

    Associate the device to a stage on touch events
    
    Just like we do for crossing events, we need to update the stage pointer
    inside ClutterInputDevice on TOUCH_BEGIN and TOUCH_END.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681074

 clutter/clutter-main.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 6a13a5bd3c00801b368df1638f856eee9e069fbd
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Wed Aug 15 15:07:15 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 410 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------------------------------------------
 po/zh_TW.po | 408 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------------------------------------------
 2 files changed, 417 insertions(+), 401 deletions(-)

commit ed51f0054ec796a65c31619446806c5b01f1142b
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Tue Aug 14 22:24:42 2012 +0300

    Uploaded Ukranian

 po/uk.po | 1809 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------
 1 file changed, 1026 insertions(+), 783 deletions(-)

commit 8fc5f72a337eeff52753bf4bf8edfedef8be338a
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Mon Aug 13 13:35:56 2012 +0530

    Assamese translation updated

 po/as.po | 441 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------------
 1 file changed, 208 insertions(+), 233 deletions(-)

commit 480fb65c42a9d1d91adfd074ef8d8937d6eae90f
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:   Mon Aug 13 05:56:22 2012 +0700

    Updated Indonesian translation

 po/id.po | 726 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 368 insertions(+), 358 deletions(-)

commit 260d8fc0973f9a35d5252a8f6d6223190275f2ac
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Aug 12 19:21:22 2012 +0100

    backend: Include deprecated header
    
    To avoid compiler warnings.

 clutter/clutter-backend.c | 3 +++
 1 file changed, 3 insertions(+)

commit 202d95d180713968ac807d9b446c1a89e6177433
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Aug 12 19:19:02 2012 +0100

    rotate-action: Use the correct accumulator
    
    The boolean_handled accumulator will stop the signal emission if TRUE is
    returned by a signal handler; the boolean_continue accumulator will stop
    the signal emission if FALSE is returned. The first one is used for
    event-related signals, while the latter is used for action-related
    signals.

 clutter/clutter-rotate-action.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 00f7fc4e58f52386a432613e409dde389b77d7bf
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 10 14:06:49 2012 +0100

    stage: Do not use get_allocation_geometry()
    
    Second try, after testing.
    
    Tested-by: Rico Tzschichholz <ricotz@t-online.de>

 clutter/clutter-stage.c | 44 ++++++++++++++++++++++++--------------------
 1 file changed, 24 insertions(+), 20 deletions(-)

commit 44661902bd28d08ce4ced16f65e0f992792012c9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Aug 12 09:29:29 2012 +0100

    Revert "stage: Do not use get_allocation_geometry()"
    
    This reverts commit ef1bb42a86263f766d49335fb09aa87655fa255d.
    
    Apparently, it broke GNOME Shell, so let's back it out first and try to
    figure out why.

 clutter/clutter-stage.c | 31 +++++++++++++++----------------
 1 file changed, 15 insertions(+), 16 deletions(-)

commit 93a43f879dc85f6103f01d3da04bef01a29d9eb6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Aug 9 01:33:16 2012 +0100

    Deprecate ClutterActor::paint
    
    Only the signal connection. When using G_ENABLE_DIAGNOSTIC there will be
    a warning for every signal connection.
    
    We should try and discourage people from ever using the paint signal
    ever again, until we can safely remove it in Clutter 2.0.

 clutter/clutter-actor.c | 19 ++++++++++++++-----
 1 file changed, 14 insertions(+), 5 deletions(-)

commit 3e4277c2e85d51dca327ec4c08ee2a31c1eb9883
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 10 14:28:48 2012 +0100

    base-types: Add (constructor) annotations
    
    The alloc() functions are the constructors for their types, so it's
    better to have the introspection data match the intent of the API.

 clutter/clutter-base-types.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 903452d2dfd357e1f6e59b94fc33c6a192415235
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Fri Jun 22 11:43:52 2012 +0200

    interactive/touch-events: Optimize touch event drawing
    
    The current versions redraws all events on every redraw, which starts
    getting very slow quickly. Instead simply draw only the new events
    except when the cairo surface got reset, in that case redraw all events
    again.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681584

 tests/interactive/test-touch-events.c | 33 ++++++++++++++++++++++++++++-----
 1 file changed, 28 insertions(+), 5 deletions(-)

commit 5b7c61a026bc46a646fc28f147540669a9b555c2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 10 14:17:56 2012 +0100

    actor: Deprecate Geometry-related API
    
    We cannot fully deprecate Geometry, because ClutterActor and ClutterText
    are actually using the type in signals and properties; but we can
    deprecate the API that uses this type, so that 2.0 will be able to avoid
    it entirely.

 clutter/clutter-actor.c                       | 90 ------------------------------------------------------------------------------------------
 clutter/clutter-actor.h                       |  2 --
 clutter/clutter-paint-volume.c                |  2 +-
 clutter/deprecated/clutter-actor-deprecated.c | 93 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/deprecated/clutter-actor.h            |  4 ++++
 clutter/deprecated/clutter-rectangle.c        |  3 ++-
 6 files changed, 100 insertions(+), 94 deletions(-)

commit ef1bb42a86263f766d49335fb09aa87655fa255d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 10 14:06:49 2012 +0100

    stage: Do not use get_allocation_geometry()
    
    It's pointless, and it will be deprecated soon.

 clutter/clutter-stage.c | 31 ++++++++++++++++---------------
 1 file changed, 16 insertions(+), 15 deletions(-)

commit 699a1876d4ee63412b9348b695cf372d4e174a74
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 10 14:06:14 2012 +0100

    clone: Do not use get_allocation_geometry()
    
    Another nail in ClutterGeometry's coffin.

 clutter/clutter-clone.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 7a59b69f96891cd18ed2c52dd939c47e7a82767e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Aug 10 12:58:22 2012 +0100

    actor: Deprecate :clip and introduce :clip-rect instead
    
    The :clip property still uses ClutterGeometry, which is a very bad
    rectangle type. Since we cannot change the type of the property
    compatibly, we should introduce a new property using ClutterRect
    instead. This also matches the ClutterActor.set_clip() API, which uses a
    decomposed rectangle with floating point values, like we do with
    set_position() and set_size().

 clutter/clutter-actor.c | 130 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------
 1 file changed, 93 insertions(+), 37 deletions(-)

commit 9515cc5b94a127e59cd9da2b40954d2eaf38c372
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Aug 9 17:50:44 2012 +0100

    docs: Fix the link to set_content_gravity()

 clutter/clutter-actor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 97755882c16adcbefa2065e4ab3b07d225e50fd4
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Aug 9 17:11:10 2012 +0100

    bin-layout: Use ClutterActor:fixed-position-set
    
    Instead of only relying on the (now) deprecated BinAlignment.FIXED
    enumeration value, we just ask the actor if a fixed position has been
    explicitly set, under the assumption that if a developer decided to call
    set_x(), set_y(), or set_position() on an actor inside a BinLayout then
    she wanted the fixed position to be honoured.
    
    This removes the last (proper) use of the BinAlignment enumeration.

 clutter/clutter-bin-layout.c | 31 +++++++++++++++++++++++--------
 1 file changed, 23 insertions(+), 8 deletions(-)

commit f5760842773f9db3b6cca436b921b97b52699171
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Aug 9 16:56:19 2012 +0100

    docs: Warn users of ClutterGeometry
    
    The Geometry type is an *awful* representation of a integer rectangle,
    as it uses unsigned integers for its size, leading to overflow issues
    when unioning and intersecting. We have better rectangle types in
    Cairo and Clutter, these days.

 clutter/clutter-types.h | 4 ++++
 1 file changed, 4 insertions(+)

commit 46211a65db186e1af66cfa1e5ebaafddcb8a560c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Aug 9 16:55:41 2012 +0100

    types: Add INIT_ZERO macro for ActorBox
    
    Last type that was missing this macro.

 clutter/clutter-types.h | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 97ed8e76d7c640e735372255f793881b614e1edb
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Aug 9 16:54:37 2012 +0100

    docs: Fix up deprecation notes for animate()
    
    Instead of pointing to PropertyTransition, point to the implicit
    animation support in ClutterActor.

 clutter/deprecated/clutter-animation.c | 20 ++++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)

commit 2c20de007124d24d7f43edf214e92eca60b73f66
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Wed Aug 8 13:21:08 2012 +0530

    Assamese translation updated

 po/as.po | 1817 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------
 1 file changed, 1024 insertions(+), 793 deletions(-)

commit b58f00cb9a266aef640ebbb65d706ed609ae6452
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Aug 7 09:58:23 2012 +0100

    Post-release version bump to 1.11.11

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8b2d70e6e45d92753ea3bd97edd0aa51766d652a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Aug 7 09:42:21 2012 +0100

    Release Clutter 1.11.10 (snapshot)

 NEWS         | 69 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 70 insertions(+), 1 deletion(-)

commit d8fddbf780f6ecb1a3fb5612a431cc2c04cf7dbe
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Aug 7 09:45:35 2012 +0100

    build: Include top builddir for cookbook examples

 doc/cookbook/examples/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 5461483df6268b96bfbd995cdcaf79086c61b1dd
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Aug 7 09:39:04 2012 +0100

    Documentation build fixes

 clutter/clutter-rotate-action.h            |  2 +-
 doc/reference/clutter/Makefile.am          |  1 +
 doc/reference/clutter/clutter-sections.txt | 38 ++++++++++++++++++++++++++++----------
 3 files changed, 30 insertions(+), 11 deletions(-)

commit ca5e4649805d7b481bb1edd8830a5214ef7a1aa7
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Aug 7 13:17:30 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 464 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------
 po/zh_TW.po | 462 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------
 2 files changed, 479 insertions(+), 447 deletions(-)

commit b8cc17fc45a24c4ea62cbf593702fba91bd54ed3
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Mon Aug 6 18:09:01 2012 +0300

    Updated Greek translation

 po/el.po | 483 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 242 insertions(+), 241 deletions(-)

commit fc635d19444fc8a71c5edfeadf63063d69a55d96
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Wed Aug 1 08:52:52 2012 +0200

    Updated Serbian translation

 po/sr.po       | 462 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------
 po/sr@latin.po | 462 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------
 2 files changed, 480 insertions(+), 444 deletions(-)

commit 41ed9023eb29600f2a3871e4321d49eb975b9d6f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jul 30 12:33:24 2012 +0100

    build: Fix out of tree builds

 examples/Makefile.am            | 1 +
 tests/accessibility/Makefile.am | 1 +
 tests/conform/Makefile.am       | 3 ++-
 tests/interactive/Makefile.am   | 1 +
 tests/micro-bench/Makefile.am   | 7 +++----
 tests/performance/Makefile.am   | 3 ++-
 6 files changed, 10 insertions(+), 6 deletions(-)

commit 81cbb33cc5fed835ff4af8a8bacc366809d628dd
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jul 29 13:53:06 2012 +0100

    build: Some warnings should always stop compilation
    
    Not every single one, but things that we care about to avoid breaking
    build on other platforms, or for security issues, should not be allowed.
    
    We should not force everyone to use -Werror, though; and we should still
    allow building Clutter without any special flag.

 configure.ac | 19 +++++++++++++------
 1 file changed, 13 insertions(+), 6 deletions(-)

commit 3649e5d8288e9ae33b4544f8be9e3cfe14f9b5a9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jul 29 13:51:23 2012 +0100

    examples/basic: Use the event type and not a flag
    
    In order to identify whether the crossing event is an enter or a leave,
    we should use the ClutterEventType enumeration, not attach a value to
    the signal handler.

 examples/basic-actor.c | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit 9f83b64182f03025be3a785e2737ec56c1a6555c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jul 28 17:40:57 2012 +0100

    build: Move config.h under clutter/
    
    We should not have header files in the project root.

 Makefile.am                                    | 2 --
 build/win32/vs10/clutter.props                 | 8 ++++----
 build/win32/vs9/clutter.vsprops                | 8 ++++----
 clutter/Makefile.am                            | 6 ++++++
 config.h.win32.in => clutter/config.h.win32.in | 0
 configure.ac                                   | 4 ++--
 6 files changed, 16 insertions(+), 12 deletions(-)

commit 0df23b7fd6d3a2a612ff76c08f98e3603e0b9737
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Jul 30 02:38:51 2012 +0200

    Updated Galician translations

 po/gl.po | 462 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------------------------------------------
 1 file changed, 239 insertions(+), 223 deletions(-)

commit db74b184db8c7d29e9c10ca5e6860c3822b45fb6
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Sat Jul 28 15:48:56 2012 +0200

    events: process CLUTTER_TOUCH_CANCEL
    
    These events might be emitted from the window manager/compositor, they
    need to be transmitted to widgets.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680752

 clutter/clutter-main.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 86e064597e951a3c4d9864c7e7403256d13f5329
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Sat Jul 28 15:36:23 2012 +0200

    events: honour clutter_stage_set_motion_events_enabled() for touch events
    
    When dragging/scrolling using touch events, we want the same behaviour
    than for motion events. We need to honor the user's calls to
    clutter_stage_set_motion_events_enabled() to deactive event
    bubbling/captured sequences on the actor located under the pointer and
    just transmit events to the stage/grab actor.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680751

 clutter/clutter-main.c | 34 +++++++++++++++++++++++++++++++++-
 1 file changed, 33 insertions(+), 1 deletion(-)

commit fc04f015a6df2e3b5d245698a73240ca38b889ac
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jul 29 13:39:13 2012 +0100

    gdk: Fix compilation on non-X11 platforms
    
    The GDK backend may not work on non-X11 platforms, yet, but it's not a
    good reason to let it introduce random build breakage.

 clutter/gdk/clutter-backend-gdk.c | 2 ++
 clutter/gdk/clutter-event-gdk.c   | 3 ++-
 clutter/gdk/clutter-stage-gdk.c   | 5 +++--
 3 files changed, 7 insertions(+), 3 deletions(-)

commit 228b74f6247a353d6c8c0720e9faf0c9dbbc4014
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Jul 27 11:31:46 2012 +0200

    Updated Spanish translation

 po/es.po | 473 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 240 insertions(+), 233 deletions(-)

commit a4d1e6f6f117c477750c1df32bdab94596462ca2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jul 22 10:52:46 2012 +0100

    actor: Ensure the invariants of transition-stopped
    
    We need to make sure that ClutterActor::transition-stopped is emitted
    after the transition was removed from the actor's list of transitions.
    
    We cannot just remove the TransitionClosure from the hash table that
    holds the transitions associated to an actor, and let the
    TransitionClosure free function stop the timeline, thus emitting the
    ::transition-stopped signal - otherwise, stopping the timeline will end
    up trying to remove the transition from the hash table, and we'll get
    either a warning or a segfault.
    
    Since we know we're removing the timeline anyway, we can emit the signal
    ourselves in case the timeline is playing, in both the implicit and
    explicit cases.

 clutter/clutter-actor.c | 66 +++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 55 insertions(+), 11 deletions(-)

commit 25878c6c13778596d3583b9547edf8896614b26d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jul 22 10:41:41 2012 +0100

    interactive/keyframe: Use transition-stopped signal

 tests/interactive/test-keyframe-transition.c | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit 17860b128ed9dba0cdc7adc1c4f1349c3a29647a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jul 21 14:18:30 2012 -0400

    Annotate things to be removed/changed for 2.0
    
    Lest we forget, like we did during the 0.9 → 1.0 cycle.

 clutter/clutter-actor.c | 61 +++++++++++++++++++++++++++++++------------------------------
 1 file changed, 31 insertions(+), 30 deletions(-)

commit 178e6b2294a457c78566204dfa17d907341f81c9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jul 20 16:56:43 2012 -0400

    Add ClutterActor.transform
    
    The :transform property controls the modelview matrix of an actor; it
    can be used to set a custom modelview matrix on the actor, as opposed
    to the decomposed transformations (rotation, scaling, translation)
    provided by the ClutterActor class.

 clutter/clutter-actor-private.h    |   3 +++
 clutter/clutter-actor.c            | 174 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------
 clutter/clutter-actor.h            |  10 +++++++---
 clutter/clutter.symbols            |   2 ++
 clutter/deprecated/clutter-actor.h |   3 +++
 5 files changed, 172 insertions(+), 20 deletions(-)

commit 25ba5374fe55da9ef6c2c814e43b0ee7e40b73dc
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jul 21 13:46:47 2012 -0400

    types: Add ClutterMatrix
    
    A simple typedef to CoglMatrix, that we can use for GObject properties
    and signal marshallers, without requiring Cogl to change.

 clutter/clutter-base-types.c | 117 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-types.h      |  15 ++++++++++++++-
 clutter/clutter.symbols      |   6 ++++++
 3 files changed, 137 insertions(+), 1 deletion(-)

commit 3f732cdc2b3de58b611174e4266e175f9b1e431e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jul 21 13:33:02 2012 -0400

    actor: Ensure that we remove only implicit transitions
    
    The transitions we create implicitly should be removed from the set of
    transitions associated to an actor; the transitions explicitly
    associated to an actor, though, have to survive the emission of their
    'stopped' signal.

 clutter/clutter-actor.c | 112 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------
 1 file changed, 63 insertions(+), 49 deletions(-)

commit ee00e37bc4cfa067e09e4fecbdf5765b198d6ce1
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jul 21 13:16:37 2012 -0400

    actor: Simplify the implicit transition handling
    
    We can remove the update_transition() private method, and move its
    functionality inside the create_transition() private method, thereby
    removing lots of duplicated code, as well as redundant checks on the
    existence of a transition. This will allow handling transition updates
    atomically in the future.

 clutter/clutter-actor-private.h |   3 -
 clutter/clutter-actor.c         | 620 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------------------------------
 2 files changed, 201 insertions(+), 422 deletions(-)

commit 28c2eeef951207f73f5c2584b3a471271ccdbdcf
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jul 21 12:49:53 2012 -0400

    actor: Add ::transition-stopped
    
    The ::transition-stopped signal can be used to get notification of the
    end of a transition.

 clutter/clutter-actor.c      | 97 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------
 clutter/clutter-marshal.list |  1 +
 examples/basic-actor.c       | 27 ++++++++++++++-------------
 3 files changed, 99 insertions(+), 26 deletions(-)

commit e0e5ab9dd49374e6e81b5b80df0e611345192f88
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Wed Jul 25 08:25:44 2012 +0200

    Updated Serbian translation

 po/sr.po       | 1772 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------
 po/sr@latin.po | 1772 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------
 2 files changed, 1944 insertions(+), 1600 deletions(-)

commit 2a39c6b5345bd75a2157c7b6354b63710404cbd0
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Tue Jul 24 18:18:26 2012 +0300

    Updated Greek translation

 po/el.po | 1265 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------------------------------------------
 1 file changed, 651 insertions(+), 614 deletions(-)

commit 5a43f6b89530e83a9301832c56816547b820949d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jul 19 21:57:26 2012 -0400

    examples/easing-modes: Use newly added modes
    
    Step and cubic bezier.

 examples/easing-modes.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 12c75e9737152f91c440c935c0393f5ee9ef473f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jul 19 21:55:35 2012 -0400

    timeline: Add cubic-bezier() progress functions
    
    Another progress function from the CSS3 Transitions specification, using
    a parametrices cubic bezier curve between (0, 0) and (1, 1) with two
    control points.
    
    (sadly, no ASCII art can approximate a cubic bezier, so no graph)
    
    The cubic-bezier() progress function comes with a bunch of preset easing
    modes: ease, ease-in, ease-out, and ease-in-out, that we can map to
    enumeration values.

 clutter/clutter-easing.c   |  72 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-easing.h   |   7 +++++++
 clutter/clutter-enums.h    |  19 ++++++++++++++++++-
 clutter/clutter-timeline.c | 103 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-timeline.h | 120 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------
 clutter/clutter.symbols    |   2 ++
 6 files changed, 266 insertions(+), 57 deletions(-)

commit 4546f844080672580c469d75168630b737419c17
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jul 19 19:47:48 2012 -0400

    timeline: Add support for step() progress
    
    The CSS3 Transitions specification from the W3C defines the possibility
    of using a parametrized step() timing function, with the following
    prototype:
    
            steps(n_steps, [ start | end ])
    
    where @n_steps represents the number of steps used to divide an interval
    between 0 and 1; the 'start' and 'end' tokens describe whether the value
    change should happen at the start of the transition, or at the end.
    
    For instance, the "steps(3, start)" timing function has the following
    profile:
    
      1 |           x
        |           |
        |       x---|
        |       '   |
        |   x---'   |
        |   '       |
      0 |---'       |
    
    Whereas the "steps(3, end)" timing function has the following profile:
    
      1 |       x---|
        |       '   |
        |   x---'   |
        |   '       |
        x---'       |
        |           |
      0 |           |
    
    Since ClutterTimeline uses an enumeration for controlling the progress
    mode, we need additional API to define the parameters of the steps()
    progress; for this reason, we need a CLUTTER_STEPS enumeration value,
    and a method for setting the number of steps and the value transition
    policy.
    
    The CSS3 Transitions spec helpfully also defines a step-start and a
    step-end shorthands, which expand to step(1, start) and step(1, end)
    respectively; we can provide a CLUTTER_STEP_START and CLUTTER_STEP_END
    enumeration values for those.

 clutter/clutter-easing.c          |  27 +++++++++++++++++++++++++++
 clutter/clutter-easing.h          |   9 +++++++++
 clutter/clutter-enums.h           |  31 +++++++++++++++++++++++++++++++
 clutter/clutter-timeline.c        |  96 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-timeline.h        |   8 ++++++++
 clutter/clutter.symbols           |   3 +++
 tests/conform/Makefile.am         |   1 +
 tests/conform/test-conform-main.c |   2 ++
 tests/conform/timeline-progress.c | 110 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 9 files changed, 287 insertions(+)

commit d7eb57a7115f7979ac6ad83fd9cc9d0ce3db7900
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jul 19 14:18:09 2012 -0400

    interactive/animation: Use pivot point
    
    Instead of the anchor point and the rotation center.

 tests/interactive/test-animation.c | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit b10e7057ad9611601b0110a36df19189599b0c68
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jul 19 13:58:50 2012 -0400

    actor: Consolidate rotation angle internal setter
    
    Use the GParamSpec, instead of the rotation axis enumeration, to
    simplify the caller code, similarly to how we handle scaling and
    translation factors.

 clutter/clutter-actor.c | 58 +++++++++++++++++++---------------------------------------
 1 file changed, 19 insertions(+), 39 deletions(-)

commit f99abad4a43ebeb103766c24a8f45ca4d8066462
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 18 17:23:35 2012 -0400

    Split off LayoutManager deprecated functions to a separate file
    
    This should make it easier to clean up later when we branch off for
    1.99.

 clutter/Makefile.am                                    |  1 +
 clutter/clutter-layout-manager.c                       | 91 +++++++------------------------------------------------------------------------------------
 clutter/deprecated/clutter-layout-manager-deprecated.c | 89 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 97 insertions(+), 84 deletions(-)

commit 9faed5eba466f09d89558600624997f41818fb3f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 18 17:15:13 2012 -0400

    docs: Add missing section for ClutterRotateAction

 doc/reference/clutter/clutter-docs.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 1c03be7346ba0c72518ee1972674007a2417c2a2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 18 10:32:53 2012 -0400

    event: Expose is-pointer-emulated flag
    
    Clutter on X11 already stores this flag to distinguish between events
    that have been synthesized by the X server and real events.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680174

 clutter/clutter-event.c | 23 +++++++++++++++++++++++
 clutter/clutter-event.h |  2 ++
 clutter/clutter.symbols |  1 +
 3 files changed, 26 insertions(+)

commit a8fcd4dfae3f5f9ee0f6c8d74deb8bca210b2e26
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Wed Jul 18 18:28:24 2012 +0200

    event: Copy the is-pointer-emulated flag
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680174

 clutter/clutter-event.c | 1 +
 1 file changed, 1 insertion(+)

commit 31b8b2e22ff4f88dc28af7a963e900c86107049e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 18 13:05:10 2012 -0400

    x11: Add debug notes for pointer-emulated

 clutter/x11/clutter-device-manager-xi2.c | 20 +++++++++++---------
 1 file changed, 11 insertions(+), 9 deletions(-)

commit 9b4f13c15a1b531696dd741f88142654f227f7f7
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Jul 17 17:41:04 2012 -0400

    input-device: Fix introspection annotation
    
    The event sequence can be %NULL.

 clutter/clutter-input-device.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 08da111f5e1e2f39273cac34dc7df75d082060a6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Jul 17 17:40:47 2012 -0400

    Fix compiler warning
    
    Mark a variable as unused.

 clutter/clutter-gesture-action.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 76e7ab90f6ac232306f827ad14936320e314767c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Jul 18 23:07:45 2012 +0200

    Updated POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit fcd7321f231f39551f1906a7a45da4da685288c9
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Wed Jul 18 20:41:59 2012 +0100

    input-device: fix destroy signal connection on wrong actor

 clutter/clutter-input-device.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9e02ef459e936cf143cc956337c74e59260a6f16
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Wed Jul 11 16:21:28 2012 +0100

    input-device: add enter/leave events generation for touch events
    
    This patch brings 'enter-event' and 'leave-event' generation for touch
    based devices. This leads to adding a new API to retrieve coordinates
    of a touch point.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=679797

 clutter/Makefile.am                                  |   2 ++
 clutter/clutter-deprecated.h                         |   1 +
 clutter/clutter-device-manager-private.h             |  22 ++++++++++++
 clutter/clutter-device-manager.c                     |   2 +-
 clutter/clutter-input-device.c                       | 340 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------
 clutter/clutter-input-device.h                       |   8 +++--
 clutter/clutter-main.c                               |  29 +++++++++++-----
 clutter/clutter-stage.c                              |   3 +-
 clutter/clutter.symbols                              |   1 +
 clutter/deprecated/clutter-input-device-deprecated.c |  38 ++++++++++++++++++++
 clutter/deprecated/clutter-input-device.h            |  41 ++++++++++++++++++++++
 doc/reference/clutter/clutter-sections.txt           |   1 +
 12 files changed, 410 insertions(+), 78 deletions(-)

commit 6eef8ea0422de0dd54780eb584f7ca46d5412dec
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Tue Jul 17 17:14:55 2012 +0100

    fix build (missing marshaller)

 clutter/clutter-marshal.list | 1 +
 1 file changed, 1 insertion(+)

commit e2264c04849722954d0f8422a49c8558d6ea8753
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Fri Jun 22 02:38:21 2012 +0100

    Add rotate action
    
    Allow rotation of an actor using 2 points (touch or pointers) events.
    
    Also refactor the accumulators from various actions.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678587

 clutter/Makefile.am                        |   2 ++
 clutter/clutter-drag-action.c              |  16 +------------
 clutter/clutter-gesture-action.c           |  18 ++-------------
 clutter/clutter-main.c                     |  14 +++++++++++
 clutter/clutter-private.h                  |   9 ++++++++
 clutter/clutter-rotate-action.c            | 239 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-rotate-action.h            | 100 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter.h                          |   3 ++-
 clutter/clutter.symbols                    |   2 ++
 doc/reference/clutter/clutter-sections.txt |  17 ++++++++++++++
 10 files changed, 388 insertions(+), 32 deletions(-)

commit 2a31a93c5e63f3a6e3e4a82622e5fbab0e25e5f1
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Jul 17 10:13:12 2012 -0400

    x11/xi2: Do not generate scroll events on ButtonRelease
    
    Scroll events are generated on ButtonPress only in the core event
    handling, so it should happen the same if we use XInput.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680088

 clutter/x11/clutter-device-manager-xi2.c | 44 ++++++++++++++++++++++++++++++++------------
 1 file changed, 32 insertions(+), 12 deletions(-)

commit 6ac815219b9fcba91ee65b2ce91c91e72ed579b9
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Jul 17 14:54:03 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 62 ++++++++++++++++----------------------------------------------
 po/zh_TW.po | 62 ++++++++++++++++----------------------------------------------
 2 files changed, 32 insertions(+), 92 deletions(-)

commit 520039003787bae3347adc49e29709fa8c44c64d
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Thu Jun 21 02:55:56 2012 +0100

    gesture-action: add multiple point support and touch events support
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678586

 clutter/clutter-gesture-action.c           | 340 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------
 clutter/clutter-gesture-action.h           |   3 ++
 clutter/clutter.symbols                    |   2 ++
 doc/reference/clutter/clutter-sections.txt |   2 ++
 4 files changed, 273 insertions(+), 74 deletions(-)

commit d3870c64ea6db8e30b674fbc59e3e7bc59a7dc0e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jul 16 19:11:53 2012 -0400

    Post-release version bump to 1.11.9

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 46694f6c61563eb5c920e1e13c05f4d68426f075
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jul 16 19:00:26 2012 -0400

    Release Clutter 1.11.8

 NEWS         | 59 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 README.in    |  7 +++++++
 configure.ac |  2 +-
 3 files changed, 67 insertions(+), 1 deletion(-)

commit dcadaf67b6cc90aed1db7e2d8cce02b6bd33f199
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jul 16 16:40:20 2012 +0200

    Updated Spanish translation

 po/es.po | 1266 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------
 1 file changed, 661 insertions(+), 605 deletions(-)

commit 31c3afa4372bb1a6c9c0d0c0d84469351a3d49a3
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sun Jul 15 11:26:00 2012 +0300

    Updated Belarusian translation.

 po/be.po | 1240 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------
 1 file changed, 644 insertions(+), 596 deletions(-)

commit de84a0b70499ea058844a1552f89941eac84d92d
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sat Jul 14 13:34:43 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 1874 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------
 po/zh_TW.po | 1874 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------
 2 files changed, 2052 insertions(+), 1696 deletions(-)

commit 8bf411c9003286d3c982e5f1ea358d63fbc5afcc
Author: Andika Triwidada <andika@gmail.com>
Date:   Fri Jul 13 16:23:49 2012 +0700

    Updated Indonesian translation

 po/id.po | 2412 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------
 1 file changed, 1453 insertions(+), 959 deletions(-)

commit 2bec43c3c232eebd3ce12b9222fedf3a2a6f88a3
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jul 12 22:30:53 2012 +0100

    actor: Round the adjusted allocation origin correctly
    
    We use floorf() for the allocation origin, and ceilf() for the
    allocation size. Swapping the two introduces rounding errors if
    the original allocation is not clamped to the nearest pixel.

 clutter/clutter-actor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ee06fbeb619e0dd793cc2c0b173662372ecb7aa5
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Thu Jul 12 18:07:39 2012 +0200

    Updated Galician translations

 po/gl.po | 1243 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------
 1 file changed, 648 insertions(+), 595 deletions(-)

commit 028e4f560f54a8d94216cab7e0d1684fc17e1b2e
Author: Sasi Bhushan Boddepalli <sasi@swecha.net>
Date:   Thu Jul 12 17:12:30 2012 +0530

    Updated Telugu Translation

 po/te.po | 1247 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------
 1 file changed, 656 insertions(+), 591 deletions(-)

commit b460f8438098a10a328740dc8bbeba43c2a6fd69
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Jul 11 23:52:51 2012 +0200

    Updated POTFILES.in

 po/POTFILES.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8b03ac6bae9a12886aa5dc57f7991304e0877c97
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 11 15:27:56 2012 +0100

    Documentation fixes

 clutter/clutter-drag-action.h              |  1 +
 doc/reference/clutter/clutter-sections.txt | 46 ++++++++++++++++++++++++++++++----------------
 2 files changed, 31 insertions(+), 16 deletions(-)

commit 0afc13791879f7a3f061df9552ac325a8bd19f4b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 11 13:12:30 2012 +0100

    Revert "layout-manager: Add a new animation API"
    
    This reverts commit 7f6b17bc504ca508554a5e2075af59125682e531.
    
    ClutterLayoutManager implementations should just defer the easing state
    set up to the child, and not try to impose a global one.

 clutter/clutter-layout-manager.c           | 406 +-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 clutter/clutter-layout-manager.h           |  27 -------------
 clutter/clutter.symbols                    |   9 -----
 doc/reference/clutter/clutter-sections.txt |   9 -----
 4 files changed, 2 insertions(+), 449 deletions(-)

commit 1806a2140b07503b35d94d71b7436447cc5446c5
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 11 13:09:58 2012 +0100

    Revert "table-layout: Use the ClutterLayoutManager animation API"
    
    This reverts commit 793bde91430c53edd0b39989e59f9f77b562947e.
    
    ClutterLayoutManager implementations should just defer the easing state
    set up to the child, and not try to impose a global one.

 clutter/clutter-table-layout.c | 195 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------
 1 file changed, 148 insertions(+), 47 deletions(-)

commit 2fef1a174e3883bef569b67f6224e2d9ccbc8b97
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 11 13:11:13 2012 +0100

    grid-layout: Remove layout animations
    
    ClutterLayoutManager implementations should just defer the easing state
    set up to the child, and not try to impose a global one.

 clutter/clutter-grid-layout.c | 19 -------------------
 1 file changed, 19 deletions(-)

commit 5a1c16de629cff844d1540cbcd82ded7a40c04be
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 11 13:09:19 2012 +0100

    Revert "flow-layout: Implement layout animations"
    
    This reverts commit 320fb156b41fad5048b69acb7ca7a7e582b49182.
    
    ClutterLayoutManager implementations should just defer the easing state
    set up to the child, and not try to impose a global one.

 clutter/clutter-flow-layout.c | 20 --------------------
 1 file changed, 20 deletions(-)

commit b4994f9e76193391bb188d93d535e7ee6cad022e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 11 13:08:50 2012 +0100

    Revert "box-layout: Use the ClutterLayoutManager animation API"
    
    This reverts commit 58a1854b5729296dbd62071d190c528374e7e4f8.
    
    ClutterLayoutManager implementations should just defer the easing state
    set up to the child, and not try to impose a global one.

 clutter/clutter-box-layout.c | 200 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------
 1 file changed, 140 insertions(+), 60 deletions(-)

commit d381ab12076487a6efa9eb5f12645f5f26ddcf60
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 11 13:07:12 2012 +0100

    Revert "bin-layout: Implement layout animations"
    
    This reverts commit 03ec016faa146410c12b88851f0428d035933dd4.
    
    ClutterLayoutManager implementations should just defer the easing state
    set up to the child, and not try to impose a global one.

 clutter/clutter-bin-layout.c | 18 ------------------
 1 file changed, 18 deletions(-)

commit b1b3bfb74ee88ef6349c2094a229171d9afa2f49
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jul 11 13:21:33 2012 +0100

    Remove usage of ClutterLayoutManager easing API
    
    It is going away.

 examples/box-layout.c     |  9 ---------
 examples/flow-layout.c    |  9 ---------
 examples/grid-layout.c    |  8 --------
 examples/layout-manager.c | 22 ++--------------------
 4 files changed, 2 insertions(+), 46 deletions(-)

commit b985c4035e1a7e9c5b5b9fe1af970a782d573762
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jul 9 17:43:09 2012 +0100

    Deprecate ClutterTexture's API
    
    ClutterTexture is full of side effects that have been picked up over the
    years; they make improving ClutterTexture harder than necessary, as well
    as making subclassing impossible without introducing weird behaviours in
    the child classes as well.
    
    Since Clutter 1.10 we have the ClutterImage content type, which is
    side-effects free, given that it just paints texture data using the
    state of the actor.
    
    Sadly, we still have subclasses of ClutterTexture, both deprecated and
    not, so we cannot deprecate ClutterTexture right out; the type and
    structures will still be available, like we do for ClutterGroup, but the
    whole API should be moved to the deprecated section, waiting for the
    time in which we can get rid of it all.

 clutter/Makefile.am                        |   2 +-
 clutter/clutter-texture.h                  |  65 -----------------------------------------------------------------
 clutter/deprecated/clutter-cairo-texture.c |   4 ++--
 clutter/{ => deprecated}/clutter-texture.c |  78 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----
 clutter/deprecated/clutter-texture.h       | 104 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------
 clutter/x11/clutter-glx-texture-pixmap.c   |   1 +
 clutter/x11/clutter-x11-texture-pixmap.c   |   1 +
 7 files changed, 175 insertions(+), 80 deletions(-)

commit 42ca7bf1f411bc7572f63126aae445aa64f2ee2d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jul 9 12:00:32 2012 +0100

    Use Vertex zero init macro

 clutter/clutter-actor.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a101600c7dd4eecf0f2a8813d60e3d510c391bfa
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jul 9 11:58:06 2012 +0100

    types: Add CLUTTER_VERTEX_INIT_ZERO
    
    Similar to the macros for ClutterPoint, ClutterSize, and ClutterRect.

 clutter/clutter-types.h | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 9b52f9b3f559815e7a8f39f8fac5d4679f0c3a56
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jul 9 10:59:13 2012 +0100

    actor: Add scaling factor in the Z axis
    
    Having a scaling factor on the Z axis helps with projects that use fully
    3D elements, like Mash.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677853

 clutter/clutter-actor-private.h |  1 +
 clutter/clutter-actor.c         | 88 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---
 clutter/clutter-actor.h         |  5 +++++
 clutter/clutter.symbols         |  2 ++
 4 files changed, 93 insertions(+), 3 deletions(-)

commit 6feee080b3badc5e3a2a98dae57e99e7aeb1ec8b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jul 6 18:27:45 2012 +0100

    actor: Clean up the order of transformations
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677853

 clutter/clutter-actor.c | 79 ++++++++++++++++++++++++++++++++++++++-----------------------------------------
 1 file changed, 38 insertions(+), 41 deletions(-)

commit 1796b37948aec84daf3595c7dec20134f205ef58
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jul 6 18:06:48 2012 +0100

    actor: Deprecate anchor-point
    
    The pivot point and the translation transformation replace it
    completely.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677853

 clutter/clutter-actor.c            | 62 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----
 clutter/clutter-actor.h            | 14 --------------
 clutter/deprecated/clutter-actor.h | 21 +++++++++++++++++++++
 3 files changed, 78 insertions(+), 19 deletions(-)

commit 20d1d24e3801890b8f692e76372fb19299274eb4
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jul 6 18:06:33 2012 +0100

    examples: Use pivot point, not anchor point
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677853

 examples/basic-actor.c  | 2 +-
 examples/bin-layout.c   | 2 +-
 examples/easing-modes.c | 3 ++-
 examples/threads.c      | 2 +-
 4 files changed, 5 insertions(+), 4 deletions(-)

commit 8cea162d3c416016465809a9db85bfa036d39745
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jul 6 17:31:52 2012 +0100

    actor: Add translation transformation
    
    We need an alternative to the translation performed by the anchor point,
    one that possibly applies to all three axes and is relative to the
    pivot-point.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677853

 clutter/clutter-actor-private.h |   3 +++
 clutter/clutter-actor.c         | 269 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---
 clutter/clutter-actor.h         |  10 ++++++++
 clutter/clutter.symbols         |   2 ++
 4 files changed, 280 insertions(+), 4 deletions(-)

commit 0ba078a146848596a4abce1eae2022877a235703
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jul 6 14:45:05 2012 +0100

    Add notes on the properties to remove
    
    Lest we forget during the 1.99 cycle.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677853

 clutter/clutter-actor.c | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit 6e85feecf844c7da61b66ef7eb5a4feea1bf7b9e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jul 6 14:28:48 2012 +0100

    actor: Add :pivot-point-z
    
    For some transformations we need to be able to set the Z component of
    the pivot point.
    
    Unlike :pivot-point, the Z coordinate is not normalized because actors
    are 2D surfaces.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677853

 clutter/clutter-actor-private.h |   1 +
 clutter/clutter-actor.c         | 144 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------
 clutter/clutter-actor.h         |   5 +++++
 clutter/clutter.symbols         |   2 ++
 4 files changed, 135 insertions(+), 17 deletions(-)

commit 005584a1ee6dc111421ddebf909f44d5c0f6d971
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jul 6 12:14:44 2012 +0100

    actor: Deprecate scale center and gravity accessors
    
    The ClutterActor:pivot-point supercedes the scale center and gravity
    properties.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677853

 clutter/clutter-actor.c                      | 40 +++++++++++++++++++++++++++++++---------
 clutter/clutter-actor.h                      | 13 -------------
 clutter/deprecated/clutter-actor.h           | 18 ++++++++++++++++++
 clutter/deprecated/clutter-behaviour-scale.c |  1 +
 4 files changed, 50 insertions(+), 22 deletions(-)

commit 4be7ecb8363be2f4f051c420dab04a315d7fa871
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jul 6 12:14:20 2012 +0100

    examples: Use the pivot point for scaling
    
    Instead of scaling with gravity.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677853

 examples/layout-manager.c | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 32b78a41f10b9b850875ba01f0278c15a93d9fad
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jul 6 11:58:19 2012 +0100

    actor: Deprecate rotation center properties
    
    The pivot point supercedes the per-axis center of rotation, including
    the one based on the gravity enumeration.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677853

 clutter/clutter-actor.c                       | 36 ++++++++++++++++++++++++++++++++----
 clutter/clutter-actor.h                       | 15 ---------------
 clutter/deprecated/clutter-actor.h            | 68 ++++++++++++++++++++++++++++++++++++++++++++------------------------
 clutter/deprecated/clutter-behaviour-rotate.c |  1 +
 4 files changed, 77 insertions(+), 43 deletions(-)

commit caf199c7321352b3f97473f9b44c868106e1a405
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jul 6 11:46:25 2012 +0100

    examples: Use rotation angle and pivot point
    
    Instead of the full set_rotation() setter, we can use the pivot point
    and set the rotation angle separately.

 examples/basic-actor.c       | 7 +++----
 examples/rounded-rectangle.c | 2 +-
 2 files changed, 4 insertions(+), 5 deletions(-)

commit a758cf6d3d9caadb17ab9594e98c05488e422118
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jul 6 11:23:50 2012 +0100

    actor: Add accessors for rotation angles
    
    Given that the rotation transformations are now affected by the pivot
    point, the Actor class should provide an accessors pair only for the
    angle of rotation on a given axis.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677853

 clutter/clutter-actor.c | 66 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 clutter/clutter-actor.h |  7 +++++++
 clutter/clutter.symbols |  2 ++
 3 files changed, 74 insertions(+), 1 deletion(-)

commit 1fd0f4b9a5003b5bfb75735637c3ae7b76ef07ff
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jul 6 10:35:13 2012 +0100

    actor: Add pivot point
    
    The pivot point is a point in normalized coordinates space around which
    all transformations revolve.
    
    It supercedes the anchor point and the per-transformation center points
    as well as the gravity settings, and tries to sort out the mess that
    is the modelview matrix set up in ClutterActor.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677853

 clutter/clutter-actor-private.h |   3 +++
 clutter/clutter-actor.c         | 163 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------
 clutter/clutter-actor.h         |   8 ++++++++
 clutter/clutter.symbols         |   2 ++
 4 files changed, 170 insertions(+), 6 deletions(-)

commit b20e9b78e561c3c21ce34140e2f246e3a16c380f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jul 5 18:57:38 2012 +0100

    actor: Add :z-position and deprecate :depth
    
    The ClutterActor:depth property has always been a bit of a misnomer:
    actors are 2D flat surfaces, so they cannot have "depth"; the property
    defines the position on the Z axis.
    
    Another side effect of the :depth property is that it decides the
    default paint and allocation order on insertion, and that setting it
    will call the ClutterContainer.sort_depth_order() method. This has
    proven to be a fairly bad design decision that we strung along from the
    0.x days, as it gives a false impression of being able to change the
    paint and allocation order simply by changing the position on the Z
    axis — something that, in reality, requires depth testing to be enabled
    during the paint sequence of an actor's parent.
    
    For 2.0 we need a clean break from the side effects, and a better
    defined interface.
    
    ClutterActor:z-position is essentially what ClutterActor:depth is, but
    doesn't call into ClutterContainer, and has a more apt name.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=679465

 clutter/cally/cally-actor.c                    |   2 +-
 clutter/clutter-actor-private.h                |   4 ++--
 clutter/clutter-actor.c                        | 142 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------
 clutter/clutter-actor.h                        |   8 +++++---
 clutter/clutter.symbols                        |   2 ++
 clutter/deprecated/clutter-actor.h             |   7 +++++++
 clutter/deprecated/clutter-behaviour-depth.c   |   1 +
 clutter/deprecated/clutter-behaviour-ellipse.c |   1 +
 examples/basic-actor.c                         |   8 ++++----
 9 files changed, 154 insertions(+), 21 deletions(-)

commit 9b7287e89783c867e731f2e24864aa172e968a5a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jun 24 09:58:12 2012 +0100

    actor: Move event chain emission into ClutterActor
    
    By moving the function that builds the event emission chain we can avoid
    a bunch of checks and function calls.

 clutter/clutter-actor-private.h |  3 +++
 clutter/clutter-actor.c         | 52 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-main.c          | 85 +++++++++++++++++++++++++++++--------------------------------------------------------
 3 files changed, 84 insertions(+), 56 deletions(-)

commit 67cbb56ab8a4e3089fe72bc7591f2dfe410c7ae9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jun 24 09:57:12 2012 +0100

    actor: Constify event argument in clutter_actor_event()
    
    The Clutter.Actor.event() method is a signal emitter; it does not modify
    the event passed to it.

 clutter/clutter-actor.c | 6 +++---
 clutter/clutter-actor.h | 2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

commit d685e8a95a054ae13a9fd93561ab073aaedfab7c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jul 5 16:23:52 2012 +0100

    text: Add :cursor-position and deprecate :position
    
    The :position property on ClutterText clashes with the same property on
    ClutterActor; it's also badly named, given that it represents the
    cursor's position inside the text; finally, it does not match its
    accessors, violating the API style conventions.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=679457

 clutter/clutter-text.c | 39 ++++++++++++++++++++++++++++++++++-----
 1 file changed, 34 insertions(+), 5 deletions(-)

commit 721caece5d518dafd2e91cf4191262c83fe1812e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jun 24 12:07:40 2012 +0100

    drag-action: Add ::drag-progress signal
    
    Overriding the default behaviour of ClutterDragAction::drag-motion is
    currently a pain; you either need to subclass the ClutterDragAction and
    override the class closure for the signal, or you need to connect to the
    signal and call g_signal_stop_emission_by_name() - neither option being
    particularly nice or clean. The established pattern for these cases
    would be to have a boolean return value on the ::drag-motion signal, but
    we cannot do that without breaking ABI.
    
    To solve the issue in a backward compatible way, we should introduce a
    new signal, ::drag-progress, with a boolean return value. If the signal
    emission chain returns TRUE, the ::drag-motion signal will be emitted,
    and the default behaviour will be honoured; if the signal emission chain
    returns FALSE, instead, the ::drag-motion signal will not be emitted.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=679451

 clutter/clutter-drag-action.c | 84 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----
 clutter/clutter-drag-action.h | 33 ++++++++++++++++++---------------
 2 files changed, 97 insertions(+), 20 deletions(-)

commit 0e4c6d0a87c827ff69853ec24d99ef9b838a6f47
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jul 5 14:30:26 2012 +0100

    Deprecate clutter_threads_enter()/leave()
    
    Acquiring the Clutter lock to mark critical sections is not portable,
    and not recommended to implement threaded applications with Clutter.
    
    The recommended pattern is to use worker threads, and schedule UI
    updates inside idle or timeout handlers within the main loop. We should
    enforce this pattern by deprecating the threads_enter()/leave()
    functions. For compatibility concerns, we need internal API to acquire
    the main lock during frame processing dispatch.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=679450

 clutter/clutter-main.c                       | 40 ++++++++++++++++++++++++++++++++--------
 clutter/clutter-main.h                       |  2 --
 clutter/clutter-master-clock.c               | 13 +++++++------
 clutter/clutter-private.h                    |  3 +++
 clutter/deprecated/clutter-main.h            |  6 ++++++
 clutter/deprecated/clutter-timeout-pool.c    |  1 +
 clutter/evdev/clutter-device-manager-evdev.c | 12 ++++++------
 clutter/gdk/clutter-event-gdk.c              |  4 ++--
 clutter/osx/clutter-event-loop-osx.c         | 33 +++++++++++++++++++--------------
 clutter/tslib/clutter-event-tslib.c          | 13 ++++++-------
 clutter/wayland/clutter-event-wayland.c      | 18 ++++++++++--------
 clutter/win32/clutter-event-win32.c          | 12 ++++++------
 clutter/x11/clutter-event-x11.c              | 17 +++++++++--------
 13 files changed, 107 insertions(+), 67 deletions(-)

commit 25be8e86f7cfa5696dff7e74f24b2ca0ec3123a1
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jul 5 14:21:55 2012 +0100

    examples: Clean up the threads usage example
    
    • Remove the threads_enter/leave calls; they are not needed, given that
      the code between init() and main() is single threaded.
    
    • Ensure that the idle callbacks are inserted with the right priority,
      to avoid updating the UI after the data has been freed.

 examples/threads.c | 37 +++++++++++++++++++++----------------
 1 file changed, 21 insertions(+), 16 deletions(-)

commit d7d701078a13d7c848cdd88980be75830a92e0a8
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Jul 10 13:26:09 2012 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 1857 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------
 1 file changed, 1122 insertions(+), 735 deletions(-)

commit e659a90b28b8d02e98a3aad84cc7e1da67e4b738
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Jul 3 17:10:28 2012 +0800

    Visual C++ support: Fix "install" process
    
    Apparently the update to build the GDK backend broke the "installation"
    process of the binaries.  Fix that by grouping the binaries as Release or
    Debug.

 build/win32/vs10/clutter.props   | 30 ++++++++++++++++++++++++++++++
 build/win32/vs10/install.vcxproj | 84 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----
 build/win32/vs9/clutter.vsprops  | 24 ++++++++++++++++++++++++
 build/win32/vs9/install.vcproj   | 16 ++++++++--------
 4 files changed, 142 insertions(+), 12 deletions(-)

commit 78a7c5b8cff21d2ad86365d0d102625a680e199b
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Jul 2 19:27:46 2012 +0800

    Update Visual C++ property sheets
    
    Remove some unneeded defines in the compilation-CLUTTER_PREFIX and
    CLUTTER_DATADIR are not used anywhere in the code, as it seems.

 build/win32/vs10/clutter.props  | 2 +-
 build/win32/vs9/clutter.vsprops | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 345144d1c471181310dcb50593edde9d673fae49
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jun 30 15:26:23 2012 +0100

    doap: Change my email address to @gnome.org

 clutter.doap | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f214ebd1f74d72d2968a4b955b5a119dcf6083ad
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jun 30 15:26:13 2012 +0100

    doap: Fix the download page link

 clutter.doap | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 700a9be836b6870e90ba0e07bbf484d41c71f39e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jun 29 11:21:06 2012 +0100

    build: Clean output of the release rules

 build/autotools/Makefile.am.release | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

commit d72a31f2908259c7173e8f2f35b6b56511f7d9c3
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Thu Jun 28 21:54:15 2012 +0300

    Updated Bulgarian translation

 po/bg.po | 1400 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------
 1 file changed, 771 insertions(+), 629 deletions(-)

commit 0ba2d1df93d4083e721d934ed400446ba76af1d3
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jun 27 21:27:20 2012 +0100

    constraints: Clamp updated allocation to the nearest pixel
    
    Use Clutter.ActorBox.clamp_to_pixel() to do it properly.

 clutter/clutter-align-constraint.c | 6 ++----
 clutter/clutter-bind-constraint.c  | 2 ++
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 2ee945b2ca799d0af8f35e905e219c88b46283a0
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jun 27 21:26:22 2012 +0100

    examples/layout-manager: Show transformations inside layouts
    
    Actor transformations do not affect the layout management by default; we
    can easily show that a scale animation does not break the layout policy
    inside an example.

 examples/layout-manager.c | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

commit 1da42dd8a0407bc9929c36ec676827f8d0fb56c5
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jun 27 12:57:36 2012 +0100

    actor: Add ActorIter.is_valid()
    
    It can be useful to check whether a ClutterActorIter is currently valid,
    i.e. if the iterator has been initialized *and* if the actor to which it
    refers to hasn't been updated.
    
    We can also use the is_valid() method in the conformance test suite to
    check that initialization has been successful, and that changing the
    children list through the ClutterActorIter API leaves the iterator in a
    valid state.

 clutter/clutter-actor.c    | 27 +++++++++++++++++++++++++++
 clutter/clutter-actor.h    |  2 ++
 clutter/clutter.symbols    |  1 +
 tests/conform/actor-iter.c | 18 ++++++++++++++----
 4 files changed, 44 insertions(+), 4 deletions(-)

commit 1ca4937f1ee136db87337ad7c94d26f976c32194
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jun 27 12:44:22 2012 +0100

    conform: Check that iterators work post-assignment
    
    It should be possible to copy a ClutterActorIter just by copying its
    contents (either via assignment or memcpy).

 tests/conform/actor-iter.c        | 77 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/conform/test-conform-main.c |  1 +
 2 files changed, 78 insertions(+)

commit a8c829019f6d659489d1155ca545b38837b105ea
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Fri Jun 22 21:34:25 2012 +0200

    a11y: remove implementation for [add/remove]_global_event_listener
    
    Since release 2.5.3, ATK provides an implementation for those
    methods, so toolkits doesn't need to implement them.

 clutter/cally/cally-util.c | 133 -------------------------------------------------------------------------------------------------------------------------------------
 configure.ac               |   2 +-
 2 files changed, 1 insertion(+), 134 deletions(-)

commit 5e5295ab130763eb81176cc8c9011031c1a83148
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jun 25 23:59:39 2012 +0100

    Post-release version bump to 1.11.7

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0ab74e52da5122e231a504005417c70376a958e0
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jun 25 23:52:07 2012 +0100

    Release Clutter 1.11.6

 NEWS         | 67 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 README.in    |  6 ++++++
 configure.ac |  2 +-
 3 files changed, 74 insertions(+), 1 deletion(-)

commit b6d5595470c4d4012f0f46417da7b72642ee70d6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jun 25 23:47:12 2012 +0100

    docs: Add missing annotation for ClutterActorClass.touch_event

 clutter/clutter-actor.h | 1 +
 1 file changed, 1 insertion(+)

commit ececa27ad0e54e4541b38afff058d6085653d720
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jun 25 23:44:11 2012 +0100

    docs: Fix XInclude path of the BindConstraint example

 clutter/clutter-bind-constraint.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6c4abde369b015489d98d07c7c24d5a8bf870d5f
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sun Jun 24 13:29:22 2012 -0400

    stage: Make sure to free any pending queued redraws if we have any
    
    This fixes a memory leak when someone creates a stage and then immediately
    destroys it.

 clutter/clutter-stage.c | 5 +++++
 1 file changed, 5 insertions(+)

commit ab88511133188ef8965ffb3ab4342bd1da27c2e8
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Jun 24 18:02:45 2012 +0100

    stage: Remove an extra reference count
    
    The dispose sequence will keep the object alive, and we need to release
    the last reference held by the StageManager before releasing control to
    GObject.

 clutter/clutter-stage.c | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

commit 550168eee31a41117be347dc67f845ff8700252d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Jun 21 17:15:44 2012 +0100

    Clean up deprecated header inclusion
    
    The build should not add deprecated/ into the default INCLUDE paths, so
    that deprecated headers are clearly separated; this will make it easier
    to get rid of them when we branch out for 2.0.

 clutter/Makefile.am               | 1 -
 clutter/clutter-interval.c        | 3 ++-
 clutter/clutter-main.c            | 1 -
 clutter/clutter-script.c          | 2 +-
 clutter/clutter-stage.c           | 1 -
 clutter/cogl/clutter-stage-cogl.c | 1 -
 clutter/osx/clutter-backend-osx.c | 1 -
 7 files changed, 3 insertions(+), 7 deletions(-)

commit 8fe8b9c89ee31dbd512bc628dbc0125a1e3bfea5
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jun 22 12:12:33 2012 +0100

    Move PathNode definitions into clutter-types.h
    
    Near ClutterKnot, so that we can easily remove both when we branch off
    for 2.0.

 clutter/clutter-path.h  | 28 ----------------------------
 clutter/clutter-types.h | 33 +++++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+), 28 deletions(-)

commit 49dd99f9c1a7e41a6089c1897ce58ec7825d2f8b
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Mon Jun 18 02:03:58 2012 +0100

    text: add touch events support
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678278

 clutter/clutter-text.c | 139 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 112 insertions(+), 27 deletions(-)

commit 927624d92c3cd66e5a4e3c07e9d2d9c62c974908
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Sun Jun 17 00:44:44 2012 +0100

    input-device: add APIs to grab sequences of touch events
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678279

 clutter/clutter-device-manager-private.h   |   2 ++
 clutter/clutter-event.h                    |  10 ----------
 clutter/clutter-input-device.c             | 136 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-input-device.h             |  12 +++++++++++-
 clutter/clutter-main.c                     |  22 +++++++++++++++++++++-
 clutter/clutter-types.h                    |  12 ++++++++++++
 clutter/clutter.symbols                    |  17 ++++++++++-------
 doc/reference/clutter/clutter-sections.txt |   3 +++
 8 files changed, 195 insertions(+), 19 deletions(-)

commit 132e4b98d18e411a8323925a557936dbd0d840fa
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Wed Jun 13 16:02:05 2012 +0100

    drag/drop actions: add touch event support
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678049

 clutter/clutter-drag-action.c   | 92 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------
 clutter/clutter-drop-action.c   | 43 ++++++++++++++++++++++++++++++-------------
 clutter/clutter-stage-private.h | 22 +++++++++++++++-------
 clutter/clutter-stage.c         | 84 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------
 4 files changed, 191 insertions(+), 50 deletions(-)

commit 1af7de8ac8b438b18dace38f883807eda77316ee
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Wed Jun 13 11:10:55 2012 +0100

    actor: add touch event vfuncs
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678047

 clutter/clutter-actor.c | 26 ++++++++++++++++++++++++++
 clutter/clutter-actor.h |  5 ++++-
 2 files changed, 30 insertions(+), 1 deletion(-)

commit dd7c1ed64a4eae1cfc8b8cb7a2045f6a675f0dd5
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Tue Jun 5 14:56:31 2012 +0200

    a11y: implementation for atk_text_get_text_[before/at/after]_offset
    
    Copy and paste of the implementation done at Gtk+ based on pango. This
    should be moved to a common library, like the old GailTextUtil. Ideally
    on pango itself.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677221

 clutter/cally/cally-text.c | 764 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 713 insertions(+), 51 deletions(-)

commit a571c2933b6c0f239aa8bf550aae15bee60d1816
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Fri Jun 22 13:09:02 2012 +0300

    Updated Greek translation

 po/el.po | 1449 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------
 1 file changed, 795 insertions(+), 654 deletions(-)

commit d2fff6e3c33f972b079928ae1e887669e3cd0ef2
Author: Bastian Winkler <buz@netbuz.org>
Date:   Sat Jun 16 21:07:53 2012 +0200

    actor: Make margin properties animatable
    
    Enable implicit animations for :margin-(top|right|bottom|left)
    properties.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678264

 clutter/clutter-actor.c | 160 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------
 1 file changed, 106 insertions(+), 54 deletions(-)

commit 07605226432d701a87f656e152b24d494003867a
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Thu Jun 21 12:06:23 2012 +0300

    New Greek translation

 po/el.po | 2508 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2508 insertions(+)

commit 98982331cb7709d90d0f0bc09621cd8fbb791fb0
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jun 20 18:58:31 2012 +0100

    conform/script: Add the return type for the margin test
    
    The compiler would default to 'int', and warn - and then warn again
    because the function would not return a value.

 tests/conform/script-parser.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e3ca87784ea52d6008fcd34bf85066cb7d8b8497
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Jun 20 07:19:05 2012 -0400

    XI2: Avoid a crash in event translation
    
    It is possible that we get a DeviceChanged event for a device
    that is not in the hash table yet. E.g. I've seen this when
    using xrandr to change screen resolution. Prevent a crash in
    this case.
    
    https://bugzilla.gnome.org/review?bug=678439

 clutter/x11/clutter-device-manager-xi2.c | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

commit d571719a3dbefbc12097d67fb13e6b0e2007efb3
Author: Andy Wingo <wingo@pobox.com>
Date:   Wed Jun 20 10:26:49 2012 +0200

    cairo: Always update texture after ClutterCairoTexture::draw
    
    * clutter/clutter-cairo-texture.c (clutter_cairo_texture_emit_draw):
      Always update the Cogl texture after emitting ::draw, since we control
      the dynamic extent in which drawing should happen on the cairo_t.
    
      Fixes #677966.

 clutter/deprecated/clutter-cairo-texture.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 286e7e28e8d25eabe69fb20842d560648aac916b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jun 20 09:13:11 2012 +0100

    Remove duplicate typedefs
    
    Redefining typedefs is allowed by C11 and by a GCC extension, but Clang
    doesn't really like it.

 clutter/clutter-types.h                | 2 --
 clutter/deprecated/clutter-animation.h | 1 -
 2 files changed, 3 deletions(-)

commit 3ad550200390388955b373503137f52ad5e3e271
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jun 20 08:52:40 2012 +0100

    interactive/touch-events: Protect x11-specific calls
    
    Use the CLUTTER_WINDOWING_X11 define to protect platform-specific calls
    like clutter_x11_enable_xinput().
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678423

 tests/interactive/test-touch-events.c | 2 ++
 1 file changed, 2 insertions(+)

commit 47f8be4d4b6fec011a8fbe85c324344f60b489f2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jun 20 08:50:48 2012 +0100

    conform: Put xinput enabling under guards
    
    Calling clutter_x11_* API should be done only under the platform
    specific guards we provide with Clutter.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678423

 tests/conform/test-conform-common.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 5eb3fbf3cf89950d43d495fcd8e89d93731e8869
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Jun 19 14:43:40 2012 +0100

    build: Add coverage support using lcov
    
    Unlike gcov, lcov provides a nice HTML output that allows immediate
    visualization of the current coverage.
    
    The updates of the build system have been taken from GLib, which has
    been using lcov for a while with good results.

 .gitignore   |  4 ++++
 Makefile.am  | 26 +++++++++++++++++++++++++-
 configure.ac | 77 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 3 files changed, 104 insertions(+), 3 deletions(-)

commit c4acae7752b2c8c95a03b324dbf40dd5007cafbf
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Jun 19 14:17:05 2012 +0100

    build: Remove gcov from the build
    
    We want to switch to lcov, so let's start with a clean slate.

 Makefile.am                      |  6 +-----
 build/Makefile.am                |  2 --
 build/autotools/Makefile.am      |  1 -
 build/autotools/Makefile.am.gcov | 33 ---------------------------------
 build/gen-gcov.pl                | 44 --------------------------------------------
 clutter/Makefile.am              |  7 +------
 configure.ac                     | 30 ------------------------------
 7 files changed, 2 insertions(+), 121 deletions(-)

commit b850696b311817a68e29bcf8735780cdd3b8fd4c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Jun 19 12:18:32 2012 +0100

    interactive/touch-events: Add a missing return value
    
    The draw_touches() function must return a boolean value.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678391

 tests/interactive/test-touch-events.c | 2 ++
 1 file changed, 2 insertions(+)

commit eca725fe964542ea29e744a7f01f975f2567671a
Author: Sasi Bhushan Boddepalli <sasi@swecha.net>
Date:   Tue Jun 19 16:56:01 2012 +0530

    Updated Telugu Translation

 po/te.po | 1394 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------------------------
 1 file changed, 751 insertions(+), 643 deletions(-)

commit 6597245912ef241cd603d16d1b20645723a02ee2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Jun 19 09:38:01 2012 +0100

    build: Remove tarball upload to clutter-project.org
    
    Without being on the Intel network, you can't upload the tarball on
    clutter-project.org, so it'll have to be done manually from now on.

 build/autotools/Makefile.am.release | 13 +++++--------
 1 file changed, 5 insertions(+), 8 deletions(-)

commit 7b07d4a7c52d93b4b931a189c572f07b7ef9f04f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 18 23:00:08 2012 +0100

    transition: Check if we're setting the same interval
    
    If we do, then don't bother.

 clutter/clutter-transition.c | 3 +++
 1 file changed, 3 insertions(+)

commit b658023324c98b3ad4d40a9c2804b7f829a48366
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 18 22:21:14 2012 +0100

    property-transition: Lazily convert the interpolated value
    
    If the Interval used has a different type than the property we are
    animating through a PropertyTransition then we should transform the
    interpolated value before applying it, to avoid warnings down the
    line.

 clutter/clutter-property-transition.c | 39 +++++++++++++++++++++++++++++++++++----
 1 file changed, 35 insertions(+), 4 deletions(-)

commit c57cabd4c26d8d99559cf65593599a1737438952
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 18 18:04:10 2012 +0100

    conform/interval: Add transformation unit test
    
    Verify that it's possible to pass a transformable type to
    ClutterInterval.

 tests/conform/interval.c          | 31 +++++++++++++++++++++++++++++++
 tests/conform/test-conform-main.c |  1 +
 2 files changed, 32 insertions(+)

commit bebe90e565f852ad858927fd0befe81137bf1326
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 18 17:54:06 2012 +0100

    interval: Do not leak the result GValue
    
    The compute() method will cache the result, to avoid multiple
    allocations and copies; this means, though, that we need to unset the
    GValue when destroying the Interval.

 clutter/clutter-interval.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit cfc4e86b312d6ddfcdb2d783d65e619778bd3562
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 18 17:53:26 2012 +0100

    interval: Compute progress for signed char
    
    Not just for unsigned ones, though both are pretty pointless.

 clutter/clutter-interval.c | 17 ++++++++++++++++-
 1 file changed, 16 insertions(+), 1 deletion(-)

commit 44642b6a57e753bbe0f68a7583917218c3e1b9f0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 18 17:52:37 2012 +0100

    interval: Validate more fundamental types
    
    64bit integers and floating point values should be validated as well.

 clutter/clutter-interval.c | 75 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 75 insertions(+)

commit aacd28cc2115f663df2c18ee3f4cdac2e5dbf055
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 18 17:51:48 2012 +0100

    conform: Initial suite for ClutterInterval
    
    ClutterInterval is undertested, so we should start adding a unit test
    for it.

 tests/conform/Makefile.am         |  1 +
 tests/conform/interval.c          | 39 +++++++++++++++++++++++++++++++++++++++
 tests/conform/test-conform-main.c |  2 ++
 3 files changed, 42 insertions(+)

commit 54e22590b95c54dcba066e9519b87e529d33cf7d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 18 18:02:58 2012 +0100

    interval: Remove unnecessary check
    
    Now that the interval can transform the initial and final values to the
    type declared when constructing it, there is no need to check for the
    value type inside set_initial_value() and set_final_value().

 clutter/clutter-interval.c | 12 ------------
 1 file changed, 12 deletions(-)

commit a0c620b1576a9d72a4f5dc517169778fadec7fa9
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jun 18 11:07:39 2012 +0100

    interval: Transform values on set, if needed
    
    It's possible that GValues passed to a ClutterInterval setter are not
    of the same type as the interval - for instance, if they come from
    language bindings, or from untrusted sources; we can use the same
    transformation functions we already use inside ClutterTransition to
    ensure that the ClutterInterval always stores values of the same type
    used to create the interval itself.

 clutter/clutter-interval.c | 35 ++++++++++++++++++++++++++++++++++-
 1 file changed, 34 insertions(+), 1 deletion(-)

commit b525253c88ed6f0dd57e4397fe11f07760059056
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Mon Jun 18 11:28:45 2012 +0200

    tests: a11y: updated atkevents after bug 675183

 tests/accessibility/cally-atkevents-example.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 0d4d467dd55ac23151a32e52195d47b6ab7706ca
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Mon Jun 18 11:30:25 2012 +0200

    a11y: Remove key event listener hash table if no longer required
    
    https://bugzilla.gnome.org/show_bug.cgi?id=675183

 clutter/cally/cally-util.c | 2 ++
 1 file changed, 2 insertions(+)

commit cafcf14e0e199df65842359d95c6595de46ad32b
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Wed May 9 17:10:55 2012 +0200

    a11y: atk_add_key_event_listener listener_id should not return 0 as a valid value
    
    cally_util_add_key_event_listener first id returned was 0, but as
    the documentation says, this is a reserved value for a wrong id
    
    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=675183

 clutter/cally/cally-util.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a88f73091b7606447418a63c62cb447f2ee63780
Author: Frédéric Péters <fpeters@0d.be>
Date:   Tue Jun 12 08:25:05 2012 +0200

    tests: link test-conformance against libm
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677921

 tests/conform/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 725f4a07f3fb04518646f792b64d3c7fa120091a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 13 10:23:28 2012 +0100

    canvas: Propagate Cairo errors when diagnostic mode is enabled
    
    It can be a useful debugging tool to report the eventual error state of
    the cairo_t after the ::draw signal emission ended.

 clutter/clutter-canvas.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit b4222db71de7a5588a4160a8699f295906181176
Author: Tomeu Vizoso <tomeu.vizoso@collabora.com>
Date:   Thu Jun 14 11:17:05 2012 +0200

    tests: Make sure we return 0 only on error

 tests/conform/events-touch.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d72558d3caa1993dff3b8d81e2aabaae3d104a30
Author: Tomeu Vizoso <tomeu.vizoso@collabora.com>
Date:   Wed Jun 13 12:37:02 2012 +0200

    Stop casting ClutterTouchSequence* to ulong
    
    Use instead a hash table to link touch sequences to colors.

 tests/interactive/test-touch-events.c | 27 ++++++++++++++++++---------
 1 file changed, 18 insertions(+), 9 deletions(-)

commit 60967127b441b610384f875556de34cc6205df70
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 13 09:09:56 2012 +0100

    docs: Mention the Timeline::stopped signal in the class description
    
    Now that we have the ::stopped signal, it would be good if the
    documentation mentioned it explicitly as the dual of the ::started
    signal.

 clutter/clutter-timeline.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit e01f9f330dc87f308d2a064eae4d7f75fe66ee8d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jun 12 22:44:42 2012 +0100

    timeline: Emit last ::completed before ::stopped
    
    The ::stopped signal should be emitted at the end of the Timeline, after
    the last ::completed signal emission, in order to have a proper
    chronological progress of signal emissions:
    
      started → new-frame → [ ... ] → completed → stopped
    
    This way, ::stopped can perform a proper teardown of the state set up
    during ::started, without interfering with the potential cyclical
    emission of ::completed.

 clutter/clutter-timeline.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 252eafa5206066062d8f9605fad9367e891c3e45
Author: Evan Nemerson <evan@coeus-group.com>
Date:   Tue Jun 12 15:41:39 2012 -0700

    introspection: assorted annotation fixes ported from Vala
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677778

 clutter/clutter-binding-pool.c |  3 ++-
 clutter/clutter-color.c        |  6 +++---
 clutter/clutter-main.c         |  4 ++--
 clutter/clutter-shader-types.c | 22 +++++++++++-----------
 clutter/clutter-stage.c        |  2 +-
 5 files changed, 19 insertions(+), 18 deletions(-)

commit 1bdd21481102fa8078cb3dd546bacdcd39e020e9
Author: Bastian Winkler <buz@netbuz.org>
Date:   Tue Jun 12 14:30:00 2012 +0200

    grid-layout: Insert new rows/columns at the appropriate position

 clutter/clutter-grid-layout.c | 2 ++
 1 file changed, 2 insertions(+)

commit 7c8f761d43f17b2dafa9be930fc5d6409fc5ee0a
Author: Bastian Winkler <buz@netbuz.org>
Date:   Mon Jun 11 17:17:46 2012 +0200

    grid-layout: Fix attach position for horizontal orientation
    
    Switch the attach position. A new child should be positioned right of
    it's previous sibling in ltr mode.

 clutter/clutter-grid-layout.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9ca3f8f013216efb0afa122c4781206b4aaefc15
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Tue Jun 12 18:10:27 2012 +0300

    Updated Belarusian translation.

 po/be.po | 1326 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------
 1 file changed, 734 insertions(+), 592 deletions(-)

commit c73549f9d34ed13d2bdee7d976be582b51d3c99f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 11 13:47:29 2012 +0100

    Update keysyms headers

 clutter/clutter-keysyms.h            | 4 ++++
 clutter/deprecated/clutter-keysyms.h | 4 ++++
 2 files changed, 8 insertions(+)

commit 716ee65a98a2ee779a6069e4a41b0186afa29f66
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 11 13:46:38 2012 +0100

    keysyms-update: Add deprecation guards to the deprecated header
    
    We still need to add them in case the header is directly included.

 clutter/clutter-keysyms-update.pl | 4 ++++
 1 file changed, 4 insertions(+)

commit f6d169f36039a52b15338e164b3b600924400bd4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 11 10:21:36 2012 +0100

    docs: Update the release notes for 1.12

 README.in | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit 7118bab23ca2e3cd86b85c393239da3c65185b03
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 11 10:02:38 2012 +0100

    docs: Change GridLayout's short description
    
    Clutter doesn't have widgets.

 clutter/clutter-grid-layout.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 231f0cbd0c6704ed4d672709ca110f2b098852a2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Jun 10 23:34:47 2012 +0100

    docs: Document user_data argument for BindingActionFunc

 clutter/clutter-binding-pool.h | 1 +
 1 file changed, 1 insertion(+)

commit 847f9aef43b6f42a84b9b894acd5816aadc3ec79
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Jun 10 23:33:00 2012 +0100

    docs: Add missing clutter_interval_is_valid symbol

 doc/reference/clutter/clutter-sections.txt | 1 +
 1 file changed, 1 insertion(+)

commit 5eb07a301060225e2e33d7d8c5a61003dda7714d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Jun 9 10:38:09 2012 +0100

    base-types: Don't free zero point and rect
    
    Calling clutter_point_free(clutter_point_zero()) or calling
    clutter_rect_free(clutter_rect_zero()) should be safe, exactly like it's
    safe to call those functions with a NULL argument.

 clutter/clutter-base-types.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 17539bca95e14be051311995dbec3a2b75f00150
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Jun 9 10:35:56 2012 +0100

    base-types: Add zero point and rect
    
    A constant ClutterPoint for (0, 0) and a constant degenerate ClutterRect
    can be useful as guards for pointers, freeing the NULL value to mean
    "unset".

 clutter/clutter-base-types.c               | 42 ++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-types.h                    | 96 ++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------
 clutter/clutter.symbols                    |  2 ++
 doc/reference/clutter/clutter-sections.txt |  2 ++
 4 files changed, 96 insertions(+), 46 deletions(-)

commit 24495918bbbb2b54f7ba3069690d69a6937d1426
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Jun 9 10:08:46 2012 +0100

    docs: Further clarifications on implicit vs explicit animations
    
    The wording is a bit terse, so it's better to clarify it.

 clutter/clutter-actor.c | 32 ++++++++++++++++++++------------
 1 file changed, 20 insertions(+), 12 deletions(-)

commit 4c1bf6162a9c099dfccb4244bff6ac72d3f358b1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Jun 9 09:53:14 2012 +0100

    docs: Remove the old animation tutorial
    
    The animation tutorial was written in the Good Ol' 0.x days, and has
    barely been updated during the 1.x cycle; it only referenced low level
    or deprecated API, and the ClutterActor class description has a whole
    section on how to animate actors using both the implicit and the
    explicit animation API.

 doc/reference/clutter/Makefile.am                    |   2 -
 doc/reference/clutter/clutter-animation-tutorial.xml | 466 ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 doc/reference/clutter/clutter-docs.xml.in            |  11 -----
 3 files changed, 479 deletions(-)

commit 7043a3a1ed52448d2d952cb88cb0f28d75ef021e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 8 18:39:01 2012 +0100

    docs: Add notes on implicit vs. explicit animations
    
    The implicit animations only apply to properties that are documented as
    'animatable'; the explicit animations apply to any property defined
    through GObject or ClutterAnimatable.

 clutter/clutter-actor.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 9412b1a4c3b440168db659bd928c5cca943c0ff7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 8 18:13:31 2012 +0100

    actor: Provide an initial easing state
    
    For 1.x, we still have a duration of 0 msecs, but we have a valid easing
    state, so we can change the easing parameters without calling save and
    restore.

 clutter/clutter-actor.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 0a5967ef503aebf020fb084a13dd8b6851a7d813
Author: Evan Nemerson <evan@coeus-group.com>
Date:   Thu Jun 7 16:22:03 2012 -0700

    binding-pool: add user_data parameter to ClutterBindingActionFunc
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677659

 clutter/clutter-binding-pool.h | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit cc01ebfe68f7ec622593ea9383df3ebc5c651aa8
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat Jun 9 11:54:54 2012 +0200

    Updated Spanish translation

 po/es.po | 466 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------
 1 file changed, 246 insertions(+), 220 deletions(-)

commit 0616fbdb0486d8630df3e952c43f21fc0c58ef04
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Fri Jun 8 20:03:55 2012 +0200

    Updated Galician translations

 po/gl.po | 442 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------
 1 file changed, 233 insertions(+), 209 deletions(-)

commit b21cb294791f50285bbe86c7f1c8ec446370ffbe
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 8 17:33:30 2012 +0100

    property-transition: Verify the interval on compute_value()
    
    By checking if the interval is valid inside compute_value() we can catch
    the cases where the interval values of a PropertyTransition are set
    after the transition has been added to an Animatable instance - i.e. the
    following code:
    
      let transition = new Clutter.PropertyTransition();
      transition.set_property_name('opacity');
      actor.add_transition('opacityAnim', transition);
      transition.set_to_value(0);
    
    should be equivalent to:
    
      let transition = new Clutter.PropertyTransition();
      transition.set_property_name('opacity');
      transition.set_to_value(0);
      actor.add_transition('opacityAnim', transition);
    
    instead of emitting a warning.

 clutter/clutter-property-transition.c | 55 +++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 35 insertions(+), 20 deletions(-)

commit 762053cd28058bc93d4d2d71b1da1a5599042c0a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 8 17:32:51 2012 +0100

    interval: Add is_valid() method
    
    The is_valid() method checks if the Interval has an initial and final
    values and it's not still uninitialized.

 clutter/clutter-interval.c | 24 ++++++++++++++++++++++++
 clutter/clutter-interval.h |  3 +++
 clutter/clutter.symbols    |  1 +
 3 files changed, 28 insertions(+)

commit dfab05544371c7becc512607db6061094c3bfd13
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 8 15:03:22 2012 +0100

    interval: Add initial and final properties
    
    This allows creating a ClutterInterval from language bindings without
    using the setter functions.

 clutter/clutter-interval.c | 92 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 73 insertions(+), 19 deletions(-)

commit 7660f5d0c60bf7de39f8ed0ea4ab07e1dc630a59
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 8 14:24:57 2012 +0100

    transition: Use current values if no interval is defined
    
    Once a ClutterPropertyTransition is attached to a ClutterAnimatable, if
    no interval is set we can simply use the current state of the property
    to define the from and to values. This allows the creation of property
    transitions from the current state of the Animatable instance without
    excessive verbosity.

 clutter/clutter-property-transition.c | 33 +++++++++++++++++++++++++++++++--
 clutter/clutter-transition.c          |  5 ++---
 2 files changed, 33 insertions(+), 5 deletions(-)

commit 189a93677f0d0c710b3692fe88258a2675fd6f5c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 8 14:13:36 2012 +0100

    text: Chain up in the ScriptableIface implementation
    
    We need ClutterActor's implementation to run as well.

 clutter/clutter-text.c | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit c6e1d02fed98872a4bb74013a29c3e3bf04044f9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 8 12:49:07 2012 +0100

    canvas: Use the actor's content repeat policy
    
    Similarly to what ClutterImage does.

 clutter/clutter-canvas.c | 21 ++++++++++++++++++++-
 1 file changed, 20 insertions(+), 1 deletion(-)

commit 92fc2c760cf788979a57bbca74321c490011f60f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 8 12:45:39 2012 +0100

    image: Use the actor's content repeat policy
    
    When painting we can now use the ClutterActor content-repeat property to
    decide whether or not to repeat the texture data.

 clutter/clutter-image.c | 21 ++++++++++++++++++++-
 1 file changed, 20 insertions(+), 1 deletion(-)

commit e7aa21203c3f9f001fe04d5d55ba8e47dc0e6668
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jun 8 12:44:28 2012 +0100

    actor: Add content-repeat
    
    ClutterContent implementations may allow repeating their contents when
    painting; we should provide the repeat policy on the actor, like we do
    for scaling filters and content gravity.

 clutter/clutter-actor.c                    | 70 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-actor.h                    |  5 +++++
 clutter/clutter-enums.h                    | 18 ++++++++++++++++++
 clutter/clutter.symbols                    |  3 +++
 doc/reference/clutter/clutter-sections.txt |  5 ++++-
 5 files changed, 100 insertions(+), 1 deletion(-)

commit ec296646f6967a4860d2d54901a77ca046edba6d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jun 7 18:02:25 2012 +0100

    table: Deprecate the align, expand, and fill layout properties
    
    ClutterActor exposes their equivalent, and ClutterTableLayout honours
    them since commit 8e24de86b6f88f3bfd1e65cdfd845f330212d1c6.

 clutter/clutter-table-layout.c | 21 +++++++++++++++++++--
 clutter/clutter-table-layout.h |  7 +++++++
 2 files changed, 26 insertions(+), 2 deletions(-)

commit 75c3339c66a840733e4c6219d8286b66e8108a6d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jun 7 16:14:21 2012 +0100

    text: Use actor alignments when painting the layout
    
    ClutterActor's x-align and y-align properties should be used to control
    the alignment of the PangoLayout when painting it within a larger
    allocation, and the ClutterText has the x-expand or the y-expand flags
    set.

 clutter/clutter-text.c | 82 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 77 insertions(+), 5 deletions(-)

commit c0b3e2e83aca99541ef5eeb15549a482ecf4f7d7
Author: Alexander Larsson <alexl@redhat.com>
Date:   Fri Jun 8 11:29:43 2012 +0200

    Don't allocate size to invisible BinLayout children
    
    This is similar to what other layouts do, and avoids problems with
    Gtk+ actor children which warn about being allocated not enough
    space.

 clutter/clutter-bin-layout.c | 3 +++
 1 file changed, 3 insertions(+)

commit 76f1a42ef8eb1ff1cd29a4e1bf1393804d28de2a
Author: Alexander Larsson <alexl@redhat.com>
Date:   Thu Jun 7 16:44:08 2012 +0200

    BinLayout: Always use fixed_x/y for FIXED if set
    
    We want to use the actually set value for x/y, not the current allocation,
    as that might be a transition from an earlier allocation animation.

 clutter/clutter-bin-layout.c | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

commit fd8dcfcc565f1f3130cbd1c1b59a870bda26d518
Author: Alexander Larsson <alexl@redhat.com>
Date:   Thu Jun 7 16:32:01 2012 +0200

    Ensure that fixed positions always start at 0,0
    
    Fixed positions are defined to be initialized at 0,0 whenever
    enabled, by setting fixed_position_enabled to true, or by setting
    just one of x/y. This normally happens in the defaults, but we need
    to make sure it also happens if a fixed position was once set but
    then disabled. We do this by always resetting it back to 0,0 when
    fixed_position_set is unset.

 clutter/clutter-actor.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 962bcb12224685b3a93fe5b449331d5d477eaf87
Author: Alexander Larsson <alexl@redhat.com>
Date:   Thu Jun 7 16:31:22 2012 +0200

    Add _clutter_actor_peek_layout_info
    
    This will be needed later to get a layout_info without creating one
    if there is none already.

 clutter/clutter-actor-private.h |  1 +
 clutter/clutter-actor.c         | 20 ++++++++++++++++++--
 2 files changed, 19 insertions(+), 2 deletions(-)

commit 1ab6fc0b39abb646b787eb1d12b46c6cb967db8d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jun 7 12:23:49 2012 +0100

    conform/events-touch: Silently bail out if init failed
    
    This removes the need to conditionally run the test.

 tests/conform/events-touch.c      | 33 ++++++++++++++++++++++++---------
 tests/conform/test-conform-main.c | 11 ++---------
 2 files changed, 26 insertions(+), 18 deletions(-)

commit 9371029a89d56a932c550efa43ad6c46e150896e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jun 7 12:06:56 2012 +0100

    actor: Improve debug message for create_transition()
    
    Add the property and easing state information.

 clutter/clutter-actor.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 42b933eeafc554e43c6e1579dcda6a4f8d7f39b4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jun 7 11:51:33 2012 +0100

    debug: Group debug messages by timestamps
    
    Instead of showing the full timestamp for debugging messages that happen
    within a second, showing the delta from the previous full timestamp can
    be more useful when debugging; this allows immediately seeing the time
    difference, instead of doing the math in our heads.

 clutter/clutter-main.c | 24 ++++++++++++++++++++++--
 1 file changed, 22 insertions(+), 2 deletions(-)

commit a3a2fbfd5a738ffeb2b8f55183ff49dc8e884342
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jun 7 11:34:12 2012 +0100

    actor: Improve the debug name
    
    Only for debug builds, the debug name should include a) actor name, b)
    type name, and c) pointer address.
    
    For non-debug builds we can live with the actor/type name.

 clutter/clutter-actor.c | 32 ++++++++++++++++++++++++++++++--
 1 file changed, 30 insertions(+), 2 deletions(-)

commit b339b845cb7620e4784e3f03b944821bde17ab1d
Author: Tomeu Vizoso <tomeu.vizoso@collabora.com>
Date:   Thu Jun 7 11:08:49 2012 +0200

    tests: Add unit test for touch event handling
    
    For now, it just generates a simple horizontal slide (by writing
    to /dev/uinput) and checks that the stage gets the events at the
    expected coordinates.
    
    The test won't run if it doesn't have read/write permissions to
    /dev/uinput.
    
    It also adds OS_LINUX to config.h.

 configure.ac                        |   5 +++
 tests/conform/Makefile.am           |   5 +++
 tests/conform/events-touch.c        | 379 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/conform/test-conform-common.c |   2 ++
 tests/conform/test-conform-main.c   |   9 +++++
 5 files changed, 400 insertions(+)

commit ebb61dea1fa7a8cf09f8ef3ce7d760442461cdb6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 6 13:39:50 2012 +0100

    examples: Enable maintainer compiler flags
    
    Another step in keeping the example code up to date and correct.

 examples/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a54102379599945435a1f6a69e6708594661ad8b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 6 13:39:47 2012 +0100

    examples/layout: Initialize variables to avoid warnings

 examples/layout-manager.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 75ef676b1507d6fb86e2c52c0ba3c79a1ece4d70
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 6 13:37:05 2012 +0100

    examples: Build with deprecation warnings turned on
    
    We want to ensure that the examples stay valid and idiomatic; thus, we
    should build them with deprecation warnings turned on.

 examples/Makefile.am | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit c13290240c6087411835da1e6080ce3389714922
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 6 13:37:02 2012 +0100

    examples/constraints: Do not use deprecated API

 examples/constraints.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4db310b1274408bbc76d2d199c921b59e2ea10ec
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 6 13:36:46 2012 +0100

    examples/flow: Do not use deprecated API

 examples/flow-layout.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 008afe80e38fd35576fc2f636e1a6aefe6e52853
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jun 6 11:19:33 2012 +0100

    docs: Fix wrong rotation-* properties name
    
    Copy and paste typos from the old documentation.

 clutter/clutter-actor.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 38724e263910b9cdf4ca1b76753c1275788c5ed1
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   Tue Jun 5 15:00:48 2012 +1000

    evdev: Use new xkbcommon include path
    
    Inspired by a similar patch in Wayland.

 clutter/evdev/clutter-xkb-utils.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 784730db98d5c3b06458d2540ef8679507767c73
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jun 5 19:52:13 2012 +0100

    Post-release version bump to 1.11.5

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1d1cac02c0d57a568583a671cf0a6e5d4da17df9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jun 5 19:36:45 2012 +0100

    Release Clutter 1.11.4 (snapshot)

 NEWS         | 100 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |   2 +-
 2 files changed, 101 insertions(+), 1 deletion(-)

commit 7ed77e98fe9766b1909fe75b29b499e761ffb7d5
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jun 5 19:40:07 2012 +0100

    symbols: Add missing functions

 clutter/clutter.symbols | 2 ++
 1 file changed, 2 insertions(+)

commit 0247d070166f4483f9e708129064fa53a49950dd
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jun 5 19:27:28 2012 +0100

    docs: Add ClutterTimelineClass.stopped annotation

 clutter/clutter-timeline.h | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 7381050ab1f352d5c13b4b2a120c599550b72397
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 4 23:16:30 2012 +0100

    examples/threads: Modernize code
    
    Drop the usage of behaviours and alphas, and use transitions and
    implicit animations instead.

 examples/threads.c | 125 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------
 1 file changed, 69 insertions(+), 56 deletions(-)

commit 0acc85dab13775e1a521588d4f2f5b229e6dcac6
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Jun 5 17:56:45 2012 +0200

    Updated Spanish translation

 po/es.po | 432 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------
 1 file changed, 249 insertions(+), 183 deletions(-)

commit 43d40758bddee49d24ec14c28dd859bb7032145a
Author: Tomeu Vizoso <tomeu.vizoso@collabora.com>
Date:   Mon Jun 4 13:15:43 2012 +0200

    tests: Add interactive test for touch events
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677390

 tests/interactive/Makefile.am         |   3 ++-
 tests/interactive/test-touch-events.c | 161 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 163 insertions(+), 1 deletion(-)

commit 0ec01a2e42645b4fe9ce23335983d326249afff3
Author: Tomeu Vizoso <tomeu.vizoso@collabora.com>
Date:   Mon Jun 4 13:15:13 2012 +0200

    events: Deliver touch events to actors
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677390

 clutter/clutter-main.c | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

commit d7f68f64d37411bf764a096c5e50cb03c2112ce7
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Jun 5 15:51:07 2012 +0200

    Updated Galician translations

 po/gl.po | 131 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------
 1 file changed, 96 insertions(+), 35 deletions(-)

commit 13b1b9c62f051c4b3fab97d23d130b892e9a0606
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Jun 5 15:24:57 2012 +0200

    Updated POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit dae25d839edee004df76cf2ff9f3e988fdbf2845
Author: Bastian Winkler <buz@netbuz.org>
Date:   Sun Jun 3 12:18:37 2012 +0200

    examples: Add a grid-layout example
    
    A fairly complete example for ClutterGridLayout
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677372

 examples/Makefile.am   |   1 +
 examples/grid-layout.c | 386 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 387 insertions(+)

commit 1eb869ec8f893cfc9cd03576335bfac173f8fa3c
Author: Bastian Winkler <buz@netbuz.org>
Date:   Sun Jun 3 05:02:31 2012 +0200

    Add ClutterGridLayout
    
    ClutterGridLayout is port of GtkGrid to a Clutter layout manager. All
    the logic is taken from gtkgrid.c, so all the credits should go to
    Matthias Clasen for writing this nice piece of code.
    
    ClutterGridLayout supports adding children with it's own methods
    GridLayout.attach() and GridLayout.attach_next_to() as well as
    Actor.add_child() and friends. The latter adds children in a similar
    fashion to ClutterBoxLayout
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677372

 clutter/Makefile.am                        |    2 +
 clutter/clutter-enums.h                    |   18 ++
 clutter/clutter-grid-layout.c              | 2199 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-grid-layout.h              |  161 ++++++++++++++
 clutter/clutter.h                          |    1 +
 clutter/clutter.symbols                    |   18 ++
 doc/reference/clutter/clutter-docs.xml.in  |    1 +
 doc/reference/clutter/clutter-sections.txt |   39 ++++
 doc/reference/clutter/clutter.types        |    1 +
 9 files changed, 2440 insertions(+)

commit 8ef55e4e98c192d2d59e90fba8b2bffccdeae08c
Author: Alexander Larsson <alexl@redhat.com>
Date:   Tue Jun 5 10:55:17 2012 +0200

    Don't allocate size for invisible BinLayout children

 README.in                    | 6 ++++++
 clutter/clutter-bin-layout.c | 6 ++++++
 2 files changed, 12 insertions(+)

commit c7c3d852250f15aec077b54ed5d9d493bd383762
Author: Bastian Winkler <buz@netbuz.org>
Date:   Mon Jun 4 11:47:58 2012 +0200

    box-layout: Deprecate expand/fill/align child properties
    
    These are covered by ClutterActor:[xy]-align and
    ClutterActor:[xy]-expand
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677283

 clutter/clutter-box-layout.c | 36 +++++++++++++++++++++++-------------
 clutter/clutter-box-layout.h |  6 ++++++
 2 files changed, 29 insertions(+), 13 deletions(-)

commit f14c71cd3cdac442a660568fae7a0ec81a5dece1
Author: Bastian Winkler <buz@netbuz.org>
Date:   Sat Jun 2 15:01:11 2012 +0200

    examples: Updated box-layout example
    
    Updated test-box-layout to use modern API and move it to examples.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677283

 examples/Makefile.am                |   1 +
 examples/box-layout.c               | 301 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/interactive/Makefile.am       |   1 -
 tests/interactive/test-box-layout.c | 292 ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 4 files changed, 302 insertions(+), 293 deletions(-)

commit 157353ec3cfee0f2b6f3320d0aa119bd1681bd36
Author: Bastian Winkler <buz@netbuz.org>
Date:   Fri Jun 1 16:43:11 2012 +0200

    box-layout: Honor actor expand and alignment
    
    Check if the actor has needs to expand and use Actor.allocate() instead
    of Actor.allocate_align_fill() in that case.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677283

 clutter/clutter-box-layout.c | 32 ++++++++++++++++++++++----------
 1 file changed, 22 insertions(+), 10 deletions(-)

commit 8e24de86b6f88f3bfd1e65cdfd845f330212d1c6
Author: Bastian Winkler <buz@netbuz.org>
Date:   Fri Jun 1 16:49:51 2012 +0200

    table-layout: Honor actors expand and alignment settings
    
    Check if the actor has needs to expand and use Actor.allocate() instead
    of Actor.allocate_align_fill in that case.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677284

 clutter/clutter-table-layout.c | 36 ++++++++++++++++++++++++++++--------
 1 file changed, 28 insertions(+), 8 deletions(-)

commit dbf45c680f510dbcd92f8bdb527dad111285d6b9
Author: Bastian Winkler <buz@netbuz.org>
Date:   Sun Jun 3 13:55:30 2012 +0200

    doc: Add ClutterLayoutManagerPrivate to doc sections
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677384

 doc/reference/clutter/clutter-sections.txt | 1 +
 1 file changed, 1 insertion(+)

commit 65c8b11604e299ef2788a69a76df24d8a5ddb870
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jun 4 10:34:22 2012 +0100

    image: Add a data setter using GBytes
    
    The plain C bytes array, while convenient from a C perspective, is not
    well handled by language bindings: the length of the array is not
    specified, and it's only just implied by the image data size, rowstride,
    and pixel format.
    
    GBytes is a read-only bytes buffer that has an implicit length; we can
    use it as the storage medium so that language bindings can actually
    function correctly.

 clutter/clutter-image.c                    | 65 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 clutter/clutter-image.h                    |  8 ++++++++
 clutter/clutter.symbols                    |  1 +
 doc/reference/clutter/clutter-sections.txt |  1 +
 4 files changed, 74 insertions(+), 1 deletion(-)

commit dcae4909f3ef0d880761fa0f4aeb16e1008fa860
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Sun Jun 3 13:51:19 2012 +0200

    Updated French translation

 po/fr.po | 544 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 278 insertions(+), 266 deletions(-)

commit 23daf302ae263cb085c97c5362469cb0298189b0
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Jun 3 03:23:40 2012 +0200

    Updated Galician translations

 po/gl.po | 596 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 304 insertions(+), 292 deletions(-)

commit d154a10fa0e206a013058a45955b2a582d1417c0
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Mon May 14 00:57:57 2012 +0200

    cookbook/examples: Don't mix up height and width while splitting
    
    Fixes: https://bugzilla.gnome.org/675998

 doc/cookbook/examples/textures-split-go.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit b1fcc828be841fc29547435b0c8611105d7938b8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu May 31 10:06:05 2012 +0100

    osx/backend: Chain up in create_context()
    
    This will ensure that we have a CoglContext, albeit the stub winsys one,
    on Mac.
    
    Tested-by: Roland Peffer <gdevel@clixxun.com>
    Tested-by: Laszlo Pandy <laszlok2@gmail.com>

 clutter/osx/clutter-backend-osx.c | 3 +++
 1 file changed, 3 insertions(+)

commit 7f9c3976a1b87d81e0f65f17437825eff5311974
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Tue May 29 17:40:51 2012 +0200

    Fix width-for-height allocations
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677039

 clutter/clutter-actor.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit de4d70af69a5e33421c468275a3e0e2dc7aaf624
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri May 25 19:41:14 2012 -0400

    timeline: Add a new "stopped" signal
    
    The ::stopped signal is emitted when the timeline has been completely
    exhausted or when the timeline has been programmatically stopped by
    using clutter_timeline_stop(); the notification at the end of the
    timeline run allows to write handlers without having to check whether
    the current repeat is the last one, like we are forced to do when using
    the ::completed signal.
    
    Based on the patch by: Jasper St. Pierre <jstpierre@mecheye.net>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676854

 clutter/clutter-actor.c      | 52 +++++++++++++++++++++-------------------------------
 clutter/clutter-marshal.list |  1 +
 clutter/clutter-timeline.c   | 56 +++++++++++++++++++++++++++++++++++++++++++++++++++-----
 clutter/clutter-timeline.h   |  3 ++-
 clutter/clutter-transition.c | 25 ++++++++++---------------
 examples/basic-actor.c       |  9 +++++----
 6 files changed, 90 insertions(+), 56 deletions(-)

commit 4634dde6134507ad6598bf4c0c97a70890aaf9dc
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed May 30 14:26:58 2012 +0100

    actor: Stop transitions on remove_child()
    
    There's no point in having transitions running when removing a child, so
    we just stop them.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677098

 clutter/clutter-actor.c | 47 +++++++++++++++++++++++++++++++++++++----------
 1 file changed, 37 insertions(+), 10 deletions(-)

commit 78e789007f505acfec731677e92973ef2b609d14
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed May 30 17:48:00 2012 +0200

    Updated Spanish translation

 po/es.po | 564 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------
 1 file changed, 285 insertions(+), 279 deletions(-)

commit b9533cb397d1b272c7975c6e904fcd46894022fa
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue May 29 15:39:59 2012 +0100

    actor: Finally fix RESIZE_ASPECT content gravity
    
    Ensure that resizing transitions smoothly when switching between major
    axis; the allocation aspect ratio is not important: it's the size of the
    allocation that dictates the major axis.

 clutter/clutter-actor.c | 22 +++++++++++++++-------
 1 file changed, 15 insertions(+), 7 deletions(-)

commit 7df4bfcf3bbce2a7b2b996e2922bd58bff30a1b2
Author: Bastian Winkler <buz@netbuz.org>
Date:   Tue May 29 14:57:41 2012 +0200

    box-layout: Remove unused BoxChild members
    
    These are leftovers from the old animation API an are unused now.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677086

 clutter/clutter-box-layout.c | 5 -----
 1 file changed, 5 deletions(-)

commit 93627c876d836eb84079f4a71161571b7d5e5bca
Author: Bastian Winkler <buz@netbuz.org>
Date:   Tue May 29 14:44:44 2012 +0200

    examples: Allow optional animations in flow-layout
    
    Allow animations to demonstrate the LayoutManager animation API
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677085

 examples/flow-layout.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 4c3bb5e2de93697f2bb672d5c5829a1e5fc6a996
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue May 29 20:04:11 2012 +0200

    Updated Slovenian translation

 po/sl.po | 1282 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------
 1 file changed, 665 insertions(+), 617 deletions(-)

commit 1339b391326ce30e88c4476cfd4bc288c74c304f
Author: Bastian Winkler <buz@netbuz.org>
Date:   Thu May 24 20:25:22 2012 +0200

    examples: Update layout-manager example to use the animations API
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676827

 examples/layout-manager.c | 22 ++++++++++++++++++++--
 1 file changed, 20 insertions(+), 2 deletions(-)

commit 793bde91430c53edd0b39989e59f9f77b562947e
Author: Bastian Winkler <buz@netbuz.org>
Date:   Thu May 24 17:32:11 2012 +0200

    table-layout: Use the ClutterLayoutManager animation API
    
    ClutterTableLayout now only calls the animation API of
    ClutterLayoutManager
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676827

 clutter/clutter-table-layout.c | 195 +++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------------------------------------------------
 1 file changed, 47 insertions(+), 148 deletions(-)

commit 58a1854b5729296dbd62071d190c528374e7e4f8
Author: Bastian Winkler <buz@netbuz.org>
Date:   Thu May 24 17:31:44 2012 +0200

    box-layout: Use the ClutterLayoutManager animation API
    
    ClutterBoxLayout now only calls the animation API of
    ClutterLayoutManager
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676827

 clutter/clutter-box-layout.c | 200 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------------------------------------
 1 file changed, 60 insertions(+), 140 deletions(-)

commit 320fb156b41fad5048b69acb7ca7a7e582b49182
Author: Bastian Winkler <buz@netbuz.org>
Date:   Thu May 24 16:06:31 2012 +0200

    flow-layout: Implement layout animations
    
    Allow to animate the child allocation using the ClutterLayoutManager
    animation API
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676827

 clutter/clutter-flow-layout.c | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit 03ec016faa146410c12b88851f0428d035933dd4
Author: Bastian Winkler <buz@netbuz.org>
Date:   Thu May 24 16:05:06 2012 +0200

    bin-layout: Implement layout animations
    
    Allow to animate the child allocation using the ClutterLayoutManager
    animation API
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676827

 clutter/clutter-bin-layout.c | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 7f6b17bc504ca508554a5e2075af59125682e531
Author: Bastian Winkler <buz@netbuz.org>
Date:   Thu May 24 15:45:07 2012 +0200

    layout-manager: Add a new animation API
    
    It's similar to to the implicit animation API of ClutterActor and
    compatible to deprecated API of ClutterBoxLayout and
    ClutterTableLayout.
    
    It adds :use-animations, :easing-mode, :easing-duration and
    :easing-delay properties to control animations when allocation of a
    child has changed. Layout manager implementers should call
    
    use_animations = clutter_layout_manager_get_easing_state (manager,
                                                              &mode,
                                                              &duration,
                                                              &delay);
    
    from the allocate() virtual function to access these values.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676827

 clutter/clutter-layout-manager.c           | 406 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 clutter/clutter-layout-manager.h           |  27 +++++++++++++
 clutter/clutter.symbols                    |   9 +++++
 doc/reference/clutter/clutter-sections.txt |   9 +++++
 4 files changed, 449 insertions(+), 2 deletions(-)

commit 734720ef0f849b1e31b01d3d376dfeb3b310ca5f
Author: Bastian Winkler <buz@netbuz.org>
Date:   Thu May 24 14:26:57 2012 +0200

    layout-manager: Add a private struct to hold future properties
    
    In order to allow the abstract ClutterLayoutManager class to have own
    GObject properties we'll need a private structure.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676827

 clutter/clutter-layout-manager.c | 10 ++++++++++
 clutter/clutter-layout-manager.h |  4 ++--
 2 files changed, 12 insertions(+), 2 deletions(-)

commit f9c29d50671d37cde455faaa06f2006950277a9e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon May 28 15:33:01 2012 +0100

    build: Move test-unit-names.h out of the dist
    
    Let it be generated at build time, as it should.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=674365

 tests/interactive/Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 8e9992de7c04b3e485bd4bcbd70bf51bd2d0e0e1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon May 28 14:07:04 2012 +0100

    paint-volume: Use the correct coordinate for axis alignment
    
    The z coordinate of the origin should be checked against the same
    coordinate of the vertex behind it. Given that most actors are flat
    surfaces, this check should always succeed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=675396

 clutter/clutter-paint-volume.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 58b13aa412ba63de2b49cb57167d2d6beb94c7cb
Author: Bastian Winkler <buz@netbuz.org>
Date:   Mon May 28 14:02:25 2012 +0200

    text: Enable implicit color animations
    
    Implement the ClutterAnimatable interface to enable implicit animations
    for :color, :cursor-color, :selected-text-color and :selection-color.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676963

 clutter/clutter-text.c | 277 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------
 1 file changed, 215 insertions(+), 62 deletions(-)

commit 129752e5606c652587db8c000a72fe80db889c7d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri May 25 11:33:57 2012 +0100

    event: Add convenience functions for Shift and Ctrl modifiers
    
    Instead of going through clutter_event_get_state() and checking if the
    modifier mask is set, we can provide simple convenience functions to do
    it for us.

 clutter/clutter-event.c                    | 32 ++++++++++++++++++++++++++++++++
 clutter/clutter-event.h                    |  5 +++++
 clutter/clutter.symbols                    |  2 ++
 doc/reference/clutter/clutter-sections.txt |  2 ++
 tests/interactive/test-text-field.c        |  9 +++------
 5 files changed, 44 insertions(+), 6 deletions(-)

commit 0230f97f609287e30642214f4945f0c3cbae62b5
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu May 24 23:34:36 2012 +0800

    Visual C++ support: Copy clutter-gdk.h as well
    
    ... when the GDK backend is also built

 build/win32/vs10/clutter.props     |  10 +++++-
 build/win32/vs10/clutter.sln       |  16 +++++-----
 build/win32/vs10/clutter.vcxprojin |   4 +--
 build/win32/vs9/clutter.sln        | 344 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------
 build/win32/vs9/clutter.vsprops    |   8 +++++
 build/win32/vs9/install.vcproj     |  52 ++++++++++++++++++++++++++++++
 6 files changed, 251 insertions(+), 183 deletions(-)

commit 26285416b2207bf4d9bbc4054dfb82663d51d843
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu May 24 22:27:57 2012 +0800

    Visual C++ 2010: Fix x64 Release_GDK configs

 build/win32/vs10/clutter.sln       | 4 ++--
 build/win32/vs10/clutter.vcxprojin | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 2878258fc099280d0c52ae56156d9ed772c4bcfc
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu May 24 12:08:58 2012 +0100

    examples: Update drag and drop action code
    
    Use modern API and show idiomatic behaviour.

 examples/drag-action.c | 114 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------
 examples/drop-action.c | 107 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------
 2 files changed, 142 insertions(+), 79 deletions(-)

commit a45d6455f741ec04f6d3b49ab43632878fb08814
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Wed May 23 17:46:15 2012 +0200

    Update French translation

 po/fr.po | 1185 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------
 1 file changed, 616 insertions(+), 569 deletions(-)

commit ee708d1cf8f2a74f34626e2da5b7b42a4d5cb0b7
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Tue May 22 14:25:19 2012 +0100

    flow-layout: Check for all positive values
    
    When creating a FlowLayout container, setting a specific size on it, and
    adding a child to it, as per the attached testcase, it crashes. The line
    on the backtrace doesn't really make sense, but from looking over it, it
    appears that it's probably because priv->line_natural is NULL. The
    attached patch makes it so in this case, priv->line_natural is
    allocated.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676068
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-flow-layout.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 403e1c7e708a7224a840dff6a6ed35722e049af8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue May 22 13:58:40 2012 +0100

    modules: Use 0.10 branch for GStreamer packages

 build/clutter.modules | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit be5eb2f163c6e6838f77ffd6178991a375122571
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue May 22 01:50:12 2012 +0800

    vs9/clutter.sln: Fix missing build item

 build/win32/vs9/clutter.sln | 1 +
 1 file changed, 1 insertion(+)

commit ef1860d71d7c00bb521f36e8003866f8e5885742
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed May 16 17:36:38 2012 +0800

    Bug 676150 GDK: Fix build on Windows
    
    -Don't include unistd.h and stdint.h unconditionally as not all Windows
     compilers have them around.
    -Only include cogl/cogl-xlib.h when it is really supported by Cogl and GDK.
    -sys/ioctl.h is not available on Windows (MinGW/MSVC).
    -Correct the call to cogl_renderer_set_winsys_id:
     (backend_cogl->cogl_renderer, COGL_WINSYS_ID_WGL) ->
     (renderer, COGL_WINSYS_ID_WGL)

 clutter/gdk/clutter-backend-gdk.c        | 11 +++++++++--
 clutter/gdk/clutter-device-manager-gdk.c |  2 ++
 2 files changed, 11 insertions(+), 2 deletions(-)

commit aeea9ee7785df7c07ef1af4f32f47dcd2e4cb22c
Author: Bastian Winkler <buz@netbuz.org>
Date:   Sat May 19 14:37:08 2012 +0200

    actor: Add a custom scriptable "margin" property
    
    The property uses an array with the following CSS style syntax
    
     [ top, right, bottom, left ] or
     [ top, left/right, bottom ] or
     [ top/bottom, left/right ] or
     [ top/right/bottom/left ]
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676367

 clutter/clutter-actor.c            | 88 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/conform/script-parser.c      | 44 ++++++++++++++++++++++++++++++++++++++++++++
 tests/conform/test-conform-main.c  |  1 +
 tests/data/Makefile.am             |  1 +
 tests/data/test-script-margin.json | 22 ++++++++++++++++++++++
 5 files changed, 156 insertions(+)

commit a2d40fcf8c2b839fc8a202442232a7398513a66a
Author: Dominique Bureau <burdo@touchtunes.com>
Date:   Fri May 11 13:26:50 2012 -0400

    ClutterText: Cannot pass NULL string to clutter_text_set_text()
    
    Passing a NULL buffer to clutter_text_set_text() does not behave the same
    way as passing an empty string "" (as specified in the documentation).
    This was working as expected previously, but somehow the behaviour changed
    at some point and created 2 new issues:
    - Passing a NULL pointer will not reset the string
    - If the ClutterText is editable, it will segfault in strcmp
    
    Validations have been added to prevent this.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=675890

 clutter/clutter-text.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit dd61be7c2ea238432524dea16b04baf424c2cd36
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Thu May 17 18:08:57 2012 -0400

    ClutterDropAction: Avoid accessing priv->stage is not yet resolved.
    
    This fixes drop_action_unregister() to not call g_object_get_data()
    on priv->stage if not yet resolved. This can happen if the action's
    actor was destroyed before ever being mapped.

 clutter/clutter-drop-action.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 2c5af0c868e5dfa851407c46c817af2793a9b4d7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri May 18 18:00:30 2012 +0100

    scroll-actor: Check for point equality in the internal setter
    
    The public API should just accept any valid value; it's up to the
    internal setter to check if we're getting the same value as the one
    currently set.

 clutter/clutter-scroll-actor.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 26c1d89d1975f382d4ed4e4d7959835fee991e5e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 18 17:34:18 2012 +0100

    scroll-actor: Fix ->transition not being reset
    
    When the transition was removed from the scroll-actor manually,
    to cancel a not-finished animation, the transition struct member
    wasn't reset to NULL.
    
    This fixes this problem, and removes the need for the struct member
    to be reset manually when animation has completed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676334

 clutter/clutter-scroll-actor.c | 11 +----------
 1 file changed, 1 insertion(+), 10 deletions(-)

commit c9028cee48f804e5d19cd36b55447cb19e0fd811
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed May 16 16:12:20 2012 +0100

    Move scroll actor test to the examples
    
    Nothing specific to test, and the code is idiomatic enough to be used as
    an example.

 clutter/clutter-scroll-actor.c                                   |  8 ++++++++
 examples/Makefile.am                                             |  1 +
 tests/interactive/test-scroll-actor.c => examples/scroll-actor.c | 32 +++++++++++++++++++++++---------
 tests/interactive/Makefile.am                                    |  1 -
 4 files changed, 32 insertions(+), 10 deletions(-)

commit 06d13985921f1a369a0d58cb8bee99e9621bdc3a
Author: Bastian Winkler <buz@netbuz.org>
Date:   Wed May 16 13:57:44 2012 +0200

    table-layout: Remove unused animation helpers
    
    They aren't used since ClutterTableLayout switched to the implicit
    animations API.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676158

 clutter/clutter-table-layout.c | 9 ---------
 1 file changed, 9 deletions(-)

commit ac05ad47bf17301031a25bd371a940fc1e38d5b2
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed May 16 18:58:53 2012 +0800

    VS property sheets: Correct "install" process
    
    Fix the location where clutter-win32.h is "installed".

 build/win32/vs10/clutter.props  | 4 ++--
 build/win32/vs9/clutter.vsprops | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 1153e04766e8a0a31c566f079563d5b5db2780a4
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed May 16 18:36:51 2012 +0800

    Visual C++ support: Fix clutter.def generation
    
    I forgot about the Visual C++ 2010 files... :|

 build/win32/vs10/clutter.props | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d5851c8bf98dd3cd6a313b87a4c91ff84c0aee9a
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed May 16 18:35:27 2012 +0800

    Visual C++ support: Fix clutter.def generation
    
    Some Windows-specific functions were not exported due to this problem.

 build/win32/vs9/clutter.vsprops | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 37e9215521a26e51c87fcafdc183633ee3227b60
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed May 16 17:21:10 2012 +0800

    Visual C++ support: Avoid redefinition warnings
    
    CLUTTER_WINDOWING_GDK is defined in the (pre-configured) clutter-config.h,
    so don't define that in the Projects again.

 build/win32/vs10/clutter.vcxprojin | 8 ++++----
 build/win32/vs9/clutter.vcprojin   | 8 ++++----
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 1f7ff75a5c5824483b4072f285a52c64f3d9958b
Author: Bastian Winkler <buz@netbuz.org>
Date:   Tue May 15 01:44:51 2012 +0200

    text: Add missing introspection annotations
    
    Add allow-none annotations where appropriate

 clutter/clutter-text.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 0ef4cc3aed55035058fd2eab2394c79310aa78f5
Author: Bastian Winkler <buz@netbuz.org>
Date:   Mon May 14 16:32:53 2012 +0200

    keyframe-transition: Create a new interval if necessary
    
    When setting up the transition manually by calling
    
      clutter_keyframe_transition_set_key_frame (transition, n, keys);
      clutter_keyframe_transition_set_values (transition, n, values);
      clutter_keyframe_transition_set_modes (transition, n, modes);
    
    the frame doesn't have a valid interval when calling set_keys(), so we
    need to check its existence and create it if necessary.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676031

 clutter/clutter-keyframe-transition.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 8a4489c48e19af071469e5bfbd492e5a94439ce2
Author: Bastian Winkler <buz@netbuz.org>
Date:   Mon May 14 16:17:34 2012 +0200

    keyframe-transition: Documentation fixes
    
    Update the documentation to use the right symbols
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676032

 clutter/clutter-keyframe-transition.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit c54c3047f80274e9ab773541bc7d99c2d692778f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue May 15 15:06:20 2012 +0100

    scroll-actor: Paint children in pick mode
    
    Chaining up to the parent's implementation of pick() is not enough: we
    need to paint our children explicitly because of the compatibility mode
    checks we use to avoid breaking custom containers.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676088

 clutter/clutter-scroll-actor.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 39a4929d75bb882551cd51632befd02c0c2fcf4b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon May 14 10:33:13 2012 +0100

    scroll-actor: Implement pick()
    
    We need to clip the children during picking as well as we do when
    painting, to avoid reactive children outside of the visible area
    receiving events.
    
    This also allows us to refactor some common code into proper functions.

 clutter/clutter-scroll-actor.c | 48 +++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 37 insertions(+), 11 deletions(-)

commit ee72d9b4af62d91dc16f853ff8165bba20169f52
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon May 14 16:18:13 2012 +0800

    Visual C++ support: Add support to build GDK backend
    
    -Add configuration in Clutter projects to add option to build Clutter with
     the GDK3 backend in addition to the Win32 backend
    -Add another preconfigured clutter-config.h.win32_GDK which contains
     backend configs for both GDK3 and Win32 windowing and input.

 build/win32/vs10/clutter.props             |  47 ++++++++++++++++++++++++++++++++++------
 build/win32/vs10/clutter.sln               | 174 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 build/win32/vs10/clutter.vcxproj.filtersin |   6 ++++++
 build/win32/vs10/clutter.vcxprojin         | 222 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------
 build/win32/vs9/clutter.sln                | 173 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 build/win32/vs9/clutter.vcprojin           | 206 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------
 build/win32/vs9/clutter.vsprops            |  33 ++++++++++++++++++++++++----
 clutter/Makefile.am                        |   1 +
 clutter/clutter-config.h.win32_GDK         |  20 +++++++++++++++++
 9 files changed, 858 insertions(+), 24 deletions(-)

commit 193bf6123daac301636f1dc52dc1908564c6d1a4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri May 11 17:38:53 2012 +0100

    examples/canvas: Resize the canvas on allocation changes
    
    This should show how to make a Canvas resize whenever the actor that
    uses it as content changes size. For good measure, it also shows how to
    coalesce multiple allocations into one Canvas resize through a timeout
    source.

 examples/canvas.c | 39 ++++++++++++++++++++++++++++++++++++++-
 1 file changed, 38 insertions(+), 1 deletion(-)

commit ae32136fccf5774865ff86e33996d91daabe58a8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri May 11 17:37:20 2012 +0100

    build: Drop version check on auto*
    
    Just use autoreconf, to avoid having to deal with changes in the version
    of autotools.
    
    If somebody has more recent autotools but the symbolic links used by
    autoreconf are still pointing to an old version then they can also fix
    their own installation, or get a better distribution.

 autogen.sh | 54 +++++++++++++-----------------------------------------
 1 file changed, 13 insertions(+), 41 deletions(-)

commit c70a7b94703000b0eac768e3fba9ae5fd2937f9e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri May 11 13:48:41 2012 +0100

    modules: Point to the correct branch of Cogl
    
    Clutter requires the cogl-1.10 branch of Cogl.

 build/clutter.modules | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cb4f8168403e4509cdabdbd0b005fa1667fa71a3
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed May 9 15:03:51 2012 +0100

    actor: Include margin in explicit sizes for all cases
    
    When asking for the preferred width and height of an actor, in case
    only one of either the minimum or the natural width is set, the margin
    offsets should also be applied.

 clutter/clutter-actor.c | 16 ++++++++++++----
 1 file changed, 12 insertions(+), 4 deletions(-)

commit 5ad1ec7cca49dfadb330c96f72d64b78d1f7e803
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue May 8 10:51:14 2012 +0100

    Put bind-constraint back into the interactive tests
    
    The bind-constraint.c example still uses clutter_actor_animate(), and
    it'd require some serious reworking to move it to
    ClutterPropertyTransition or to implicit animations.

 examples/Makefile.am                                                   |  1 -
 tests/interactive/Makefile.am                                          |  3 ++-
 examples/bind-constraint.c => tests/interactive/test-bind-constraint.c | 10 ++++++++--
 3 files changed, 10 insertions(+), 4 deletions(-)

commit 4fef7eb68998c0b1414058a12e11b7421ab238d2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue May 8 16:13:26 2012 +0100

    score: Add deprecation annotations to all docs
    
    A single deprecation to the long-desc is not enough.

 clutter/deprecated/clutter-score.c | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit c91cabdab16aeae9bd0bbc7c3d63d0949587cc7d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue May 8 16:06:59 2012 +0100

    score: Fix version of the deprecation annotations
    
    ClutterScore was deprecated in Clutter 1.8, not 1.10.

 clutter/deprecated/clutter-score.h | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit 4d087f2c0ada4c7f5f6a9bd1aa86b337c05e9f1b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri May 4 17:43:30 2012 +0100

    examples: Add an example of layout manager
    
    The MultiLayout shows how to write a layout manager with two policies,
    and to use the easing state of a child to interpolate the allocation.

 examples/Makefile.am      |   1 +
 examples/layout-manager.c | 409 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 410 insertions(+)

commit b7c76a45bcab1d84d50e1144d5a9976f472ea503
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu May 3 13:53:29 2012 +0100

    Add rounded corners rectangle example using Canvas
    
    An old request: how to create a rectangle with rounded corners with
    Clutter; we use ClutterCanvas and Cairo because we want anti-aliased
    edges.

 examples/Makefile.am         |   1 +
 examples/rounded-rectangle.c | 107 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 108 insertions(+)

commit 2bb84d916928943288237f3f844213736eb61360
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu May 3 18:58:12 2012 +0200

    x11/device-manager-xi2: Fix assertions with touch
    
    When getting touch events, the device manager would try
    to pass an invalid device to translate_axes().
    
    clutter_event_set_device() will only update event->touch.device
    for touch events, not event->motion.device, as used.
    
    Fixes Totem crashing on mouse motion/button press when using
    a touchpad.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=675371

 clutter/x11/clutter-device-manager-xi2.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 217ff7c8fb359f129011aff08cb97ff8620f479c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu May 3 18:56:45 2012 +0200

    event: Fix copying touch events
    
    We were trying to copy motion axes instead of touch ones.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=675371

 clutter/clutter-event.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3c9cea09dc89e925e78af9692082aa7f5169f1b6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu May 3 11:40:59 2012 +0100

    docs: Update the configure switches in the README

 README.in | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 74afe8bbcdf7d611209c5c09891616eb076328bd
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu May 3 11:35:20 2012 +0100

    Annotate deprecated get_type() functions
    
    Even if their usage is limited, it's good to consistently deprecate
    functions.

 clutter/deprecated/clutter-behaviour-depth.h   | 1 +
 clutter/deprecated/clutter-behaviour-ellipse.h | 1 +
 clutter/deprecated/clutter-behaviour-opacity.h | 1 +
 clutter/deprecated/clutter-behaviour-path.h    | 1 +
 clutter/deprecated/clutter-behaviour-rotate.h  | 1 +
 clutter/deprecated/clutter-behaviour-scale.h   | 1 +
 clutter/deprecated/clutter-behaviour.h         | 1 +
 clutter/deprecated/clutter-box.h               | 1 +
 clutter/deprecated/clutter-rectangle.h         | 1 +
 clutter/deprecated/clutter-score.h             | 1 +
 clutter/deprecated/clutter-shader.h            | 3 +++
 11 files changed, 13 insertions(+)

commit fcd341d23e24853041e754c47dff87914aaa42de
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu May 3 11:34:57 2012 +0100

    cally: Disable deprecation warnings
    
    For ClutterGroup and ClutterRectangle.

 clutter/cally/cally-rectangle.c | 2 ++
 clutter/cally/cally.c           | 2 ++
 2 files changed, 4 insertions(+)

commit e88e7cd41400557f92dd1a2c35276ac5e033c6a1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu May 3 11:28:04 2012 +0100

    docs: Disable deprecations when building the object scanner
    
    We know it's going to be using deprecated symbols, since it has to
    introspect all the GObject classes we expose.

 doc/reference/clutter/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 20f908e87f5277a0119db0ac683f348d91b180ab
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu May 3 11:27:22 2012 +0100

    docs: Add annotation for ClutterEventSequence
    
    The last remaining undocumented symbol in the API reference according to
    gtk-doc.

 clutter/clutter-event.h | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 397f3228608b1c7c26f16767742851fb94ca7cc7
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Wed May 2 18:08:02 2012 -0400

    ClutterDropAction: Added "drop-cancel" signal.
    
    The drop-cancel signal allows the drop action to cleanup its
    state if the can-drop signal is refused. This is especially
    useful if the drop action (or its target actor) is managing
    any drop target animations.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=675336

 clutter/clutter-drop-action.c | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

commit a2f03d3adda3f4cc26425caeea0b3e97b1fa890f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed May 2 18:40:38 2012 +0100

    docs: Move the easing modes graphs to the AnimationMode docs

 clutter/clutter-enums.h            | 8 ++++++--
 clutter/deprecated/clutter-alpha.c | 5 -----
 2 files changed, 6 insertions(+), 7 deletions(-)

commit 8a8cc20d9345739ea002aa57e2857ec1d0932d31
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed May 2 18:38:20 2012 +0100

    docs: Move ClutterAnimationMode's documentation
    
    Given that ClutterAnimation is going to be deprecated, we should move
    the ClutterAnimationMode enumeration to the ClutterTimeline section.

 doc/reference/clutter/clutter-sections.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c6b226e6c75e5f2e5d1dc3752e27198a8f337573
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed May 2 18:37:36 2012 +0100

    Move the easing modes test into the examples
    
    It's a pretty simple, self-contained example of how to use different
    easing modes, as well as the implicit animations API.

 examples/Makefile.am                                            |  1 +
 tests/interactive/test-transitions.c => examples/easing-modes.c | 11 ++---------
 tests/interactive/Makefile.am                                   |  1 -
 3 files changed, 3 insertions(+), 10 deletions(-)

commit 3fab1e40263125d1677b38a215b949d71876e18a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed May 2 12:45:45 2012 +0100

    interactive/transitions: Modernize
    
    Drop deprecated API.

 tests/interactive/test-transitions.c | 38 +++++++++++++++++++++++---------------
 1 file changed, 23 insertions(+), 15 deletions(-)

commit ad27141556e6ff3612a40cc7d09515d8765fb514
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed May 2 12:45:18 2012 +0100

    interactive/binding-pool: Modernize
    
    Drop deprecated API.

 tests/interactive/test-binding-pool.c | 73 ++++++++++++++++++++++++++++++++-----------------------------------------
 1 file changed, 32 insertions(+), 41 deletions(-)

commit 46409b4043403c828824ec223134f36c99575bdd
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed May 2 12:14:45 2012 +0100

    Move FlowLayout test into examples
    
    There's nothing really test-worthy in the ClutterFlowLayout interactive
    test; it can be lifted pretty much as is, and placed into the examples.

 clutter/clutter-flow-layout.c                                  |  8 ++++++++
 examples/Makefile.am                                           |  1 +
 tests/interactive/test-flow-layout.c => examples/flow-layout.c | 10 ++--------
 tests/interactive/Makefile.am                                  |  1 -
 4 files changed, 11 insertions(+), 9 deletions(-)

commit b8f6ed184d3d332f83e1f695e47acb40998ecb4a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed May 2 12:03:14 2012 +0100

    interactive/flow-layout: Modernize code
    
    Drop deprecated API usage.

 tests/interactive/test-flow-layout.c | 25 ++++++++++++-------------
 1 file changed, 12 insertions(+), 13 deletions(-)

commit 97563b640ec5207f28dea3605269f72cc318cc20
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed May 2 11:59:50 2012 +0100

    build: Fix BUILD_TESTS condition check

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 704928a807a3b17029d092eef2b24c76ab7c7890
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue May 1 18:51:19 2012 +0100

    build: Allow disabling all tests and examples
    
    This should allow nicer build automation and cross-compilation support.
    
    The former --disable-conformance configure switch has been deprecated by
    the --disable-tests one, which is more encompassing as it disables the
    whole test suite.

 Makefile.am       | 12 +++++++++++-
 configure.ac      | 36 +++++++++++++++++++++++++-----------
 tests/Makefile.am | 16 +---------------
 3 files changed, 37 insertions(+), 27 deletions(-)

commit 07c95ebf0c624e7791310a82965bede20bb24a36
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue May 1 18:30:10 2012 +0100

    Move examples from tests/interactive to a new top-level
    
    The example code that is meant to be XIncluded into the API reference
    should not be part of the interactive test suite: it's code that it is
    meant to be used as a reference implementation - whereas the interactive
    test suite should be allowed to be lean and test behaviour even in nasty
    ways. In short: the test suite should not be the place where we show off
    idiomatic code for educational purposes.

 Makefile.am                                                        |  2 +-
 clutter/clutter-actor.c                                            |  2 +-
 clutter/clutter-bin-layout.c                                       |  2 +-
 clutter/clutter-bind-constraint.c                                  |  2 +-
 clutter/clutter-canvas.c                                           |  2 +-
 clutter/clutter-constraint.c                                       |  4 +++-
 clutter/clutter-drag-action.c                                      |  2 +-
 clutter/clutter-drop-action.c                                      |  2 +-
 clutter/clutter-image.c                                            |  2 +-
 clutter/clutter-main.c                                             |  2 +-
 configure.ac                                                       |  2 ++
 examples/Makefile.am                                               | 39 +++++++++++++++++++++++++++++++++++++++
 examples/README                                                    | 10 ++++++++++
 tests/interactive/test-actor.c => examples/basic-actor.c           | 11 ++---------
 tests/interactive/test-bin-layout.c => examples/bin-layout.c       | 11 ++---------
 tests/interactive/test-constraints.c => examples/bind-constraint.c | 11 ++---------
 tests/interactive/test-canvas.c => examples/canvas.c               | 10 ++--------
 tests/interactive/test-snap-constraint.c => examples/constraints.c |  7 ++-----
 tests/interactive/test-drag.c => examples/drag-action.c            |  5 ++---
 tests/interactive/test-drop.c => examples/drop-action.c            | 10 ++--------
 tests/interactive/test-image-box.c => examples/image-content.c     | 11 ++---------
 tests/interactive/test-threads.c => examples/threads.c             | 11 ++---------
 tests/interactive/Makefile.am                                      | 12 +-----------
 23 files changed, 82 insertions(+), 90 deletions(-)

commit 64841d6498df01807dfa732935c27b2b1350e5a3
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue May 1 14:04:37 2012 +0100

    Post-release version bump to 1.11.3

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c1d2298e30d515347c5e3f7b29c296280f80226b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue May 1 13:58:34 2012 +0100

    Release Clutter 1.11.2

 NEWS         | 71 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 72 insertions(+), 1 deletion(-)

commit dd3c66579b196db7b3dc03d3b3159edf5dd0c1d6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue May 1 13:29:19 2012 +0100

    conform/actor-graph: Add missing NULL terminator

 tests/conform/actor-graph.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit c3718951409f6fcffe62fca5ce28d348691ba3d8
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Mon Apr 30 23:20:03 2012 +0200

    [l10n] Updated German translation

 po/de.po | 433 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------
 1 file changed, 240 insertions(+), 193 deletions(-)

commit 6db381978e6ce5c671954622db01d01e86a4b221
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Apr 30 18:34:37 2012 +0100

    Add missing symbols

 clutter/clutter.symbols | 3 +++
 1 file changed, 3 insertions(+)

commit 53014bd781e98cf884373ce92fde529dd1e347f0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Apr 30 17:46:48 2012 +0100

    docs: Replace unknown <envvar> tag with <varname>

 doc/reference/clutter/running-clutter.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 266c1d77059bd6c9d7650ad74bca364ced870065
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Apr 30 17:45:01 2012 +0100

    docs: Fix typo in the <structname> tag

 clutter/clutter-paint-nodes.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0dd74ca3fbf533379383ea6433c544969d996768
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Apr 30 17:12:12 2012 +0100

    docs: Annotation fixes
    
    The introspection scanner has become slightly more annoying, in the hope
    that people start fixing their annotations. As it turns out, it was the
    right move.

 clutter/Makefile.am                         |  2 ++
 clutter/clutter-actor.c                     |  2 +-
 clutter/clutter-actor.h                     |  2 +-
 clutter/clutter-drag-action.c               |  2 +-
 clutter/clutter-event.c                     |  2 +-
 clutter/clutter-layout-meta.h               |  2 +-
 clutter/clutter-macros.h                    |  4 ++--
 clutter/clutter-main.c                      |  2 +-
 clutter/clutter-paint-nodes.c               | 44 ++++++++++++++++++++++++++------------------
 clutter/clutter-stage.c                     | 12 ++++++------
 clutter/clutter-text.c                      |  2 +-
 clutter/clutter-texture.c                   |  6 +++---
 clutter/clutter-timeline.c                  |  2 +-
 clutter/clutter-version.h.in                |  6 +++---
 clutter/deprecated/clutter-behaviour-path.h |  2 +-
 clutter/deprecated/clutter-behaviour.h      |  2 +-
 clutter/x11/clutter-x11-texture-pixmap.c    |  2 +-
 17 files changed, 53 insertions(+), 43 deletions(-)

commit 64f897c7f0a8de511ff4707dbb80557a949412fe
Author: Jonh Wendell <jwendell@gnome.org>
Date:   Sat Apr 28 10:27:05 2012 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 1141 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------
 1 file changed, 593 insertions(+), 548 deletions(-)

commit e59a86def911098831ff14b36bb3586e7eb12645
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Fri Apr 27 16:44:06 2012 +0200

    Updated Galician translations

 po/gl.po | 1162 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------------------------------------------
 1 file changed, 602 insertions(+), 560 deletions(-)

commit 0a2dfec4a966984a190f0105e9f261fc493fd6f6
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Apr 27 16:25:29 2012 +0200

    Updated Spanish translation

 po/es.po | 1184 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------
 1 file changed, 614 insertions(+), 570 deletions(-)

commit fec0578bfe0106ae7ebf40f00d901106a444a5e2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Apr 27 14:21:25 2012 +0100

    animatable: Disable deprecation warnings
    
    We are using deprecated API internally.

 clutter/clutter-animatable.c | 2 ++
 1 file changed, 2 insertions(+)

commit 24885b13a6c6144cc2b7be53c4e4d24ad456439c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Apr 27 14:58:55 2012 +0200

    Updated POTFILES.in

 po/POTFILES.in | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 0077c5127834b0aa539bd4ae6017cdc5a62b05bf
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Apr 27 12:38:19 2012 +0100

    Disable deprecation warnings in deprecated classes
    
    We know we're using deprecated symbols.

 clutter/deprecated/clutter-alpha.c         | 2 ++
 clutter/deprecated/clutter-animation.c     | 2 ++
 clutter/deprecated/clutter-animator.c      | 2 ++
 clutter/deprecated/clutter-cairo-texture.c | 2 ++
 clutter/deprecated/clutter-state.c         | 6 ++++--
 5 files changed, 12 insertions(+), 2 deletions(-)

commit 05df0c9c145115929618db075b5055c132fb15bd
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Apr 26 14:33:53 2012 +0100

    docs: Mention that patches must pass the conformance tests
    
    People submitting patches should do a conformance test suite run, until
    we have a buildbot and a way of running the conformance tests on a
    headless setup.

 README.in | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 155e0eee891223df9764c8062943a7241e7a8ac6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Apr 25 17:28:05 2012 +0100

    docs: Add missing symbols to the sections file

 doc/reference/clutter/clutter-sections.txt | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 70091245e8069edc3820cd596e2e95903e575d6d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Apr 25 17:22:10 2012 +0100

    docs: Specify scroll_to_point() coordinate space

 clutter/clutter-scroll-actor.c | 2 ++
 1 file changed, 2 insertions(+)

commit bca93c1a75324b439e93500011f90817eae1074a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Apr 25 17:13:29 2012 +0100

    Deprecate ClutterAlpha
    
    It's time. Now that we have clutter_actor_allocate() respecting the
    easing state of an actor, and that the LayoutManager animation virtual
    functions have been deprecated, we can put ClutterAlpha on the chopping
    block, and be done with it, once and for all.
    
    So long, ClutterAlpha; and thanks for all the fish.

 clutter/Makefile.am                            |  4 ++--
 clutter/clutter-box-layout.c                   |  1 +
 clutter/clutter-deprecated.h                   |  1 +
 clutter/clutter-layout-manager.c               |  5 ++++-
 clutter/clutter-layout-manager.h               |  3 ---
 clutter/clutter-script-parser.c                |  1 +
 clutter/clutter-table-layout.c                 |  1 +
 clutter/clutter.h                              |  1 -
 clutter/{ => deprecated}/clutter-alpha.c       | 34 +++++++++++++++++++++++++++++++++-
 clutter/{ => deprecated}/clutter-alpha.h       | 13 +++++++++++++
 clutter/deprecated/clutter-behaviour-depth.c   |  1 +
 clutter/deprecated/clutter-behaviour-ellipse.c |  1 +
 clutter/deprecated/clutter-behaviour-opacity.c |  1 +
 clutter/deprecated/clutter-behaviour-path.c    |  1 +
 clutter/deprecated/clutter-behaviour-rotate.c  |  1 +
 clutter/deprecated/clutter-behaviour-scale.c   |  1 +
 clutter/deprecated/clutter-behaviour.c         |  1 +
 17 files changed, 63 insertions(+), 8 deletions(-)

commit a5630d962f6b51812783945f47ca7e6215e06754
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Apr 25 15:49:28 2012 +0100

    docs: Clean up index
    
    Move CairoTexture to the deprecated section.

 doc/reference/clutter/clutter-docs.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 23f3edce6109895a9bb7968a877c5756e67698df
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Apr 25 15:48:10 2012 +0100

    docs: Add ScrollActor to the API reference

 doc/reference/clutter/clutter-docs.xml.in  |  1 +
 doc/reference/clutter/clutter-sections.txt | 22 ++++++++++++++++++++++
 doc/reference/clutter/clutter.types        |  1 +
 3 files changed, 24 insertions(+)

commit 999bbe20a54f24bd1edf2ab74ed2e62e17de0ebf
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Apr 12 15:56:53 2012 +0100

    Add ClutterScrollActor
    
    ClutterScrollActor is an actor that allows showing a portion of its
    contents.

 clutter/Makefile.am                   |   2 +
 clutter/clutter-enums.h               |  20 +++++++++
 clutter/clutter-scroll-actor.c        | 478 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-scroll-actor.h        |  97 +++++++++++++++++++++++++++++++++++++++
 clutter/clutter-types.h               |   1 +
 clutter/clutter.h                     |   1 +
 clutter/clutter.symbols               |   7 +++
 tests/interactive/Makefile.am         |   3 +-
 tests/interactive/test-scroll-actor.c | 179 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 9 files changed, 787 insertions(+), 1 deletion(-)

commit 4d34a2229dd3de70e440fd57e60d54d4fc49bfd2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Apr 20 18:23:21 2012 +0100

    interactive/table-layout: Enable animations

 tests/interactive/test-table-layout.c | 1 +
 1 file changed, 1 insertion(+)

commit d28bce4a259a4dbd3f15ecc8f077e615debcea40
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Apr 20 18:14:42 2012 +0100

    layout-manager: Deprecate the layout animation
    
    This semi-aborted API was broken for various reasons:
    
      - it strongly depended on ClutterAlpha, a class we're trying to
        deprecate;
      - it requires a lot of boilerplate and copy-and-paste code;
      - it requires a full relayout of the actor tree for something
        that ought to be automatically handled by ClutterActor.
    
    Now that clutter_actor_allocate() handles transitions using the easing
    state of the actor, we can deprecate the LayoutManager API for the 1.x
    series, and remove it for the 2.x series.

 clutter/clutter-layout-manager.c |  6 ++++++
 clutter/clutter-layout-manager.h | 17 ++++++++++++++---
 2 files changed, 20 insertions(+), 3 deletions(-)

commit 30b78a7212e508cde2911293aeefe1bfeab11eae
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Apr 20 18:14:00 2012 +0100

    table-layout: Deprecate the animation API
    
    Similar to what we did for ClutterBoxLayout.

 clutter/clutter-table-layout.c | 217 ++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------------------------------------------------
 clutter/clutter-table-layout.h |   6 ++++++
 2 files changed, 62 insertions(+), 161 deletions(-)

commit d1998712e1cc931e1152fd1fca3f29538814023f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Apr 20 18:11:57 2012 +0100

    box-layout: Deprecate the animation API
    
    BoxLayout will use the easing state of the children it's allocating; the
    current API is re-implemented in terms of an implicit easing state
    forced on each child prior to allocating it.

 clutter/clutter-box-layout.c | 224 +++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------------------------------------------------
 clutter/clutter-box-layout.h |   6 ++++++
 2 files changed, 62 insertions(+), 168 deletions(-)

commit 8ef2c46baaa171f02824576f8a2ff0a7c2038581
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Apr 20 18:06:02 2012 +0100

    actor: Make :allocation animatable
    
    Calling clutter_actor_allocate() should transition between the current
    allocation and the new allocation, by using the defined implementation
    of the easing state.
    
    This means that:
    
      clutter_actor_save_easing_state (actor);
      clutter_actor_allocate (actor, &new_alloc, flags);
      clutter_actor_restore_easing_state (actor);
    
    will cause "actor" to transition between the current allocation and the
    desired new allocation.
    
    The trick is to ensure that this happens without invalidating the
    entire actor tree, but only the portion of the tree that has the
    transitioned actor as the local root. For this reason, we just call the
    allocate() implementation from within the transition frame advancement,
    without invalidating flags: the actor, after all, *has* a valid
    allocation for the duration of the transition.

 clutter/clutter-actor.c | 57 +++++++++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 43 insertions(+), 14 deletions(-)

commit 8cb9725699a2cc26844f1fce06eb3c6a6b218a6a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Apr 23 12:28:23 2012 +0100

    actor: Ignore allocation flags
    
    Allocation flags are informative, and are only meant to be used to
    communicate additional information about the allocation process to
    an actor.

 clutter/clutter-actor.c | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit 78aae84d438587b45ec52d7a28f57e019f04ae23
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Apr 20 12:45:54 2012 +0100

    actor: Coalesce needs_[xy]_expand() into one method
    
    Use the orientation enumeration instead of a per-axis method.

 clutter/clutter-actor.c      | 65 +++++++++++++++++++++++++----------------------------------------
 clutter/clutter-actor.h      |  5 ++---
 clutter/clutter-bin-layout.c |  4 ++--
 clutter/clutter.symbols      |  3 +--
 4 files changed, 30 insertions(+), 47 deletions(-)

commit 807d77c0f321a94db960750adb21a231a7a6330a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 27 17:08:59 2012 +0100

    box-layout: Add the :orientation property
    
    And deprecate the :vertical property.
    
    An enumeration is clearer, and we can use it elsewhere in the API.

 clutter/clutter-box-layout.c        | 189 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------
 clutter/clutter-box-layout.h        | 115 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------
 clutter/clutter-enums.h             |  14 ++++++++++++++
 tests/interactive/test-box-layout.c |  14 ++++++++++++--
 4 files changed, 229 insertions(+), 103 deletions(-)

commit 5d8b177679038811a1d2ae88943e2f44e0f51918
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 29 17:27:34 2012 +0100

    bin-layout: Deprecate BinLayout alignments
    
    We should use the ClutterActor's API for this.

 clutter/Makefile.am                     |  1 +
 clutter/clutter-bin-layout.c            | 16 +++++++++++++++-
 clutter/clutter-bin-layout.h            | 14 --------------
 clutter/clutter-deprecated.h            |  1 +
 clutter/clutter-enums.h                 |  3 +++
 clutter/deprecated/clutter-bin-layout.h | 56 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 76 insertions(+), 15 deletions(-)

commit 26d366a3a5d1a0294adac71d4bede4f507d052e0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 29 17:20:45 2012 +0100

    docs: XInclude the bin layout example

 clutter/clutter-bin-layout.c | 32 +++-----------------------------
 1 file changed, 3 insertions(+), 29 deletions(-)

commit 4067dcdfe14a5e7bd5785982d5ab4410e855d4e5
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 29 16:35:22 2012 +0100

    interactive/bin-layout: Improve the example code
    
    Use modern API; clean up the code, and document it so that it's possible
    to XInclude it into the API reference.

 tests/interactive/Makefile.am       |   2 +-
 tests/interactive/test-bin-layout.c | 236 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------------
 2 files changed, 135 insertions(+), 103 deletions(-)

commit 6ddc694e68f827c9990d75a52af14cc911ff65ad
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 29 16:34:36 2012 +0100

    bin-layout: Use the actor align/expand flags
    
    If an actor is set to expand, we use the actor's horizontal and vertical
    alignment values instead of the BinLayout's.

 clutter/clutter-bin-layout.c | 54 +++++++++++++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 49 insertions(+), 5 deletions(-)

commit 473aaf7766cdc4f3322645249440087c1f501e0a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 29 16:33:53 2012 +0100

    actor: Add private get_effective_x_align() method
    
    A method to retrieve the effective horizontal alignment of the actor,
    taking into consideration the text direction.

 clutter/clutter-actor-private.h |  2 ++
 clutter/clutter-actor.c         | 16 ++++++++++++++++
 2 files changed, 18 insertions(+)

commit 90032e00196494db381980abdca3639f9d605d3d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 27 14:53:27 2012 +0100

    actor: Add basic automatic expand flags
    
    The :x-expand and :y-expand flags on ClutterActor are used to signal
    that an actor should expand horizontally and/or vertically - i.e. that
    its parent's layout management policy should try to assign extra space
    to the actor when allocating it.
    
    The expand flags are automatic: when set on a leaf node in the actor
    tree, they will bubble up through the parent and grandparents up to the
    top level actor; during allocation, the actors with children will lazily
    compute whether their children needs to expand.

 clutter/clutter-actor-private.h |  14 ++++---
 clutter/clutter-actor.c         | 417 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 clutter/clutter-actor.h         |  14 +++++++
 clutter/clutter.symbols         |   6 +++
 4 files changed, 444 insertions(+), 7 deletions(-)

commit 217c4e7ba0958c6a84cc387885437e58bb3f6069
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Apr 19 16:35:39 2012 +0100

    actor: Remove automatic transition init from add_transition()
    
    Adding an explicit transition overrides any consideration of the easing
    state of an actor.

 clutter/clutter-actor.c                      | 11 -----------
 tests/interactive/test-keyframe-transition.c |  7 +------
 2 files changed, 1 insertion(+), 17 deletions(-)

commit 0b76ba332d270e327d8094c25d1b2197e5b89ac6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Apr 19 16:00:23 2012 +0100

    Fixes for the API reference
    
    Typos, missing symbols, and missing documentation.

 clutter/clutter-animatable.c               | 14 +++++++-------
 clutter/clutter-cairo.c                    | 29 +++++++++++++++++++++++++++++
 clutter/clutter-constraint.c               |  2 +-
 clutter/clutter-deform-effect.c            |  2 +-
 clutter/clutter-effect.c                   | 15 ++++++++-------
 clutter/clutter-enums.h                    |  2 +-
 clutter/clutter-gesture-action.c           |  2 +-
 clutter/clutter-gesture-action.h           |  2 +-
 clutter/clutter-layout-manager.c           | 41 +++++++++++++++++++----------------------
 clutter/clutter-offscreen-effect.c         |  4 ++--
 clutter/clutter-paint-node.h               |  9 +++++++++
 clutter/clutter-shader-effect.c            |  4 ++--
 clutter/clutter-types.h                    | 70 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 clutter/clutter-units.c                    |  4 ++--
 clutter/wayland/clutter-wayland-surface.c  | 31 ++++++++++++++++++++++++++++++-
 doc/reference/clutter/clutter-sections.txt | 27 ++++++++++++++++++++++-----
 16 files changed, 204 insertions(+), 54 deletions(-)

commit 076179f20be0ff5cf2fa579d1270f424c240c1f8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Apr 11 18:31:53 2012 +0100

    docs: Clean up the animation section

 doc/reference/clutter/clutter-docs.xml.in | 18 ++++++------------
 1 file changed, 6 insertions(+), 12 deletions(-)

commit de94b8e6345743ecd0a7d66b50413c83b6d55558
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Apr 11 18:30:40 2012 +0100

    Add deprecation annotations

 clutter/deprecated/clutter-animation.c | 36 +++++++++++++++++++++++++++++++++++-
 clutter/deprecated/clutter-animator.c  | 26 ++++++++++++++++++++++++++
 clutter/deprecated/clutter-animator.h  | 27 +++++++++++++++++++++++++++
 clutter/deprecated/clutter-state.c     | 60 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/deprecated/clutter-state.h     | 28 ++++++++++++++++++++++++++++
 5 files changed, 176 insertions(+), 1 deletion(-)

commit b4f12cfb83321abd30dbc23e36572c0dd5609cf7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Apr 11 18:18:27 2012 +0100

    Deprecate ClutterAnimation, as well as clutter_actor_animate()
    
    ClutterPropertyTransition, and the implicit animation API based on
    ClutterTransition and ClutterAnimatable, are enough to replace this
    whole API.

 clutter/Makefile.am                          |   3 +--
 clutter/clutter-animatable.c                 |   1 +
 clutter/clutter-animatable.h                 |   2 +-
 clutter/clutter-animation.h                  | 165 ---------------------------------------------------------------------------------------------------------------------------------------------------------------------
 clutter/clutter-types.h                      |  68 ++++++++++++++++++++++++++++++++++++--------------------------------
 clutter/clutter.h                            |   1 -
 clutter/{ => deprecated}/clutter-animation.c |   0
 clutter/deprecated/clutter-animation.h       | 158 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----
 8 files changed, 193 insertions(+), 205 deletions(-)

commit 63e909576a84edb30951f888ba3787e09ce643c8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Apr 11 18:00:23 2012 +0100

    Deprecate State and Animator
    
    The PropertyTransition, KeyframeTransition, and TransitionGroup classes
    can effectively replace Animator and State in their common usage.

 clutter/Makefile.am                         |  8 ++++----
 clutter/clutter-deprecated.h                |  2 ++
 clutter/clutter-script.c                    | 16 +++++++++++-----
 clutter/clutter-script.h                    |  3 +++
 clutter/clutter.h                           |  2 --
 clutter/{ => deprecated}/clutter-animator.c |  0
 clutter/{ => deprecated}/clutter-animator.h |  0
 clutter/{ => deprecated}/clutter-state.c    |  0
 clutter/{ => deprecated}/clutter-state.h    |  0
 9 files changed, 20 insertions(+), 11 deletions(-)

commit 024f6d40d262c55ea7c6a845885b16685bd65ba8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Apr 11 17:47:53 2012 +0100

    keyframe-transition: Add direct accessors for key frames
    
    This should allow modifying key frame details without requiring a full
    reset of the KeyframeTransition instance.

 clutter/clutter-keyframe-transition.c      | 102 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-keyframe-transition.h      |  15 +++++++++++++++
 clutter/clutter.symbols                    |   3 +++
 doc/reference/clutter/clutter-sections.txt |   5 +++++
 4 files changed, 125 insertions(+)

commit c500fc1844618c634670f6771100c40328b35d00
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 20 10:59:34 2012 +0000

    Add ClutterTransitionGroup
    
    The TransitionGroup class is a logical container for running multiple
    transitions.
    
    TransitionGroup is not a Score: it is a Transition that advances each
    Transition it contains using the delta between frames, and ensures that
    all transitions are in a consistent state; these transitions are not
    advanced by the master clock.

 clutter/Makefile.am                          |   2 ++
 clutter/clutter-transition-group.c           | 257 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-transition-group.h           |  91 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-types.h                      |  15 +++++------
 clutter/clutter.h                            |   1 +
 clutter/clutter.symbols                      |   5 ++++
 doc/reference/clutter/clutter-docs.xml.in    |   1 +
 doc/reference/clutter/clutter-sections.txt   |  20 +++++++++++++++
 doc/reference/clutter/clutter.types          |   1 +
 tests/interactive/test-keyframe-transition.c |  25 ++++++++++++++----
 10 files changed, 406 insertions(+), 12 deletions(-)

commit edfe61817448a5abf96d22fbd2f9924531b586a5
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Mar 21 16:07:29 2012 +0000

    timeline: Add an internal function for advancing a timeline
    
    There are cases when we want to advance a timeline from another time
    source. We cannot use _clutter_timeline_do_tick() directly, as that
    assumes that the timeline is already playing, so we'll need to create a
    wrapper that toggles the playing flag around it.

 clutter/clutter-master-clock.h |  3 +++
 clutter/clutter-timeline.c     | 26 ++++++++++++++++++++++----
 2 files changed, 25 insertions(+), 4 deletions(-)

commit 270894342e6847fbec2397b6e5709bd2cc2027a2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Apr 11 15:53:52 2012 +0100

    Add ClutterKeyframeTransition
    
    A simple transition class that interpolates a property between key
    frames.

 clutter/Makefile.am                          |   2 +
 clutter/clutter-keyframe-transition.c        | 628 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-keyframe-transition.h        | 105 +++++++++++++++++++++++++++++++
 clutter/clutter-types.h                      |   1 +
 clutter/clutter.h                            |   1 +
 clutter/clutter.symbols                      |  11 ++++
 doc/reference/clutter/clutter-docs.xml.in    |   5 +-
 doc/reference/clutter/clutter-sections.txt   |  22 +++++++
 doc/reference/clutter/clutter.types          |   1 +
 tests/interactive/Makefile.am                |   3 +-
 tests/interactive/test-keyframe-transition.c |  77 +++++++++++++++++++++++
 11 files changed, 853 insertions(+), 3 deletions(-)

commit d24eccd026e991f00e9e92a3df4e23334573891e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Apr 11 14:18:56 2012 +0100

    interval: Allow passing NULL values to the constructor
    
    Given that we can create a ClutterInterval without an initial and final
    values using g_object_new(), it stands to reason that we ought to be
    able to create an instance when passing NULL GValue pointers to the
    new_with_values() constructor as well.

 clutter/clutter-interval.c | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit bf12e231998fc299549023ede79b77225528a907
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Apr 11 14:11:28 2012 +0100

    easing: Add utility functions
    
    We end up copying the same array-of-modes-and-functions code in various
    places, so it's better to factor it out.

 clutter/clutter-alpha.c    | 62 ++++----------------------------------------------------------
 clutter/clutter-easing.c   | 76 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-easing.h   | 11 +++++++++++
 clutter/clutter-timeline.c | 55 +------------------------------------------------------
 4 files changed, 92 insertions(+), 112 deletions(-)

commit 865a682450d2222ae605e28b161313d29591f0dd
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Apr 11 14:10:40 2012 +0100

    actor: Make add_transition() work regardless of easing state
    
    We can add transitions to an actor even if the easing state hasn't been
    set beforehand.

 clutter/clutter-actor.c | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit fe6d284a83d8a962cedfd35ad516faf39e2eec2a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 22 10:48:02 2012 +0000

    docs: Use the Transition convenience API

 clutter/clutter-actor.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 2470398ede2d1fe6541dac845602269b2b14dd48
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Mar 22 10:08:48 2012 +0000

    transition: Add interval convenience API
    
    This should cut down the lines and number of objects we have to care
    about when dealing with explicit transitions.

 clutter/clutter-transition.c | 234 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-transition.h |  15 +++++++++++++
 2 files changed, 249 insertions(+)

commit a9cc06257ff060eaee7ac46120b0822de2c1e4ba
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Apr 19 14:55:08 2012 +0100

    docs: Add a reference section for geometric types

 clutter/clutter-base-types.c               |  10 +++++-----
 doc/reference/clutter/clutter-docs.xml.in  |   1 +
 doc/reference/clutter/clutter-sections.txt | 198 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------
 3 files changed, 135 insertions(+), 74 deletions(-)

commit 764068a7233c7ac942f67518034e59fdeb388413
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Apr 19 12:34:02 2012 +0100

    Add version annotation for newly added functions

 clutter/clutter-types.h | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

commit b2feb463bd3d8846ff8a79c8b58e12b1539ae63d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Apr 19 12:32:07 2012 +0100

    Add a rect-contains-rect function
    
    Similar to the contains-point one.

 clutter/clutter-base-types.c | 28 ++++++++++++++++++++++++++++
 clutter/clutter-types.h      |  2 ++
 clutter/clutter.symbols      |  1 +
 3 files changed, 31 insertions(+)

commit 9c637ccb41adb33721b209bcc53732aba240d731
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Apr 19 12:30:45 2012 +0100

    Use an epsilon for float comparison
    
    We tend to use float comparison for structured data types like Vertex,
    Point, and Size; we should take into consideration fluctuations in the
    floating point representation as well.

 clutter/clutter-base-types.c | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit 695621f5eaa82b931be7b6b817f7992073cf1259
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Apr 19 12:16:54 2012 +0100

    event: Add distance and angle accessors
    
    Let's start using ClutterPoint in the API.

 clutter/clutter-event.c | 115 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------
 clutter/clutter-event.h |   9 +++++++++
 clutter/clutter.symbols |   7 +++++--
 3 files changed, 112 insertions(+), 19 deletions(-)

commit d021cc7c02059126f2e20ce4807baf58161fe447
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Apr 19 12:15:17 2012 +0100

    Add a function to compute the distance between points

 clutter/clutter-base-types.c | 41 +++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-types.h      |  4 ++++
 clutter/clutter.symbols      |  1 +
 3 files changed, 46 insertions(+)

commit bc914bb8a243e102dc3412edcf3b5bb5e9dccf0d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Apr 18 17:31:28 2012 +0100

    Move towards an alloc/init pair for base types
    
    Instead of a single new() constructor that both allocates and
    initializes, split the allocation and initialization into two separate
    functions for types that are typically used on the stack, and rarely
    allocated on the heap, like ClutterPoint and friends.
    
    This is also applied retroactively to ClutterActorBox and ClutterVertex,
    given that the same considerations on usage apply to them as well; we
    can add a return value to clutter_actor_box_init() and
    clutter_vertex_init() in an ABI-compatible way, so that
    clutter_actor_box_new() and clutter_vertex_new() can be effectively
    reimplemented as "init (alloc ())".

 clutter/clutter-actor-box.c  |  45 +++++++++++++++++++++++++++++++++++----------
 clutter/clutter-base-types.c | 168 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------
 clutter/clutter-types.h      |  12 +++++++-----
 clutter/clutter.symbols      |  10 +++++++---
 4 files changed, 196 insertions(+), 39 deletions(-)

commit 0fc4053613a4dff7c0aad2d4348c2d86be9b41d5
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Apr 13 11:26:38 2012 +0100

    color: Add initializers for ClutterColor
    
    Similar to the ones we have for the other boxed types in Clutter.

 clutter/clutter-color.c | 56 ++++++++++++++++++++++++++++++++++++++++++++++++++++----
 clutter/clutter-color.h | 19 +++++++++++++++++++
 2 files changed, 71 insertions(+), 4 deletions(-)

commit 2276f24ffd356fcfbaac7b0195f30e62c60f67bc
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Apr 1 17:54:11 2012 +0100

    script: Support ClutterPoint and ClutterSize
    
    Point and Size can be described both as an array of values or as an
    object.

 clutter/clutter-script-parser.c  | 148 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-script-private.h |   7 +++++++
 tests/data/test-script.json      |  12 ++++--------
 3 files changed, 159 insertions(+), 8 deletions(-)

commit 7814ec2eb544dc4679b9037a485e34b3be2a0f62
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Apr 1 17:32:59 2012 +0100

    actor: Add position and size animatable properties
    
    Using a compound type property for position and size has various
    advantages: it reduces the amount of checks; it reduces the amount
    of notify signals to connect to; it reduces the amount of transitions
    generated.

 clutter/clutter-actor.c | 230 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 218 insertions(+), 12 deletions(-)

commit 0f3f0d54d21ee5ec867c3f5645931f186143fcf9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 30 18:53:22 2012 +0100

    actor: Use ClutterSize for minimum and natural fixed sizes

 clutter/clutter-actor-private.h |  6 ++----
 clutter/clutter-actor.c         | 44 ++++++++++++++++++++++----------------------
 2 files changed, 24 insertions(+), 26 deletions(-)

commit b7b641d5d3a26b0782462ae8e7cd5097307361e4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 30 18:43:59 2012 +0100

    actor: Use ClutterPoint for the fixed position

 clutter/clutter-actor-private.h |  3 +--
 clutter/clutter-actor.c         | 23 +++++++++++------------
 2 files changed, 12 insertions(+), 14 deletions(-)

commit 61f17e345aac8c671bdd9d83bb541cae5ae0fcee
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 30 18:22:04 2012 +0100

    Add base geometric types
    
    Clutter should provide some more basic geometric types - Point, Size,
    Rect - so that we can use them in properties and accessors.

 clutter/Makefile.am          |    1 +
 clutter/clutter-actor.c      |  299 -----------------------------------------------------------
 clutter/clutter-base-types.c | 1027 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-types.h      |  138 ++++++++++++++++++++++++++-
 clutter/clutter.symbols      |   30 ++++++
 5 files changed, 1192 insertions(+), 303 deletions(-)

commit d77ca7f7b899917a97902ae722d7d80a06f2feca
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 30 13:56:18 2012 +0100

    Move the progress function registration to clutter-types.h
    
    Near the definition of ClutterProgressFunc.

 clutter/clutter-interval.h | 3 ---
 clutter/clutter-types.h    | 3 +++
 2 files changed, 3 insertions(+), 3 deletions(-)

commit e2564dd265c40e8b0343cbbbc1c98705db8a30fc
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Apr 17 18:40:43 2012 +0100

    Deprecate ClutterCairoTexture
    
    The ClutterCanvas content implementation should be used instead, to
    avoid stringing along the ClutterTexture API and implementation.
    
    This change requires some minor surgery, as the deprecated section
    already contains an header for the previously deprecated methods; plus,
    we don't want to deprecate clutter_cairo_set_source_color(). This means
    creating a new header to be used for Cairo-related API.

 clutter/Makefile.am                              |   5 +++--
 clutter/clutter-cairo-texture.h                  | 119 -----------------------------------------------------------------------------------------------------------------------
 clutter/clutter-cairo.c                          |  63 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-cairo.h                          |  59 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-canvas.c                         |   1 +
 clutter/clutter-macros.h                         |  20 --------------------
 clutter/clutter-stage.c                          |   2 +-
 clutter/clutter.h                                |   2 +-
 clutter/clutter.symbols                          |   1 +
 clutter/{ => deprecated}/clutter-cairo-texture.c |  69 ++++++++++++++++++++++++++++-----------------------------------------
 clutter/deprecated/clutter-cairo-texture.h       |  94 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---
 11 files changed, 248 insertions(+), 187 deletions(-)

commit 0fca11ec2f38e15fda2a27f31f39110c91f2a4f0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Apr 23 17:42:40 2012 +0100

    path: Avoid integer overflow in get_distance()
    
    The get_distance() API uses machine integers to compute the distance;
    this means that on 32bit we can overflow the integer size. This gets
    hidden by the fact that get_distance() returns an unsigned integer as
    well.
    
    In reality, ClutterPath is an unmitigated mess, and the only way to
    actually fix it is to break API.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652521

 clutter/clutter-path.c | 41 ++++++++++++++++++++++-------------------
 tests/conform/path.c   | 32 +++++++++++++++++++++++++++++++-
 2 files changed, 53 insertions(+), 20 deletions(-)

commit 9428aaa3cbfb49bbaee180774d4a760b7cac0c25
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Wed Apr 4 12:07:06 2012 +0200

    a11y: stop to use text as the default accessible-name for ClutterText
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672994

 clutter/cally/cally-text.c | 25 -------------------------
 1 file changed, 25 deletions(-)

commit 3cf2bfa3b6eb81bc753d09b8406a17e7314efe5c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Apr 26 16:59:08 2012 +0100

    media: Define CLUTTER_DISABLE_DEPRECATION_WARNINGS
    
    We know we're building deprecated API.

 clutter/deprecated/clutter-media.c | 2 ++
 1 file changed, 2 insertions(+)

commit 56b7a4985b69db51868f6b369785ee0fae4a8a71
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Apr 26 16:58:23 2012 +0100

    macros: Define MIN_REQUIRED as the current version
    
    Otherwise we'll not warn on deprecations introduced in the current
    development cycle.

 clutter/clutter-macros.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 14572f4db0f6516cceb16d7015e569a4cba77b5d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Apr 26 14:06:00 2012 +0100

    actor: Call show() on set parent conditionally
    
    This commit adds a further conditional check for calling
    clutter_actor_show() when adding a child to an actor. We cannot
    unconditionally change the value of the show-on-set-parent property like
    the original solution of commit 81b19a78f5e02ae8ffd9235054d80b172496415b
    as that breaks the document invariant that show-on-set-parent will be
    changed iff an actor is without a parent.
    
    The new ADD_CHILD_SHOW_ON_SET_PARENT flag is part of the default and
    legacy flags, thus retaining the default behaviour when adding a child;
    the flag is not passed when reordering the list of children, which means
    we ignore the state of the show-on-set-parent property.
    
    The conformance test suite fully passes, including the newly added test
    to verify that changing the paint order does not trigger visibility.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=674510

 clutter/clutter-actor.c | 21 +++++++++++++--------
 1 file changed, 13 insertions(+), 8 deletions(-)

commit a2f54c59f5de9d9a577e1de44c2002c160ecc13b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Apr 26 14:02:07 2012 +0100

    Revert "actor: Unconditionally set show_on_set_parent"
    
    This reverts commit 81b19a78f5e02ae8ffd9235054d80b172496415b.
    
    The commit breaks the conformance test unit for the invariants we
    guarantee for the 1.x API:
    
    ERROR:actor-invariants.c:307:actor_show_on_set_parent: assertion failed: (show_on_set_parent)

 clutter/clutter-actor.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 854c246a2b14c4fe5bb5b38c99517d6835e60f92
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Apr 26 13:58:06 2012 +0100

    docs: Add the 1.12 symbols index to the API reference

 doc/reference/clutter/clutter-docs.xml.in | 5 +++++
 1 file changed, 5 insertions(+)

commit 26d8ad7479c04ba142460770fa577ea2a539a8b2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Apr 26 13:23:29 2012 +0100

    Be resilient in case there is no device manager
    
    It's possible to run Clutter with the 'null' input backend, which means
    that clutter_device_manager_get_default() may return NULL. In the future
    we may add a default dummy device manager, but right now it's safer to
    just add a simple NULL check in the places where we ask for the device
    manager.

 clutter/clutter-main.c              |  8 ++++++++
 clutter/gdk/clutter-event-gdk.c     |  5 ++++-
 clutter/osx/clutter-event-osx.c     | 13 +++++++++----
 clutter/win32/clutter-event-win32.c |  3 +++
 clutter/x11/clutter-backend-x11.c   |  2 ++
 clutter/x11/clutter-stage-x11.c     | 14 +++++++++-----
 6 files changed, 35 insertions(+), 10 deletions(-)

commit f7f81798982da89b8fe3de4b3dfaff4b94006dd2
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri Apr 20 18:40:31 2012 +0100

    Remove calls to cogl_disable_fog
    
    I can't think of any reason why it would do this and there's no
    comment explaining it so let's just remove it. The global fog state
    has been removed in Cogl 2.0 so it will cause problems later.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-stage.c   | 3 ---
 clutter/clutter-texture.c | 1 -
 2 files changed, 4 deletions(-)

commit 107f43a838891ed9d4a282d8bd65501871a3aa8b
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri Apr 20 17:11:47 2012 +0100

    clutter-stage-cogl: Use CoglPrimitive for the debug redraw code
    
    CoglVertexBuffer is deprecated so here is a fairly simple replacement
    to use the experimental CoglPrimitive API.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/cogl/clutter-stage-cogl.c | 45 ++++++++++++++++++++-------------------------
 1 file changed, 20 insertions(+), 25 deletions(-)

commit 032870dcccd116045c8bed641ab894c229299c82
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Apr 24 10:21:25 2012 -0400

    device-manager: select/unselect device events as device change
    
    When a device is added or changes, select/unselect events from X
    accordingly.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=673644

 clutter/x11/clutter-device-manager-xi2.c | 13 +++++++++++++
 clutter/x11/clutter-stage-x11.c          | 34 ++++++++++++++++++++++++++++++++++
 clutter/x11/clutter-stage-x11.h          |  3 +++
 3 files changed, 50 insertions(+)

commit b746044415ba8eb2d4c4263aeec038257f1bf2f3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Mon Apr 23 20:04:58 2012 -0400

    device-manager: don't select events for disabled devices
    
    I.e. only select events for core devices or devices explicitly enabled
    by clients.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=673644

 clutter/clutter-device-manager.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 85323f09a59130d67a331a0a0feedfccf951d4ed
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Apr 23 14:14:07 2012 -0400

    conform: Make sure that raising/lowering children doesn't change state
    
    Namely, visibility and show-on-set-parent.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=674510

 tests/conform/actor-graph.c | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit 81b19a78f5e02ae8ffd9235054d80b172496415b
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Apr 20 19:54:05 2012 -0400

    actor: Unconditionally set show_on_set_parent
    
    Otherwise, doing something like adjusting the child's position
    on a hidden actor will re-show it, which is not what we want.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=674510

 clutter/clutter-actor.c | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit 0287dc26ad6e8496d568908539d56a62a230ee45
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Apr 13 14:34:22 2012 -0400

    actor: Not-actors don't have metas

 clutter/clutter-actor.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 340775d09b9af8bb2061c0955187ee35cbf6805b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Apr 15 13:02:42 2012 +0100

    cally: Fix the pkg-config file
    
    Drop a bunch of variables that are not meant to be used by Cally; also,
    drop the wrong library name from the Libs key: Clutter has a single
    shared library, now.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=674105

 clutter/cally/cally.pc.in | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit d61515322a191d8a537d73c535a814e8fc21f96f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Fri Apr 20 18:31:58 2012 +0100

    x11/device-manager-xi2: Flip deltas around
    
    Up/down is Y.

 clutter/x11/clutter-device-manager-xi2.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7641a1ffe9d3ef8c7b1936ce1114be5b2195a2c0
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Apr 17 19:52:47 2012 +0200

    Updated POTFILES.in

 po/POTFILES.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2a1dcf40081ded459088f514a512f6fb6c956d42
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Apr 17 18:10:39 2012 +0100

    Deprecate ClutterMedia
    
    The interface looked like a good idea around the time Clutter 0.2 was
    out, but in reality we never had a proper, and supported implementation
    outside of clutter-gst - thus, ClutterMedia was acting like a wrapper
    around GStreamer, leading to hilarious issues of impedence mismatch
    between API and all sorts of indirection issues typical of wrong
    abstractions.
    
    In theory, ClutterMedia should have been deprecated and removed before
    we hit 1.0, but we kept flip-flopping on the issue.
    
    For 2.0, it's time to take it out.
    
    And shoot it in the face.

 clutter/Makefile.am                      |  4 ++--
 clutter/clutter-deprecated.h             |  1 +
 clutter/clutter.h                        |  1 -
 clutter/{ => deprecated}/clutter-media.c | 80 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------
 clutter/{ => deprecated}/clutter-media.h | 17 +++++++++++++++++
 5 files changed, 92 insertions(+), 11 deletions(-)

commit 164c6ee74187b10df6cdf22782d9071c28d787b2
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Mar 30 11:19:02 2012 -0400

    text: Bubble up a click and quit early for just static text
    
    Static text shouldn't need a cursor position or anything like that,
    and it always eats a button press event.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=673190

 clutter/clutter-text.c | 2 ++
 1 file changed, 2 insertions(+)

commit 2a12747ae36a237b7c7ede98d6a6479c616014da
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Fri Apr 13 19:46:47 2012 +0200

    [l10n] Updated German translation

 po/de.po | 400 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------------
 1 file changed, 193 insertions(+), 207 deletions(-)

commit 7fffb7290e9fa840912a14da8102be9a83143226
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Apr 12 17:24:37 2012 +0100

    actor: Return a valid paint volume by default
    
    It's been a year and change, and two stable releases, since we
    introduced the paint volume mechanism to allow actors to paint outside
    their allocation safely in environments that support clipped redraws.
    
    The time has come to flip the switch, and return a valid paint volume,
    matching the actor's allocation, by default - at least for Actor
